<?php
	class Production_model extends CI_model
	{
		public function __construct()
		{
			parent::__construct();
			$this->load->database();
			
		}
		public function addProduction($postdata)
		{
			extract($postdata);
			$prd_date = date("Y-m-d", strtotime($prd_date));
			$prd_time = date("h:i A");
			$lm=date("Y-m-dH:i:s",time());
			$this->db->select('MAX(bno) as bno',false);
			$this->db->where('branch_id',$branch_id);
			$result = $this->db->get('billdetails')->row();
			$bno = $result->bno;
			if($bno == 0){
				$bno = 1;
			}
			else{
				$bno = $bno+1;
			}
			$bill_no = "BOM"."/".$branch_name."/".$bno;
			
			$data = array('bno'=> $bno,
			'bill_id'=> $bill_no,
			'pr_cat_id'=> $category,
			'orderdate'=> $prd_date,
			'ordertime'=> $prd_time,
			'chef'=> $chef,
			'outlet'=> $full_name,
			'branch_id'=> $branch_id
			);
			$this->db->insert('billdetails', $data);
			$bill_id = $this->db->insert_id();
			
			$count = count($pname);
			for($i=0;$i<$count;$i++)
			{
				$q1 = $this->db->query("select * from recipe where recipe_id='$pname[$i]'");
				if($q1->num_rows() > 0)
				{
					$row = $q1->row_array();
					$pstock[$i] = $row['production_stock'];
					$pstock1[$i] = $pstock[$i] + $actual_yeild[$i];
					
					$q2 = $this->db->query("update recipe set production_stock='$pstock1[$i]' where recipe_id='$pname[$i]'");
				}
				$data2 = array(
					'pname' => $names[$i],
					'uom' => $uom[$i],
					'actual_yeild' => $actual_yeild[$i],
					'yeild' => $yeild[$i],
					'billno' => $bill_id,
					'recipe_id' => $rc_id[$i],
					'recipe_no' => $rc_no[$i],
					'pr_cat_id' => $category
					);
				$this->db->insert('bom_product', $data2);
				
				$data3 = array(
					'item_name' => $names[$i],
					'trans_ref_no' => $bill_no,
					'trans_type'=>'BOM',
					'transaction_date' => $prd_date,
					'opening_stock' => $pstock[$i],
					'in_qty' => $actual_yeild[$i],
					'closing_stock' => $pstock1[$i],
					'last_modified' => $lm,
					'branchname' => $branch_name,
					'item_id' => $rc_id[$i],
					'recipe_no' => $rc_no[$i],
					'category_id' => $category,
					'branch_id' => $branch_id
					);
				$this->db->insert('stock_detail', $data3);
			}
			return $bill_id;
		}
		
		public function getProduction($bid)
		{
			$query = $this->db->query("SELECT *,DATE_FORMAT(orderdate, '%d-%m-%Y') as orderdate FROM billdetails where billno='$bid'");
			return $query->result();	
		}
		
		public function getProductionItem($bid)
		{
			$query = $this->db->query("SELECT * FROM  bom_product where billno='$bid'");
			return $query->result();	
		}
		
		public function getProductionList($branch_id)
		{
			$query = $this->db->query("select *,DATE_FORMAT(orderdate, '%d-%m-%Y') as orderdate from billdetails where branch_id='$branch_id' order by billno desc");
			return $query->result();	
		}
		
		public function getCProductionList(){
			$query = $this->db->query("select *,DATE_FORMAT(orderdate, '%d-%m-%Y') as orderdate from billdetails order by billno desc");
			return $query->result();
		}
		
		public function get_RcpDetails($iname)
    	{
    		$br_id=$_SESSION['branch_id'];;
    		$query = $this->db->query("select rname,uom,price,tax,recipe_id,recipe_no,pcode,pr_cat_id,recipe_no,yeild,production_stock from recipe where recipe_id='$iname' and branch_id='$br_id'");//20 4
    		$row=$query->row_array();
    		if($row)
    		{
    			$price = $row['price'];
    			$tax = $row['tax'];
    			$tax_a = ($price * $tax)/100;
    			$tot_price = $price + $tax_a;
    			$data=array("rname" => $row['rname'], "uom" => $row['uom'], "price" => $tot_price, "recipe_id" => $row['recipe_id'],"recipe_no" => $row['recipe_no'], "pr_cat_id" => $row['pr_cat_id'], "recipe_no" => $row['recipe_no'], "yeild" => $row['yeild'], "aprice"=> $row['price'], "tax"=> $row['tax'], "stock"=> $row['production_stock']);
    			echo json_encode($data);
    		}
    		else
    		{
    			$data = array("uom" => '0');
    			echo json_encode($data);
    		}
    	}
    	public function getCatRecipe(){
    	    $branch_id=3;
			$query = $this->db->query("select * from product_category p inner join recipe r on p.pr_cat_id=r.pr_cat_id where r.branch_id='$branch_id' and r.status='Enabled' order by rname asc");
			return $query->result();
		}
		
		public function get_product($branch_id,$code=string)
        {
            //$this->db->distinct();
            $this->db->select('rname,recipe_id');
            $this->db->from('recipe');
            $this->db->where('pr_cat_id',$code);
            $this->db->where('branch_id',$branch_id);
            $query = $this->db->get();
            return $query->result();
        }
		
        public function addBOM($postdata)
		{
			extract($postdata);
			$prd_date = date("Y-m-d", strtotime($prd_date));
			$prd_time = date("h:i A");
			$lm=date("Y-m-dH:i:s",time());
			$this->db->select('MAX(bno) as bno',false);
			$this->db->where('branch_id',$branch_id);
			$result = $this->db->get('billdetails')->row();
			$bno = $result->bno;
			if($bno == 0){
				$bno = 1;
			}
			else{
				$bno = $bno+1;
			}
			$bill_no = "BOM"."/".$branch_name."/".$bno;
			
			$data = array('bno'=> $bno,
			'bill_id'=> $bill_no,
			'pr_cat_id'=> $category,
			'recipe_id'=>$pname,
			'recipe_no'=>$rc_no,
			'pname'=>$names,
			'uom'=>$uom,
			'actual_yeild'=>$actual_yeild,
			'yeild'=>$yeild,
			'actual_batch'=>$actual_batch,
			'batch'=>$batch,
			'total'=>$tot,
			'orderdate'=> $prd_date,
			'ordertime'=> $prd_time,
			'chef'=> $chef,
			'outlet'=> $full_name,
			'branch_id'=> $branch_id,
			'kitchen_status'=>'Pending',
			'store_status'=>'Pending'
			);
			$this->db->insert('billdetails', $data);
			$bill_id = $this->db->insert_id();
			
			$count = count($name);
			for($i=0;$i<$count;$i++)
			{
			 
				$data2 = array(
					'iname' => $name[$i],
					'quantity' => $quantity[$i],
					'iuom' => $iuom[$i],
					'price' => $price[$i],
					'billno' => $bill_id,
					'item_id' => $item_id[$i],
					'itm_id'=>$it_id[$i]
				);
				$this->db->insert('bproduct', $data2);
		        
			}
			$count1 = count($sub_item_id);
			for($j=0;$j<$count1;$j++)
			{
    			if($sub_item_id[$j]=='0'){
    		           // echo 'j';
		        }
		        else{
		           // echo 'l';
    			    $data3 = array(
    					'iname' => $sub_name[$j],
    					'quantity' => $sub_quantity[$j],
    					'iuom' => $sub_uom[$j],
    					'price' => $sub_price[$j],
    					'billno' => $bill_id,
    					'recipe_id' => $sub_item_id[$j],
    					'recipe_no'=> $sub_rc_id[$j]
    				);
    				$this->db->insert('bproduct', $data3);
		        }
			}
			return $bill_id;
    	}
    	
    	public function BomList()
        {
            $query = $this->db->query("select *,DATE_FORMAT(orderdate, '%d-%m-%Y') as orderdate from billdetails where store_status='Pending' order by billno desc");
            return $query->result();
        }
        
        public function BomVList($bid)
        {
            $query = $this->db->query("select * from billdetails b inner join bproduct bp on b.billno=bp.billno where b.billno='$bid'");
            return $query->result();
        }

        public function bomkList($branch_id)
        {
            $query = $this->db->query("select bill_id,kitchen_status,billno,chef,DATE_FORMAT(orderdate, '%d-%m-%Y') as orderdate from billdetails where kitchen_status='Pending' and branch_id='$branch_id' order by billno desc");
            return $query->result();
        }
        
        public function closedBomList()
        {
            $query = $this->db->query("select *,DATE_FORMAT(orderdate, '%d-%m-%Y') as orderdate from billdetails where store_status='Issued' order by billno desc");
            return $query->result();
        }
        
        public function closedkBomList($branch_id)
        {
            $query = $this->db->query("select *,DATE_FORMAT(orderdate, '%d-%m-%Y') as orderdate from billdetails where kitchen_status='Closed' and branch_id='$branch_id' order by billno desc");
            return $query->result();
        }
	}
?>