<?php 
	$header_file=APPPATH.'views/include/header.php';
	require($header_file);
	$sidenav_file=APPPATH.'views/include/sidenav.php';
	require($sidenav_file);	?>
  
    <!-- BEGIN: Content-->
    <div class="app-content content">
      <div class="content-overlay"></div>
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-12 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">Invoice Creation</h3>
            <div class="row breadcrumbs-top d-inline-block">
              <div class="breadcrumb-wrapper col-12">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="#">Home</a>
                  </li>
                  <li class="breadcrumb-item"><a href="#">Invoice </a>
                  </li>
                  <li class="breadcrumb-item active">Invoice Creation
                  </li>
                </ol>
              </div>
            </div>
          </div>
          
        </div>
        <div class="content-body"><!-- Basic form layout section start -->
<section id="basic-form-layouts">
	



	<div class="row justify-content-md-center">
		<div class="col-md-12">
			<div class="card">
				<!--<div class="card-header">
					<h4 class="card-title" id="basic-layout-form-center">Invoice Creation</h4>
					<a class="heading-elements-toggle"><i class="la la-ellipsis-v font-medium-3"></i></a>
					<div class="heading-elements">
						<ul class="list-inline mb-0">
							<li><a data-action="collapse"><i class="ft-minus"></i></a></li>
							<li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
							<li><a data-action="expand"><i class="ft-maximize"></i></a></li>
							<li><a data-action="close"><i class="ft-x"></i></a></li>
						</ul>
					</div>
				</div>-->
				<div class="card-content collapse show">
					<div class="card-body">

						

						<form class="form" autocomplete="off" action="<?php echo site_url('Invoice/addInvice');?>" method="post">
							<div class="row justify-content-md-right">
								<div class="col-md-6 mleft">
									<div class="form-body">
										<div class="form-group">
										<?php $cur_date = date("d-m-Y"); 
										$branch_id = $_SESSION['branch_id'];
										$branch_name = $_SESSION['branch_name'];
										$full_name = $_SESSION['full_name'];										?>
											<label for="eventInput1">Invoice Date</label>
											<input class="form-control" type="text" name="invoice_date"  id="uk_dp_1" value="<?php echo $cur_date ?>" readonly >
											<input type="hidden" name="full_name" id="full_name" class="form-control" value="<?php echo $_SESSION['full_name']?>"/>
										</div>
									</div>
								</div>
								<div class="col-md-6">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Organization Name</label>
											<!--<input type="text" name="outlet_name" class="form-control" id="company_name" required  placeholder="Supplier Name"/>-->
											<select id="outlet_name" name="outlet_name" class="form-control select2 prm" required>
												<option value="">Select Customer</option>
												<?php
												
													foreach($getCustomer as $gc){
													?>
													<option value="<?php echo $gc->cust_name ?>"><?php echo $gc->cust_name ?></option>
													<?php
													}
												?>
											</select>
											
											<input type="hidden" id="branch_id" class="form-control"  name="branch_id" value="<?php echo $branch_id;?>">
											<input type="hidden" id="branch_name" class="form-control"  name="branch_name" value="<?php echo $branch_name;?>">
											<input type="hidden" id="uname" class="form-control"  name="uname" value="<?php echo $full_name;?>">
											
										</div>
									</div>
								</div>
							</div>
					<div class="row justify-content-md-right">
						<div class="text_increment">
							<div>
								<div class="row">
									
									<div class="col-md-2">
										<div class="form-group">
											
											<select name="item_name[]" id="item_name" class="form-control select2" required>
											<option value="0">Select Item</option>
											<?php  foreach($items as $row)
												{
													echo '<option value="'.$row->item_name.'">'.$row->item_name.'</option>';
												} 
											?>
										</select>
											<input class="form-control product_details" type="hidden" name="it_name[]" id="it_name" readonly />
										</div>
									</div>
									<div class="col-md-1">
										<div class="form-group">
											<input class="form-control product_details" type="text" name="uom[]" id="uom"  readonly  placeholder="UOM"/>
										</div>
									</div>
									<div class="col-md-1">
										<div class="form-group">
											<input class="form-control product_details" type="text" name="pr_stock[]"  id="pr_stock" readonly placeholder="Pstk"/>
										</div>
									</div>
									<div class="col-md-1">
										<div class="form-group">
											<input class="form-control product_details quantity qty" type="text" step="any" name="quantity[]" required id="quantity" placeholder="Req Qty" />
										</div>
									</div>
									<div class="col-md-1">
										<div class="form-group">
											<input class="form-control product_details price" type="text" name="price[]"   id="price" readonly placeholder="Price" />
											<input class="form-control batch_no" type="hidden" name="basic_amount[]"  id="basic_amount" />
										</div>
									</div>
									<div class="col-md-1">
										<div class="form-group">
											<select name="tax[]" id="tax" class="form-control select2 txt1" required>
												<option value="0">Select Tax</option>
												<?php  foreach($tax as $row)
													{
														echo '<option value="'.$row->tax_percentage.'">'.$row->tax_percentage.'</option>';
													} 
												?>
											</select>
										</div>
									</div>
									<div class="col-md-1">
										<div class="form-group">
											<input class="form-control batch_no" type="text" name="tax_amount[]"  id="tax_amount" readonly placeholder="Tax amt"/>
										</div>
									</div>
									<div class="col-md-1">
										<div class="form-group">
											<input class="form-control batch_no txt" type="text" name="total_amount[]"  id="total_amount" readonly placeholder="Amount" />
										</div>
									</div>
									<div class="col-md-2">
										<div class="form-group">
											<input class="form-control batch_no" type="text" name="remarks[]" id="remarks" placeholder="Remarks"/>
											<input class="form-control product_details" type="hidden" name="item_sid[]" id="item_sid"  readonly />
										</div>
									</div>
									
								</div>
							</div>	
							<input class="md-input result" type="hidden" name="products" id="products" />
						</div>
					</div>

							<div class="form-actions text-right">
								<div class="row">
									<div class="col-md-2 mleft">
										<div class="form-group">
											
											<input class="form-control batch_no" type="text" name="bbbb"  id="tot" readonly Placeholder="Total amount"/>
										</div>
									</div>
								</div>
								<button type="reset" class="btn btn-warning mr-1">
									<i class="ft-x"></i> Cancel
								</button>
								<button type="submit" class="btn btn-primary">
									<i class="la la-check-square-o"></i> Save
								</button>
							</div>
						</form>	

					</div>
				</div>
				
				<div class="col-md-12 md-fab-wrapper plus">
					<a href="javascript:void(0);" class="add_button" title="Add field"><i class="la la1 la-plus-circle"></i>
					<!--<img src="<?php //echo base_url(); ?>app-assets/images/add-icon.png" class="image_logo"/>-->
					</a>
				</div>
				<br/>
			</div>
		</div>
	</div>

</section>
<!-- // Basic form layout section end -->
        </div>
      </div>
    </div>
    <?php //require('include/theme_customizer.php');?>

   <?php 
  $footer_file=APPPATH.'views/include/footer.php';
	require($footer_file);
	?>
<script type="text/javascript">
		$(document).ready(function(){
			var maxField = 100; //Input fields increment limitation
			var addButton = $('.add_button'); //Add button selector
			var wrapper = $('.text_increment'); //Input field wrapper
			var x = 1; //Initial field counter is 1
			var counter = 1;
			//$(addButton).click(function(){ 
			$(document).on("click",".add_button",function() {  //Once add button is clicked
				if(x < maxField){ //Check maximum number of input fields
					x++; //Increment field counter
					$(wrapper).append('<div><div class="row"><div class="col-md-2"><div class="form-group"><select id="item_name'+counter+'" name="item_name[]" class="form-control select2 prm"  required tabindex=""><option value="0">Select Item</option><?php  foreach($items as $row){	echo '<option value="'.$row->item_name.'">'.$row->item_name.'</option>';} ?></select><input class="form-control product_details" type="hidden" name="it_name[]" id="it_name'+counter+'" readonly /></div></div><div class="col-md-1"><div class="form-group"><input class="form-control product_details " type="text"  name="uom[]" Placeholder="UOM" id="uom'+counter+'" readonly/><input class="md-input product_details " type="hidden"  name="item_sid[]" Placeholder="UOM" id="item_sid'+counter+'"/></div></div><div class="col-md-1"><div class="form-group"><input class="form-control product_details" type="text" name="pr_stock[]" placeholder="Pstk" id="pr_stock'+counter+'" /></div></div><div class="col-md-1"><div class="form-group"><input class="form-control product_details qty quantity1" type="text"  name="quantity[]" Placeholder="Req Qty" required id="quantity'+counter+'"/></div></div><div class="col-md-1"><div class="form-group"><input class="form-control batch_no price1" type="text" name="price[]" id="price'+counter+'" placeholder="Price" readonly/><input class="md-input batch_no total_amount" type="hidden" name="basic_amount[]"  id="basic_amount'+counter+'" /></div></div><div class="col-md-1"><div class="form-group"><select id="tax'+counter+'" name="tax[]" class="form-control select2 txt1"   required ><option value="">TAX</option><?php  foreach($tax as $row) { echo '<option value="'.$row->tax_percentage.'">'.$row->tax_percentage.'</option>';	} ?></select></div></div><div class="col-md-1"><div class="form-group"><input class="form-control batch_no total_amount" type="text" name="tax_amount[]"  id="tax_amount'+counter+'" placeholder="Tax amt" readonly/></div></div><div class="col-md-1"><div class="form-group"><input class="form-control batch_no total_amount txt" type="text" name="total_amount[]"  id="total_amount'+counter+'" placeholder="Amount" readonly /></div></div><div class="col-md-2"><div class="form-group"><input class="form-control batch_no" type="text" name="remarks[]" id="remarks" placeholder="Remarks" /></div></div><div class="col-md-1 remove_button"><a href="javascript:void(0);" class="" title="Remove field"><img src="<?php echo base_url(); ?>app-assets/images/remove-icon.png" class="image_logo"/></a></div></div></div>'); 
					//alert(counter);
					$(function () {
						$(".select2").select2();
						$('#quantity' + counter).keypress(function(e) {
							var a = [];
							var k = e.which;
							for (i = 46; i < 58; i++)
							a.push(i);
							if (!($.inArray(k,a)>=0))
							e.preventDefault();
						});
					});
					//item name auto complete
					$('#item_name' + counter).change(function(){
						var id = $(this).attr('id');
						// alert(id);
						id_length = id.length;
						if(id_length == 10) {
							counts = id.substr(-1);
							var i_name = $('#item_name'+counts).val();
							var branch_id = $('#branch_id').val();
							$.ajax({
								type :'POST',
								dataType:'json',
								data : { iname : i_name,br_id : branch_id },
								url : '<?php echo base_url();?>index.php/Master/get_ItemDetails',
								success: function(data) {
									//alert(data.price);
									
									$('#uom'+counts).val(data.uom);
									$('#uom'+counts).blur();
									$('#item_sid'+counts).val(data.item_id);
									$('#item_sid'+counts).blur();
									$('#price'+counts).val(data.item_price);
									$('#price'+counts).blur();
									$('#pr_stock'+counts).val(data.stock_item);
									$('#pr_stock'+counts).blur();
									$('#it_name'+counts).val(i_name);
									
								}
							});
						//	$("#item_name"+ counts).attr('disabled', 'disabled');
						}
						else{
							counts = id.substr(-2);
							var i_name = $('#item_name'+counts).val();
							var branch_id = $('#branch_id').val();
							//alert(i_name);
							//alert(brname);
							$.ajax({
								type :'POST',
								dataType:'json',
								data : { iname : i_name,br_id : branch_id },
								url : '<?php echo base_url();?>index.php/Master/get_ItemDetails',
								success: function(data) {
									
									$('#uom'+counts).val(data.uom);
									$('#uom'+counts).blur();
									$('#item_sid'+counts).val(data.item_id);
									$('#item_sid'+counts).blur();
									$('#price'+counts).val(data.item_price);
									$('#price'+counts).blur();
									$('#pr_stock'+counts).val(data.stock_item);
									$('#pr_stock'+counts).blur();
									$('#it_name'+counts).val(i_name);
								}
							});
						//	$("#item_name"+ counts).attr('disabled', 'disabled');
						}
					});
					
					$('.prm').change(function() {
						dropdownval = $(this).val();
					   // alert(dropdownval);
						$('.prm').not(this).find('option[value="' + dropdownval + '"]').remove();
					});
					
					//Total amount calculation
					$('#quantity'+counter).on('keyup',function() {
						var id = $(this).attr('id');
						id_length = id.length;
						//alert(id_length);
						if(id_length == 9) {
							//alert(id1);
							counts = id.substr(-1);
							var qty = $('#quantity'+ counts).val();
							var stock = $('#pr_stock'+ counts).val();
							var price = $('#price'+ counts).val();
							//alert(stock);
							if(parseFloat(qty) > parseFloat(stock))
							{
								var lt = 0;
								alert("you cant enter more than stock");
								//$('#basic_amount').val($('#quantity').val() * $('#price').val());
								//$("div#result").css("display","block");
								$('#total_amount'+ counts).val(lt);
								$('#basic_amount'+ counts).val(lt);
								$('#quantity'+counts).val(lt);
							}
							else
							{
								var result = (parseFloat(qty) * parseFloat(price)).toFixed(2);
								//var basic = $('#quantity').val() * $('#price').val();
								if (!isNaN(result)) {
									$('#total_amount'+ counts).val(result);
									$('#total_amount'+ counts).blur();
									$('#basic_amount'+ counts).val(result);
									//$('#net_amount').val(result);
								}
							}
						}
						else{
							counts = id.substr(-2);
							var qty = $('#quantity'+ counts).val();
							var stock = $('#pr_stock'+ counts).val();
							var price = $('#price'+ counts).val();
							//alert(stock);
							if(parseFloat(qty) > parseFloat(stock))
							{
								var lt = 0;
								alert("you cant enter more than stock");
								//$('#basic_amount').val($('#quantity').val() * $('#price').val());
								//$("div#result").css("display","block");
								$('#total_amount'+ counts).val(lt);
								$('#basic_amount'+ counts).val(lt);
								$('#quantity'+counts).val(lt);
							}
							else
							{
								//$("div#result").css("display","none");
								var result = (parseFloat(qty) * parseFloat(price)).toFixed(2);
								//var basic = $('#quantity').val() * $('#price').val();
								if (!isNaN(result)) {
									$('#total_amount'+ counts).val(result);
									$('#total_amount'+ counts).blur();
									$('#basic_amount'+ counts).val(result);
									//$('#net_amount').val(result);
								}
							}
						}
					});
					// tax caluclation 
					$('#tax' +counter).change(function () {
						var id = $(this).attr('id');
						id_length = id.length;
						//alert(id_length);
						if(id_length == 4) {
							//alert(id1);
							counts = id.substr(-1);
							var ba=$('#basic_amount'   + counts).val();
							var tax=$('#tax'   + counts).val();
							var tax_a=((parseFloat(ba) *  parseFloat(tax))/ 100).toFixed(2);
							var total=(parseFloat(ba) + parseFloat(tax_a)).toFixed(2);
							$('#tax_amount' +counts).val(tax_a);
							$('#tax_amount' +counts).blur();
							$('#total_amount' +counts).val(total);
							$('#total_amount' +counts).blur();
							var result = (parseFloat(ba));
							if (!isNaN(result)) {
								$('#total_price' +counts).val(result);
								$('#total_price' +counts).blur();
							}
						}
						else{
							counts = id.substr(-2);
							var ba=$('#basic_amount'   + counts).val();
							var tax=$('#tax'   + counts).val();
							var tax_a=((parseFloat(ba) *  parseFloat(tax))/ 100).toFixed(2);
							var total=(parseFloat(ba) + parseFloat(tax_a)).toFixed(2);
							$('#tax_amount' +counts).val(tax_a);
							$('#tax_amount' +counts).blur();
							$('#total_amount' +counts).val(total);
							$('#total_amount' +counts).blur();
							var result = (parseFloat(ba));
							if (!isNaN(result)) {
								$('#total_price' +counts).val(result);
								$('#total_price' +counts).blur();
							}
						}
					});
					
					//total calculation by selecting tax value
					$('.txt1').change(function () {
						//alert($("#tax").val());
						tax = $("#tax").val();
						tt = $("#total_amount").val();
						//alert(tt);
						var ba=$('#basic_amount').val();
						var tax=$('#tax').val();
						var tax_a=((parseFloat(ba) *  parseFloat(tax))/ 100).toFixed(2);
						var total=(parseFloat(ba) + parseFloat(tax_a)).toFixed(2);
						$('#tax_amount').val(tax_a);
						$('#tax_amount').blur();
						$('#total_amount').val(total);
						$('#total_amount').blur();
						var result = (parseFloat(ba));
						if (!isNaN(result)) {
							$('#total_price').val(result);
							$('#total_price').blur();
						}
						// initialize the sum (total price) to zero
						var sum = 0;
						$('.txt').each(function() {
							sum += Number($(this).val());
						});
						// set the computed value to 'totalPrice' textbox
						//var total = (Math.round(sum)).toFixed(2);
						//	var roundoff = (parseFloat(total) - parseFloat(sum)).toFixed(2);
						//$('#amount1').val(sum1);
						//$('#amount1').blur();
						//$('#net_amount').val(sum);
						//$('#net_amount').blur();
						$('#tot').val(sum.toFixed(2));
						$('#tot').blur();
					});
					$(document).on("keyup","#total_amount"+counter+",#tax"+counter,function() {
						var count = counter-1;
						var ba = $("#basic_amount"+count).val();
						var tax = $("#tax"+count).val();
						var tax_a=((parseFloat(ba) *  parseFloat(tax))/ 100).toFixed(2);
						var total=(parseFloat(ba) + parseFloat(tax_a)).toFixed(2);
						$('#tax_amount' + count).val(tax_a);
						$('#tax_amount' + count).blur();
						$('#total_amount' + count).val(total);
						$('#total_amount' + count).blur();	
					});	
				}
				//alert(counter);
				counter++;
			});
			$(wrapper).on('click', '.remove_button', function(e){ //Once remove button is clicked
				e.preventDefault();
				$(this).parent('div').remove(); //Remove field html
				x--; //Decrement field counter
				counter--;
			});
			$(document).on("change",".batch_no",function(){
				var text = "";
				$('.product_details').each(function(){
					text += $(this).val()+' ';
				});
				text = text.substring(0,text.length-1);
				$('#products').val(text);
			});
		});
	</script>
<script type='text/javascript'>
		$(window).load(function(){
			/*$("#quantity,#price").keyup(function () {
				$('#basic_amount').val($('#quantity').val() * $('#price').val());
			});*/
			$("#total_amount,#tax").keyup(function () {
				var ba=$('#basic_amount').val();
				var tax=$('#tax').val();
				var tax_a=((parseFloat(ba) *  parseFloat(tax))/ 100).toFixed(2);
				var total=(parseFloat(ba) + parseFloat(tax_a)).toFixed(2);
				$('#tax_amount').val(tax_a);
				$('#tax_amount').blur();
				$('#total_amount').val(total);
				$('#total_amount').blur();
				var result = (parseFloat(ba));
				if (!isNaN(result)) {
					$('#total_price').val(result);
					$('#total_price').blur();
				}
			});
		});
	</script>
	<script>
		///total amount display
		$('.txt1').change(function () {
			//alert($("#tax").val());
			tax = $("#tax").val();
			tt = $("#total_amount").val();
			//alert(tt);
			var ba=$('#basic_amount').val();
			var tax=$('#tax').val();
			var tax_a=((parseFloat(ba) *  parseFloat(tax))/ 100).toFixed(2);
			var total=(parseFloat(ba) + parseFloat(tax_a)).toFixed(2);
			$('#tax_amount').val(tax_a);
			$('#tax_amount').blur();
			$('#total_amount').val(total);
			$('#total_amount').blur();
			var result = (parseFloat(ba));
			if (!isNaN(result)) {
				$('#total_price').val(result);
				$('#total_price').blur();
			}
			// initialize the sum (total price) to zero
			var sum = 0;
			$('.txt').each(function() {
				sum += Number($(this).val());
			});
			// set the computed value to 'totalPrice' textbox
			//var total = (Math.round(sum)).toFixed(2);
			//	var roundoff = (parseFloat(total) - parseFloat(sum)).toFixed(2);
			//$('#amount1').val(sum1);
			//$('#amount1').blur();
			//$('#net_amount').val(sum);
			//$('#net_amount').blur();
			$('#tot').val(sum.toFixed(2));
			$('#tot').blur();
		});
	</script>
	<script>
		$('#quantity').on('keyup',function() {
			var qty = $('#quantity').val();
			var stock = $('#pr_stock').val();
			var price = $('#price').val();
			//alert(stock);
			if(parseFloat(qty) > parseFloat(stock))
			{
				var lt = 0;
				alert("you cant enter more than stock");
				//$('#basic_amount').val($('#quantity').val() * $('#price').val());
				//$("div#result").css("display","block");
				$('#total_amount').val(lt);
				$('#basic_amount').val(lt);
				$('#quantity').val(lt);
			}
			else
			{
				//$("div#result").css("display","none");
				var result = (parseFloat(qty) * parseFloat(price)).toFixed(2);
				//var basic = $('#quantity').val() * $('#price').val();
				if (!isNaN(result)) {
					$('#total_amount').val(result);
					$('#total_amount').blur();
					$('#basic_amount').val(result);
					//$('#net_amount').val(result);
				}
			}
		});
	</script>
	<script>
		$("#item_name").change(function(){
			var i_name = $('#item_name').val();
			var branch_id = $('#branch_id').val();
			//alert(i_name);
			//alert(brname);
			$.ajax({
				type :'POST',
				dataType:'json',
				data : { iname : i_name,br_id : branch_id },
				url : '<?php echo base_url();?>index.php/Master/get_ItemDetails',
				success: function(data) {
				//	alert(data.stock_item);
					//alert(data.item_name);
					/*$('#uom').val(data.uom);
					$('#item_sid').val(data.item_id);
					$('#cat_id').val(data.category_id);
				    $('#price').val(data.item_price);
					$('#pr_stock').val(data.stock_item);
					$('#it_name').val(i_name);
					$('#itm_id').val(data.itm_id);
					$('#it_name').val(i_name);*/
					$('#uom').val(data.uom);
					$('#uom').blur();
					$('#item_sid').val(data.item_id);
					$('#item_sid').blur();
					$('#price').val(data.item_price);
					$('#price').blur();
					$('#pr_stock').val(data.stock_item);
					$('#pr_stock').blur();
					$('#it_name').val(i_name);
				}
			});
			//$("#item_name").attr('disabled', 'disabled');
		});
	</script>
	<script>
	$('.prm').change(function() {
		dropdownval = $(this).val();
	   // alert(dropdownval);
		$('.prm').not(this).find('option[value="' + dropdownval + '"]').remove();
	  });
</script>
	<script type="text/javascript">
		//vendors name autocomplete
		jQuery(document).ready(function(){
			$('#company_name').autocomplete({
				source: '<?php echo 
				base_url();?>index.php/Master/vendor_auto',
				minLength:1,
			});
		});
	</script>
	<script>
		$(window).on('beforeunload', function () {
			//$("input[type=submit], input[type=button]").prop("disabled", "disabled");
			$("input[type=submit]").prop("disabled", "disabled");
			$("#submit").css("background-color","#dcdcdc");
		});
	</script>
	
  </body>
  <!-- END: Body-->

<!-- Mirrored from pixinvent.com/modern-admin-clean-bootstrap-4-dashboard-html-template/html/ltr/vertical-modern-menu-template/form-layout-basic.html by HTTrack Website Copier/3.x [XR&CO'2014], Mon, 27 Apr 2020 09:38:02 GMT -->
</html>