<?php 
	$header_file=APPPATH.'views/include/header.php';
	require($header_file);
	$sidenav_file=APPPATH.'views/include/sidenav.php';
	require($sidenav_file);	?>
<!-- BEGIN: Content-->
    <div class="app-content content">
      <div class="content-overlay"></div>
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-6 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">Invoice</h3>
            <div class="row breadcrumbs-top d-inline-block">
              <div class="breadcrumb-wrapper col-12">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="#">Home</a>
                  </li>
                  <li class="breadcrumb-item"><a href="#">Invoice</a>
                  </li>
                  <li class="breadcrumb-item active">Invoice
                  </li>
                </ol>
              </div>
            </div>
          </div>
         
        </div>
        <div class="content-body"><section class="card">
  <div id="invoice-template" class="card-body p-4">
    <!-- Invoice Items Details -->
    <div id="invoice-items-details" class="pt-2">
      <div class="row">
        <div class="table-responsive col-12">
          <table class="table table-bordered table-responsive-lg">
            <thead>
				<?php
					foreach($prd as $pr)
				?>
				<tr class="main_heading">
					<th colspan="10">Invoice View</span></th>
								</tr>
				<tr class="data_details">
					<th>Inv No :</th>
					<th colspan="2"><?php echo $pr->invoice_no; ?></th>
					<th>Issue No :</th>
					<th><?php echo $pr->issue_no; ?></th>
					<th>Inv Date :</th>
					<th><?php echo $pr->issue_date; ?></th>
					<th>Outlet :</th>
					<th><?php echo $pr->outlet; ?></th>
				</tr>
				<tr class="data_heading">
					<th>Sl.No</th>
					<th>Product Name</th>
					<th>UOM</th>
					<th>Issued Qty</th>
					<th>Price</th>
					<th>Tot Price</th>
					<th>Tax(%)</th>
					<th>Tax Amt</th>
					<th>Total</th>
				</tr>
            </thead>
            <tbody>
             <?php
			$count=1;
			$tot_amt = 0;
			$tot_tax_amt = 0;
			$tot_basic = 0;
				foreach($prd_item as $pritem){
					$tot_amt = $tot_amt + $pritem->total_price;
					$tot_tax_amt = $tot_tax_amt + $pritem->tax_amount;
					$tot_basic = $tot_basic + $pritem->basic_price;
			?>
				<tr class="data_list">
					<td><?php echo $count; ?></td>
					<td><?php echo $pritem->issue_item_name; ?></td>
					<td><?php echo $pritem->issue_uom; ?></td>
					<td><?php echo $pritem->issued_qty; ?></td>
					<td><?php echo $pritem->price; ?></td>
					<td><?php echo $pritem->basic_price; ?></td>
					<td><?php echo $pritem->tax; ?></td>
					<td><?php echo $pritem->tax_amount; ?></td>
					<td><?php echo $pritem->total_price; ?></td>
				</tr>
			<?php 
				$count++; 
				} 
			?>
				<tr>
					<td colspan="5">Total Amount</td>
					<td><?php echo $tot_basic; ?></td>
					<td></td>
					<td><?php echo $tot_tax_amt; ?></td>
					<td><?php echo round($tot_amt); ?></td>
				</tr>
			</tbody>
          </table>
        </div>
      </div>
  
    </div>

    <!-- Invoice Footer -->
    <div id="invoice-footer">
      <div class="row">
        <div class="col-sm-7 col-12 text-center text-sm-left">
          <!--<h6>Terms & Condition</h6>
          <p>Test pilot isn't always the healthiest business.</p>-->
        </div>
        <div class="col-sm-5 col-12 text-right">
          <button type="button" id="print_receipt" class="btn btn-info btn-lg my-1"><i class="fa ft-printer"></i></button>
        </div>
      </div>
    </div>
    <!-- Invoice Footer -->

  </div>
</section>
</section>
<!-- // Basic form layout section end -->
        </div>
      </div>
    </div>
    <?php //require('include/theme_customizer.php');?>

   <?php 
  $footer_file=APPPATH.'views/include/footer.php';
	require($footer_file);
	?>
<script>
	$("#print_receipt").click(function() {
		window.print();
		setTimeout("closePrintView()", 50);
	});
	function closePrintView() {
		window.location = '<?php echo site_url('Invoice/productInvoiceList');?>';
	} 
</script>
	