<?php 
	$header_file=APPPATH.'views/include/header.php';
	require($header_file);
	
	?>

    <!-- BEGIN: Content-->
    <div class="app-content content">
      <div class="content-overlay"></div>
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-12 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">Stock Movement</h3>
            <div class="row breadcrumbs-top d-inline-block">
              <div class="breadcrumb-wrapper col-12">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="#">Home</a>
                  </li>
                  <li class="breadcrumb-item"><a href="#">Stock Management</a>
                  </li>
                  <li class="breadcrumb-item active">Stock Movement
                  </li>
                </ol>
              </div>
            </div>
          </div>
        
        </div>
        <div class="content-body"><!-- Zero configuration table -->
<section id="configuration">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <!--<div class="card-header">
                    <h4 class="card-title">Stock Movement</h4>
                    <a class="heading-elements-toggle"><i class="la la-ellipsis-v font-medium-3"></i></a>
                    <div class="heading-elements">
                        <ul class="list-inline mb-0">
                            <li><a data-action="collapse"><i class="ft-minus"></i></a></li>
                            <li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
                            <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
                            <li><a data-action="close"><i class="ft-x"></i></a></li>
                        </ul>
                    </div>
                </div>-->
                <div class="card-content collapse show">
                    <div class="card-body card-dashboard">
                       
                        
							<form method="post" autocomplete="off" action="<?php echo site_url('PStockManagement/searchCStockMovement/');?>" method="POST">
                        	<div class="row justify-content-md-center">
							
								<div class="col-md-3">
									<div class="form-group">
										<input class="form-control pickadate datepicker picker__input picker__input--active" type="text" name="from_date"  id="from_date" required data-uk-datepicker="{format:'DD-MM-YYYY'}" placeholder="From Date">
									</div>
								</div>
								<div class="col-md-3">
									<div class="form-group">
										<input class="form-control pickadate datepicker picker__input picker__input--active" type="text" name="to_date"  id="to_date" required data-uk-datepicker="{format:'DD-MM-YYYY'}" placeholder="To Date">
									</div>
								</div>
								<div class="col-md-3">
									<div class="form-group">
										<select id="branch" name="branch" class="form-control select2" >
											<option value="">Branch</option>
											<?php  foreach($branch as $row)
												{
											?>
												<option value="<?php echo $row->branch_name; ?>"><?php echo $row->branch_name; ?></option>
											<?php
												} 
											?>
										</select>
									</div>
								</div>
								<div class="col-md-3">
									<div class="form-group">
										<input type="submit" name="submit" class="btn btn-primary" value="Stock Movement Report">
									</div>
								</div>
							
						</div>
						</form>
						<div class="table-responsive">
						<?php
				if(isset($_POST['submit'])) {
					 
					if (isset($result_display)) {
						//echo "<p><u>Result</u></p>";
						if ($result_display == 'No record found !') {
							echo $result_display;
							} else {
						?>
						<?php if($_POST['from_date']!="" && $_POST['to_date']!="" && $_POST['branch_name']!=""){ ?>
								<div class="uk-grid" data-uk-grid-margin>
									
										<input class="md-input" type="text" name="from_date"  id="uk_dp_1" value="<?php echo $_POST['from_date']; ?>" readonly >
									
										<input class="md-input" type="text" name="to_date"  id="to_date" value="<?php echo $_POST['to_date']; ?>" readonly >
									
										<input class="md-input" type="text" name="branch"  id="branch" value="<?php echo $_POST['branch']; ?>" readonly >
									</div>
								</div>
								 <table class="table table-striped table-bordered dataex-html5-export">
						<thead>
						    <th>Item Name</th>
											<th>Opening Stock</th>
											<th>Inward</th>
											<th>Outward</th>
											<th>Closing Stock</th>
						</thead>
						<tbody>
							<?php 
							if(isset($result_display) && is_array($result_display) && count($result_display)): $i=1;
							foreach ($result_display as $data) { 
								
								
							?>
								<tr>
									<td><?php echo $data['item_name']; ?></td>
									<td><?php echo $data['opening_stock']; ?></td>
									<td><?php echo $data['inward']; ?></td>
									<td><?php echo $data['outward']; ?></td>
									<td><?php echo $data['closing_stock']; ?></td>
								</tr>
													
								<?php
									$i++;
									} ?>
									<?php else:
								?>
								<tr>
									<td colspan="8" align="center" >No Records Found..</td>
								</tr>
								<?php
									endif;
								?>
						</tbody>
					</table>
					<form method="post" action="<?php echo site_url('PStockManagement/export_PrStockMovement/');?>">
								<div class="uk-width-medium-1-4">
									<div class="uk-input-group">
										<input class="md-input" type="hidden" name="from_date1" value="<?php echo $_POST['from_date']; ?>">
										<input class="md-input" type="hidden" name="to_date1" value="<?php echo $_POST['to_date']; ?>">
										<input class="md-input" type="hidden" name="branchname" value="<?php echo $_POST['branch_name']; ?>">
										<input type="submit" name="export_stock" class="md-btn md-btn-primary" value="Export">
									</div>
								</div>
							</form>	
						
						<?php }
					} }
				} ?>
					    </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!--/ Zero configuration table -->



<!--/ Language - Comma decimal place table -->

        </div>
      </div>
    </div>
    <!-- END: Content-->

   <?php //require('include/theme_customizer.php');?>
 <?php 
  $footer_file=APPPATH.'views/include/footer.php';
	require($footer_file);
	?>
<script>
	$('.param_check').each(function() { $(this).on( {'click contextmenu': function() {
		//contextmenu
		var i = $(this).data('value');
		var anchor = $("a");
		var anchorTarget = $(this).parent().find('.parmetre').val();
		var submodid = $(this).parent().find('.submod_id').val();
		var link = $(this).attr('href');
		$(this).attr("href", link + submodid +'/'+anchorTarget);

		location.reload();
	}
	})
	})
</script>  
  </body>
  <!-- END: Body-->

<!-- Mirrored from pixinvent.com/modern-admin-clean-bootstrap-4-dashboard-html-template/html/ltr/vertical-modern-menu-template/form-layout-basic.html by HTTrack Website Copier/3.x [XR&CO'2014], Mon, 27 Apr 2020 09:38:02 GMT -->
</html>