<?php 
  $header_file=APPPATH.'views/include/header.php';
  require($header_file);
  
  ?>

    <!-- BEGIN: Content-->
    <div class="app-content content">
      <div class="content-overlay"></div>
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-12 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">Present Stock</h3>
            <div class="row breadcrumbs-top d-inline-block">
              <div class="breadcrumb-wrapper col-12">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="#">Home</a>
                  </li>
                  <li class="breadcrumb-item"><a href="#">Stock Management</a>
                  </li>
                  <li class="breadcrumb-item active">Present Stock
                  </li>
                </ol>
              </div>
            </div>
          </div>
        
        </div>
        <div class="content-body"><!-- Zero configuration table -->
<section id="configuration">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <!--<div class="card-header">
                    <h4 class="card-title">Present Stock</h4>
                    <a class="heading-elements-toggle"><i class="la la-ellipsis-v font-medium-3"></i></a>
                    <div class="heading-elements">
                        <ul class="list-inline mb-0">
                            <li><a data-action="collapse"><i class="ft-minus"></i></a></li>
                            <li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
                            <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
                            <li><a data-action="close"><i class="ft-x"></i></a></li>
                        </ul>
                    </div>
                </div>-->
                <div class="card-content collapse show">
                    <div class="card-body card-dashboard">
                       <form method="post" autocomplete="off" action="<?php echo site_url('StockManagement/searchPresentStock/');?>" method="POST">
                        	<div class="row justify-content-md-center">
								<div class="col-md-2">
									<div class="form-group">
										<select id="branch" name="branch" class="form-control select2" >
											<option value="">Branch</option>
											<?php  foreach($branch as $row)
												{
											?>
												<option value="<?php echo $row->branch_name; ?>"><?php echo $row->branch_name; ?></option>
											<?php
												} 
											?>
										</select>
									</div>
								</div>
								
								<div class="col-md-2">
									<div class="form-group">
										<input type="submit" name="submit" class="btn btn-primary" value="Stock">
									</div>
								</div>
							
						</div>
						</form>
					   
					   
                        <div class="table-responsive">
							<?php
				if(isset($_POST['submit'])) {
					 
					if (isset($result_display)) {
						//echo "<p><u>Result</u></p>";
						if ($result_display == 'No record found !') {
							echo $result_display;
							} else {
						?>

						<?php if($_POST['branch']!=""){ ?>
						<div class="row justify-content-md-left">
							
								<div class="col-md-3">
									<div class="form-group">
										<input class="form-control" type="text" name="branch1"  id="branch1" value="<?php echo $_POST['branch']?>" readonly>
									</div>
								</div>
								<div class="col-md-2">
    								<div class="form-group">
    									<select id="category" name="category" class="form-control select2" >
    										<option value="">Category</option>
    										<?php  foreach($category as $crow)
    											{
    										?>
    											<option value="<?php echo $crow->category_name; ?>"><?php echo $crow->category_name; ?></option>
    										<?php
    											} 
    										?>
    									</select>
    								</div>
    							</div>
							</div>
						<table id="mytab" class="table table-striped table-bordered dataex-html5-export">
						<thead>
							<tr>
								<th>Category</th>
								<th>Product Name</th>
								<th>Unit Measurements</th>
								<th>Stock</th>
								<th>Price</th>
								<th>Tax</th>
								<th>Total Amount</th>
							  </tr>
						</thead>
                        <tbody id="fbody">
							 <?php
							  $count =1;
							  if(isset($result_display) && is_array($result_display) && count($result_display)): $i=1;
							foreach ($result_display as $data) { 
								$tax_a = ($data['item_price'] * $data['item_tax'])/100;
							?>
							<tr>
								<td><?php echo $data['category_name']; ?></td>
								<td><?php echo $data['item_name']; ?></td>
								<td><?php echo $data['uom']; ?></td>
								<td><?php echo $data['stock_item']; ?></td>
								<td><?php echo $data['item_price']; ?></td>
								<td><?php echo $data['item_tax']; ?></td>
								<td><?php echo round(($data['item_price'] + $tax_a),2); ?></td>
							</tr>
												
											   <?php
							  $count++;
							}
							
						  ?>
						  <?php else:
								?>
								<tr>
									<td colspan="7" align="center" >No Records Found..</td>
								</tr>
								<?php
									endif;
								?>
						  </tbody>
						  </table>
              
                       
					   <?php	
						}
					} }
				} else { ?>
					 <table class="table table-striped table-bordered dataex-html5-export">
						<thead>
							<tr>
								<th>Product Name</th>
								<th>Unit Measurements</th>
								<th>Price</th>
								<th>Tax</th>
								<th>Total Amount</th>
								<th>Stock</th>
							  </tr>
						</thead>
                        <tbody>
							 <?php
							  $count =1;
							  foreach($prstock as $stk)
							  {
								$tax_a = ($stk->item_price * $stk->item_tax)/100;
							?>
												<tr>
							  <td><?php echo $stk->item_name; ?></td>
							  <td><?php echo $stk->uom; ?></td>
							  <td><?php echo $stk->item_price; ?></td>
							  <td><?php echo $stk->item_tax; ?></td>
							  <td><?php echo round(($stk->item_price + $tax_a),2); ?></td>
							  <td><?php echo $stk->stock_item; ?></td>
							</tr>
												
											   <?php
							  $count++;
							}
							
						  ?>
						  </table>
				<?php } ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!--/ Zero configuration table -->



<!--/ Language - Comma decimal place table -->

        </div>
      </div>
    </div>
    <!-- END: Content-->

   <?php //require('include/theme_customizer.php');?>
 <?php 
  $footer_file=APPPATH.'views/include/footer.php';
  require($footer_file);
  ?>
<script>
  $('.param_check').each(function() { $(this).on( {'click contextmenu': function() {
    //contextmenu
    var i = $(this).data('value');
    var anchor = $("a");
    var anchorTarget = $(this).parent().find('.parmetre').val();
    var submodid = $(this).parent().find('.submod_id').val();
    var link = $(this).attr('href');
    $(this).attr("href", link + submodid +'/'+anchorTarget);

    location.reload();
  }
  })
  })
</script>  
<script>

$('#category').on( 'change', function () {
    //alert('gf');
    $('#mytab').DataTable().search( this.value ).draw();
} );
</script>

  </body>
  <!-- END: Body-->

<!-- Mirrored from pixinvent.com/modern-admin-clean-bootstrap-4-dashboard-html-template/html/ltr/vertical-modern-menu-template/form-layout-basic.html by HTTrack Website Copier/3.x [XR&CO'2014], Mon, 27 Apr 2020 09:38:02 GMT -->
</html>