<?php 
  $header_file=APPPATH.'views/include/header.php';
  require($header_file);
  
  ?>

    <!-- BEGIN: Content-->
    <div class="app-content content">
      <div class="content-overlay"></div>
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-12 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">Voucher</h3>
            <div class="row breadcrumbs-top d-inline-block">
              <div class="breadcrumb-wrapper col-12">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="#">Home</a>
                  </li>
                  <li class="breadcrumb-item"><a href="#">Voucher List</a>
                  </li>
                  <li class="breadcrumb-item active">Voucher List
                  </li>
                </ol>
              </div>
            </div>
          </div>
        
        </div>
        <div class="content-body"><!-- Zero configuration table -->
<section id="configuration">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <!--<div class="card-header">
                    <h4 class="card-title">Present Stock</h4>
                    <a class="heading-elements-toggle"><i class="la la-ellipsis-v font-medium-3"></i></a>
                    <div class="heading-elements">
                        <ul class="list-inline mb-0">
                            <li><a data-action="collapse"><i class="ft-minus"></i></a></li>
                            <li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
                            <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
                            <li><a data-action="close"><i class="ft-x"></i></a></li>
                        </ul>
                    </div>
                </div>-->
                <div class="card-content collapse show">
                    <div class="card-body card-dashboard">
						<div class="row justify-content-md-center">
							<div class="col-md-3">
								<div class="form-group">
									<label>Total Value of Pending vouchers</label>
									<?php 
										$ttlvalue = 0;
										foreach($pnd_voucher as $pvch)
										{
											$ttlvalue = $ttlvalue + $pvch->total_amt;
										}
									?>
									<input class="form-control" type="text" name="ttvalue" id="ttvalue" value="<?php echo $ttlvalue; ?>" readonly >
								</div>
							</div>
						</div>
                       
                        <div class="table-responsive">


                <table class="table table-striped table-bordered dataex-html5-export">
                    <thead>
                        <tr>
                            <th>Voucher No</th>
							<th>Date</th>
							<th>Vendor</th>
							<th>Pay Mode</th>
							<th>Total Amt</th>
							<th>Status</th>
							<th>View</th>
						</tr>
                    </thead>
                    <tbody>
                 <?php
                  $count =1;
                  foreach($voucher as $vch)
                  {
                   ?>
                <tr>
					  <td><?php echo $vch->voucher_no; ?></td>
					  <td><?php echo $vch->vdate; ?></td>
					  <td><a class="grid-form-dialog-btn btn btn-primary btn-sm" href="#medlist" onclick="javascript:load_marks('<?php echo $vch->vendor_name; ?>')" ><?php echo $vch->vendor_name; ?></a></td>
					  <td><?php echo $vch->pay_mode; ?></td>
					<td><?php echo $vch->total_amt; ?></td>
					<?php if($vch->approval_status == 'Pending') { ?>
					<td class="pending_data"><?php echo $vch->approval_status; ?></td>
					<?php } else { ?>
					<td class="success_data"><?php echo $vch->approval_status; ?></td>
					<?php } ?>
					<td>
						<a target="_blank" href="<?php echo site_url('StockManagement/voucherView/'. $vch->voucher_id); ?>" class="btn btn-sm btn-info">View</a>
					</td>
                </tr>
                                    
                                   <?php
                  $count++;
                }
                
              ?>
                                </table>
                
              
                       
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!--/ Zero configuration table -->



<!--/ Language - Comma decimal place table -->

        </div>
      </div>
    </div>
    <!-- END: Content-->

   <?php //require('include/theme_customizer.php');?>
 <?php 
  $footer_file=APPPATH.'views/include/footer.php';
  require($footer_file);
  ?>
<script>
function load_marks(vname)
{
  $.ajax({
      type: "POST",
      data : { vname:vname },
      url: "<?php echo site_url('StockManagement/grnList');?>",
      success: function (response) {
        // alert(response);
        $(".grid-form-dialog").html(response);
        }
     });
	  
  }
</script>
<div class="grid-form-dialog" id="" title="GRN List">
<?php include('grn_list.php'); ?>
</div>
  </body>
  <!-- END: Body-->

<!-- Mirrored from pixinvent.com/modern-admin-clean-bootstrap-4-dashboard-html-template/html/ltr/vertical-modern-menu-template/form-layout-basic.html by HTTrack Website Copier/3.x [XR&CO'2014], Mon, 27 Apr 2020 09:38:02 GMT -->
</html>