<?php 
	$header_file=APPPATH.'views/include/header.php';
	require($header_file);
	
	?>

    <!-- BEGIN: Content-->
    <div class="app-content content">
      <div class="content-overlay"></div>
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-12 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">Stock Transfer List</h3>
            <div class="row breadcrumbs-top d-inline-block">
              <div class="breadcrumb-wrapper col-12">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="#">Home</a>
                  </li>
                  <li class="breadcrumb-item"><a href="#">Stock Transfer</a>
                  </li>
                  <li class="breadcrumb-item active">Stock Transfer List
                  </li>
                </ol>
              </div>
            </div>
          </div>
        
        </div>
        <div class="content-body"><!-- Zero configuration table -->
<section id="configuration">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <!--<div class="card-header">
                    <h4 class="card-title">Stock Transfer List</h4>
                    <a class="heading-elements-toggle"><i class="la la-ellipsis-v font-medium-3"></i></a>
                    <div class="heading-elements">
                        <ul class="list-inline mb-0">
                            <li><a data-action="collapse"><i class="ft-minus"></i></a></li>
                            <li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
                            <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
                            <li><a data-action="close"><i class="ft-x"></i></a></li>
                        </ul>
                    </div>
                </div>-->
                <div class="card-content collapse show">
                    <div class="card-body card-dashboard">
                       
                        
							<form method="post" autocomplete="off" action="<?php echo site_url('Transfer/searchCStkTransfer/');?>" method="POST">
                        	<div class="row justify-content-md-center">
							
								<div class="col-md-3">
									<div class="form-group">
										<input class="form-control pickadate datepicker picker__input picker__input--active" type="text" name="from_date"  id="from_date" required data-uk-datepicker="{format:'DD-MM-YYYY'}" placeholder="From Date">
									</div>
								</div>
								<div class="col-md-3">
									<div class="form-group">
										<input class="form-control pickadate datepicker picker__input picker__input--active" type="text" name="to_date"  id="to_date" required data-uk-datepicker="{format:'DD-MM-YYYY'}" placeholder="To Date">
										<input class="form-control" type="hidden" name="submod_id"  id="submod_id"   value="<?php  if(isset($_POST['submod_id'])) { echo $_POST['submod_id']; }else { echo $submod_id; }?>">
									</div>
								</div>
								<div class="col-md-3">
									<div class="form-group">
										<select id="to_branch_name" name="to_branch_name" class="select2" required >
											<option value="">Select Branch</option>
											<option value="GDW">Godown</option>
											<option value="ESH">Eshanya</option>
											<option value="CW">Cakewala</option>
										</select>
									</div>
								</div>
								
								<div class="col-md-3">
									<div class="form-group">
										<input type="submit" name="submit" class="btn btn-primary" value="Stock Transfer Report">
									</div>
								</div>
							
						</div>
						</form>
						<div class="table-responsive">
						<?php
				if(isset($_POST['submit'])) {
					 
					if (isset($result_display)) {
						//echo "<p><u>Result</u></p>";
						if ($result_display == 'No record found !') {
							echo $result_display;
							} else {
						?>
						<?php if($_POST['from_date']!="" && $_POST['to_date']!="" && $_POST['to_branch_name']!=""){ ?>

								 <table class="table table-striped table-bordered dataex-html5-export">
						<thead>
						    <th>Transfer No</th>
							<th>Transfer Date</th>
							<th>Total</th>
							<th>View </th>
						</thead>
						<tbody>
							<?php 
							if(isset($result_display) && is_array($result_display) && count($result_display)): $i=1;
							foreach ($result_display as $data) { 
								
								
							?>
								<tr>
									<td><?php echo $data->stk_tr_no; ?></td>
									<td><?php echo $data->stk_tr_date; ?></td>
									<td><?php echo $data->total; ?></td>
									<td class="uk-text-nowrap">
										<a href="<?php echo site_url('Transfer/stk_transfer_inv/'. $data->stk_tr_id); ?>" class="btn btn-sm btn-info"> View</a>
									</td>
								</tr>
													
								<?php
									$i++;
									} ?>
									<?php else:
								?>
								<tr>
									<td colspan="8" align="center" >No Records Found..</td>
								</tr>
								<?php
									endif;
								?>
						</tbody>
					</table>

						<?php } else if($_POST['from_date']!="" && $_POST['to_date']!="" && $_POST['to_branch_name']!="" && $_POST['item_name']!=""){
							if($_POST['item_name']=="All") {
							?>
						
							<table class="table table-striped table-bordered dataex-html5-export">
						<thead>
						    <th>Product Name</th>
							<th>Quantity</th>
							<th>Total</th>
						</thead>
						<tbody>
							<?php 
							if(isset($result_display) && is_array($result_display) && count($result_display)): $i=1;
							foreach ($result_display as $data) { 
								
								
							?>
								<tr>
									<td><?php echo $data['item_name']; ?></td>
									<td><?php echo $data['qty']; ?></td>
									<td><?php echo $data['total']; ?></td>
								</tr>
													
								<?php
									$i++;
									} ?>
									<?php else:
								?>
								<tr>
									<td colspan="8" align="center" >No Records Found..</td>
								</tr>
								<?php
									endif;
								?>
						</tbody>
					</table>
							<?php } else if($_POST['item_name']!="All") { ?>
							<table class="table table-striped table-bordered dataex-html5-export">
						<thead>
						    <th>Quantity</th>
							<th>Total</th>
						</thead>
						<tbody>
							<?php 
							if(isset($result_display) && is_array($result_display) && count($result_display)): $i=1;
							foreach ($result_display as $data) { 
								
								
							?>
								<tr>
									<td><?php echo $data['qty']; ?></td>
									<td><?php echo $data['total']; ?></td>
								</tr>
													
								<?php
									$i++;
									} ?>
									<?php else:
								?>
								<tr>
									<td colspan="8" align="center" >No Records Found..</td>
								</tr>
								<?php
									endif;
								?>
						</tbody>
					</table>
							<?php }	} ?>
						<?php }
					}
				}else{ ?>
						
                            <table class="table table-striped table-bordered dataex-html5-export">
                                <thead>
                                    <tr>
                                    	<th>Sl No</th>
                                        <th>Transfer No</th>
										<th>Transfer Date</th>
										<th>Branch</th>
										<th>Total</th>
										<th>View</th>
									</tr>
                                </thead>
                                <tbody>
								 <?php
									$count =1;
									foreach($stk_transfer as $stk_tr)
									{
								?>
                                    <tr>
                                    	<td><?php echo $count; ?></td>
									<td><?php echo $stk_tr->stk_tr_no; ?></td>
									<td><?php echo date('d-m-Y',strtotime($stk_tr->stk_tr_date)); ?></td>
									<td><?php echo $stk_tr->to_branchname; ?></td>
									<td><?php echo $stk_tr->total; ?></td>
									<td class="uk-text-nowrap">
										<a href="<?php echo site_url('Transfer/stk_transfer_inv/'. $stk_tr->stk_tr_id); ?>" class="btn btn-sm btn-info"> <i class="fa ft-eye"></i></a>
									</td>
								</tr>
                                    
                                   <?php
								  $count++;
								}
							  
							?>
                                </table>
								
								<?php } ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!--/ Zero configuration table -->



<!--/ Language - Comma decimal place table -->

        </div>
      </div>
    </div>
    <!-- END: Content-->

   <?php //require('include/theme_customizer.php');?>
 <?php 
  $footer_file=APPPATH.'views/include/footer.php';
	require($footer_file);
	?>
<script>
	$('.param_check').each(function() { $(this).on( {'click contextmenu': function() {
		//contextmenu
		var i = $(this).data('value');
		var anchor = $("a");
		var anchorTarget = $(this).parent().find('.parmetre').val();
		var submodid = $(this).parent().find('.submod_id').val();
		var link = $(this).attr('href');
		$(this).attr("href", link + submodid +'/'+anchorTarget);

		location.reload();
	}
	})
	})
</script>  
  </body>
  <!-- END: Body-->

<!-- Mirrored from pixinvent.com/modern-admin-clean-bootstrap-4-dashboard-html-template/html/ltr/vertical-modern-menu-template/form-layout-basic.html by HTTrack Website Copier/3.x [XR&CO'2014], Mon, 27 Apr 2020 09:38:02 GMT -->
</html>