<?php 
	$header_file=APPPATH.'views/include/header.php';
	require($header_file);
	$sidenav_file=APPPATH.'views/include/sidenav.php';
	require($sidenav_file);	?>
  
    <!-- BEGIN: Content-->
    <div class="app-content content">
      <div class="content-overlay"></div>
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-12 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">Stock Transfer</h3>
            <div class="row breadcrumbs-top d-inline-block">
              <div class="breadcrumb-wrapper col-12">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="#">Home</a>
                  </li>
                  <li class="breadcrumb-item"><a href="#">Stock Transfer </a>
                  </li>
                  <li class="breadcrumb-item active">Stock Transfer
                  </li>
                </ol>
              </div>
            </div>
          </div>
          
        </div>
        <div class="content-body"><!-- Basic form layout section start -->
<section id="basic-form-layouts">
	
	<div class="row justify-content-md-center">
		<div class="col-md-12">
			<div class="card">
				<!--<div class="card-header">
					<h4 class="card-title" id="basic-layout-form-center">Stock Transfer</h4>
					<a class="heading-elements-toggle"><i class="la la-ellipsis-v font-medium-3"></i></a>
					<div class="heading-elements">
						<ul class="list-inline mb-0">
							<li><a data-action="collapse"><i class="ft-minus"></i></a></li>
							<li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
							<li><a data-action="expand"><i class="ft-maximize"></i></a></li>
							<li><a data-action="close"><i class="ft-x"></i></a></li>
						</ul>
					</div>
				</div>-->
				<div class="card-content collapse show">
					<div class="card-body">
						<form class="form" autocomplete="off" action="<?php echo site_url('Transfer/addStkTransfer');?>" method="post">
							<div class="row justify-content-md-center">
								
						
							<div class="col-md-6 mleft">
								<div class="form-group">
									<label>Transfer Date</label>
									<?php $cur_date = date("d-m-Y");
										$branch_id = $_SESSION['branch_id'];
										$branch_name = $_SESSION['branch_name'];
										$full_name = $_SESSION['full_name'];	
										?>
									<input class="form-control" type="text" name="st_trans_date"  id="st_trans_date" value="<?php echo $cur_date; ?>" readonly >
									<input type="hidden" id="branch_id" class="form-control"  name="branch_id" value="<?php echo $branch_id;?>">
									<input type="hidden" id="branch" class="form-control"  name="branch" value="<?php echo $branch_name;?>">
									<input type="hidden" id="full_name" class="form-control"  name="full_name" value="<?php echo $full_name;?>">
								</div>
							</div>
							<div class="col-md-6">
								<div class="form-group">
									<label>Branch Name</label>
									<select id="branch_name" name="branch_name" class="form-control select2" required >
										<option value="">Select</option>
										<?php  foreach($tr_user as $urow)
												{
											?>
												<option value="<?php echo $urow->access_branch; ?>"><?php echo $urow->access_username; ?></option>
											<?php
												} 
											?>
									</select>
									
									
								</div>
							</div>
																				
							</div>
					<div class="row justify-content-md-center">
						<div class="text_increment">
							<div>
								<div class="row">
									
									<div class="col-md-3">
										<div class="form-group">
											<select name="item_name[]" id="item_name" class="form-control select2" required>
												<option value="0">Select Item</option>
												<?php  foreach($items as $row)
													{
												?>
													<option value="<?php echo $row->item_name; ?>"><?php echo $row->item_name; ?></option>
												<?php
													} 
												?>
											</select>
										</div>
									</div>
									<div class="col-md-1">
										<div class="form-group">
											<input class="form-control" type="text" name="uom[]" id="uom" required readonly placeholder="UOM" />
										</div>
									</div>
									<div class="col-md-1">
										<div class="form-group">
											<input class="form-control" type="text" name="close_stock[]" id="close_stock" readonly placeholder="CSTK"/>
										</div>
									</div>
									<div class="col-md-1">
										<div class="form-group">
											<input class="form-control quantity qty" type="text" name="quantity[]" id="quantity" required  placeholder="Req Qty"/>
										</div>
									</div>
									<div class="col-md-1">
										<div class="form-group">
											<input class="form-control price" type="text" name="price[]" id="price" readonly placeholder="Price"/>
											<input class="form-control tax" type="hidden" name="tax[]" id="tax" readonly placeholder="tax"/>			
										</div>
									</div>
									<div class="col-md-1">
										<div class="form-group">
											<input class="form-control txt" type="text" name="total_amount[]" id="total_amount" readonly  placeholder="Amount"/>
										</div>
									</div>
									<div class="col-md-3 ">
										<div class="form-group">
											<input class="form-control" type="text" name="remarks[]" id="remarks" placeholder="Remarks"/>
											<input class="form-control" type="hidden" name="item_id[]" id="item_id"  readonly />
											<input class="form-control" type="hidden" name="category_id[]" id="category_id"  readonly />
											<input class="form-control" type="hidden" name="itm_id[]" id="itm_id"  readonly />
										</div>
									</div>
									<!--<div class="col-md-1 remove_button1"><a href="javascript:void(0);" class="" title="Remove field"><img src="<?php echo base_url(); ?>app-assets/images/remove-icon.png" class="image_logo"/></a></div>-->
								</div>
							</div>	
						</div>
						<input class="md-input result" type="hidden" name="products" id="products" />
					</div>

							<div class="form-actions text-right">
								<div class="col-md-2 ">
								<div class="form-group">
									
									<input class="form-control" type="text" name="total"  id="tot" readonly placeholder="Total Amount"/>
								</div>
							</div>
								<button type="reset" class="btn btn-warning mr-1">
									<i class="ft-x"></i> Cancel
								</button>
								<button type="submit" class="btn btn-primary">
									<i class="la la-check-square-o"></i> Save
								</button>
							</div>
						</form>	

					</div>
				</div>
				<div class="col-md-12 md-fab-wrapper plus">
					<a href="javascript:void(0);" class="add_button" title="Add field"><i class="la la1 la-plus-circle"></i>
					<!--<img src="<?php //echo base_url(); ?>app-assets/images/add-icon.png" class="image_logo"/>-->
					<!--<a href="javascript:void(0);" class="add_button" title="Add field"><img src="<?php //echo base_url(); ?>app-assets/images/add-icon.png" class="image_logo"/>-->
					</a>
				</div>
				<br/>
			</div>
		</div>
	</div>

</section>
<!-- // Basic form layout section end -->
        </div>
      </div>
    </div>
    <?php //require('include/theme_customizer.php');?>

   <?php 
  $footer_file=APPPATH.'views/include/footer.php';
	require($footer_file);
	?>
<script type="text/javascript">
		$(document).ready(function(){
			var maxField = 100; //Input fields increment limitation
			var addButton = $('.add_button'); //Add button selector
			var wrapper = $('.text_increment'); //Input field wrapper
			var x = 1; //Initial field counter is 1
			var counter = 1;
			//$(addButton).click(function(){ 
			$(document).on("click",".add_button",function() {  //Once add button is clicked
				if(x < maxField){ //Check maximum number of input fields
					x++; //Increment field counter
					
					$(wrapper).append('<div><div class="row"><div class="col-md-3"><div class="form-group"><select name="item_name[]" id="item_name'+counter+'" class="form-control select2" required><option value="0">Select Item</option><?php  foreach($items as $row) { ?><option value="<?php echo $row->item_name; ?>"><?php echo $row->item_name; ?></option><?php } ?></select></div></div><div class="col-md-1"><div class="form-group"><input class="form-control" type="text" name="uom[]" id="uom'+counter+'" required readonly placeholder="UOM" /></div></div><div class="col-md-1"><div class="form-group"><input class="form-control" type="text" name="close_stock[]" id="close_stock'+counter+'" readonly placeholder="CSTK"/></div></div><div class="col-md-1"><div class="form-group"><input class="form-control quantity qty" type="text" name="quantity[]" id="quantity'+counter+'" required  placeholder="Req Qty"/></div></div><div class="col-md-1"><div class="form-group"><input class="form-control price" type="text" name="price[]" id="price'+counter+'" readonly placeholder="Price"/><input class="form-control tax" type="hidden" name="tax[]" id="tax'+counter+'" readonly placeholder="tax"/></div></div><div class="col-md-1"><div class="form-group"><input class="form-control txt" type="text" name="total_amount[]" id="total_amount'+counter+'" readonly  placeholder="Amount"></div></div><div class="col-md-3 "><div class="form-group"><input class="form-control" type="text" name="remarks[]" id="remarks'+counter+'" placeholder="Remarks"/><input class="form-control" type="hidden" name="item_id[]" id="item_id'+counter+'"  readonly /><input class="form-control" type="hidden" name="category_id[]" id="category_id'+counter+'"  readonly /><input class="form-control" type="hidden" name="itm_id[]" id="itm_id'+counter+'"  readonly /></div></div><div class="col-md-1 remove_button"><a href="javascript:void(0);" class="" title="Remove field"><img src="<?php echo base_url(); ?>app-assets/images/remove-icon.png" class="image_logo"/></a></div></div></div>'); 
					//alert(counter);
					$(function () {
						$(".select2").select2();
						$('#quantity' + counter).keypress(function(e) {
							var a = [];
							var k = e.which;
							for (i = 46; i < 58; i++)
							a.push(i);
							if (!($.inArray(k,a)>=0))
							e.preventDefault();
						});
					});
					
					$('#item_name' + counter).change(function(){
						var id = $(this).attr('id');
						// alert(id);
						id_length = id.length;
						if(id_length == 10) {
							counts = id.substr(-1);
							var i_name = $('#item_name'+counts).val();
							var branch_id = $('#branch_id').val();
							$.ajax({
								type :'POST',
								dataType:'json',
								data : { iname : i_name,br_id : branch_id },
								url : '<?php echo base_url();?>index.php/Master/get_BrItemDetails',
								success: function(data) {
									//alert(data.price);
																											
									$('#uom'+counts).val(data.uom);
									$('#item_id'+counts).val(data.item_id);
									$('#category_id'+counts).val(data.category_id);
									$('#price'+counts).val(data.item_price);
									$('#tax'+counts).val(data.item_tax);
									$('#close_stock'+counts).val(data.stock_item);
									$('#itm_id'+counts).val(data.itm_id);
									
								}
							});
							//$("#item_name"+ counts).attr('disabled', 'disabled');
						}
						else{
							counts = id.substr(-2);
							var i_name = $('#item_name'+counts).val();
							var branch_id = $('#branch_id').val();
							//alert(i_name);
							//alert(brname);
							$.ajax({
								type :'POST',
								dataType:'json',
								data : { iname : i_name,br_id : branch_id },
								url : '<?php echo base_url();?>index.php/Master/get_BrItemDetails',
								success: function(data) {
									//alert(data.price);
									$('#uom'+counts).val(data.uom);
									$('#item_id'+counts).val(data.item_id);
									$('#category_id'+counts).val(data.category_id);
									$('#price'+counts).val(data.item_price);
									$('#tax'+counts).val(data.item_tax);
									$('#close_stock'+counts).val(data.stock_item);
									$('#itm_id'+counts).val(data.itm_id);
								}
							});
							//$("#item_name"+ counts).attr('disabled', 'disabled');
						}
					});
					
					$('#quantity'+counter).on('keyup',function() {
						var id = $(this).attr('id');
						id_length = id.length;
						//alert(id_length);
						if(id_length == 9) {
							//alert(id1);
							counts = id.substr(-1);
							var qty = $('#quantity'+ counts).val();
							var stock = $('#close_stock'+ counts).val();
							var price = $('#price'+ counts).val();
							//alert(stock);
							if(parseFloat(qty) > parseFloat(stock))
							{
								var lt = 0;
								alert("You can't enter more than the current stock");
								$('#total_amount'+ counts).val(lt);
								$('#quantity'+counts).val(lt);
								$('#tot'+counts).val(lt);
							}
							else
							{
								var result = (parseFloat(qty) * parseFloat(price)).toFixed(2);
								//var basic = $('#quantity').val() * $('#price').val();
								if (!isNaN(result)) {
									$('#total_amount'+ counts).val(result);
									$('#total_amount'+ counts).blur();
									//$('#net_amount').val(result);
								}
								var sum = 0;
								$('.txt').each(function() {
									sum += Number($(this).val());
								});
								$('#tot').val(sum.toFixed(2));
								$('#tot').blur();
							}
						}
						else{
							counts = id.substr(-2);
							var qty = $('#quantity'+ counts).val();
							var stock = $('#close_stock'+ counts).val();
							var price = $('#price'+ counts).val();
							//alert(stock);
							if(parseFloat(qty) > parseFloat(stock))
							{
								var lt = 0;
								alert("You can't enter more than the current stock");
								//$('#basic_amount').val($('#quantity').val() * $('#price').val());
								//$("div#result").css("display","block");
								$('#total_amount'+ counts).val(lt);
								$('#quantity'+counts).val(lt);
								$('#tot'+counts).val(lt);
							}
							else
							{
								//$("div#result").css("display","none");
								var result = (parseFloat(qty) * parseFloat(price)).toFixed(2);
								//var basic = $('#quantity').val() * $('#price').val();
								if (!isNaN(result)) {
									$('#total_amount'+ counts).val(result);
									$('#total_amount'+ counts).blur();
								}
								var sum = 0;
								$('.txt').each(function() {
									sum += Number($(this).val());
								});
								$('#tot').val(sum.toFixed(2));
								$('#tot').blur();
							}
						}
					});
				}
				//alert(counter);
				counter++;
			});
			$(wrapper).on('click', '.remove_button', function(e){ //Once remove button is clicked
				e.preventDefault();
				$(this).parent('div').remove(); //Remove field html
				
				//var tamount = $(this).parent().find('.txt').val();
				//var gamount = $('#tot').val();
				//var bal_amt = (gamount - tamount).toFixed(2);
			//	$('#tot').val(bal_amt);
				//alert(bal_amt);
				x--; //Decrement field counter
				counter--;
			});
			$(document).on("change",".batch_no",function(){
				var text = "";
				$('.product_details').each(function(){
					text += $(this).val()+' ';
				});
				text = text.substring(0,text.length-1);
				$('#products').val(text);
			});
		});
	</script>
	<script>
		$("#item_name").change(function(){
			var i_name = $('#item_name').val();
			var branch_id = $('#branch_id').val();
			//alert(i_name);
			//alert(brname);
			$.ajax({
				type :'POST',
				dataType:'json',
				data : { iname : i_name,br_id : branch_id },
				url : '<?php echo base_url();?>index.php/Master/get_BrItemDetails',
				success: function(data) {
					//alert(data.price);
					$('#uom').val(data.uom);
					$('#item_id').val(data.item_id);
					$('#category_id').val(data.category_id);
				    $('#price').val(data.item_price);
					$('#tax').val(data.item_tax);
					$('#close_stock').val(data.stock_item);
					$('#itm_id').val(data.itm_id);
				}
			});
			//$("#item_name").attr('disabled', 'disabled');
		});
	</script>
	
	<script>
			$('#quantity').on('keyup',function() {
				var qty = $('#quantity').val();
				var stock = $('#close_stock').val();
				var price = $('#price').val();
				//alert(stock);
				if(parseFloat(qty) > parseFloat(stock))
				{
					var lt = 0;
					alert("You can't enter more than the current stock");
					$('#total_amount').val(lt);
					$('#quantity').val(lt);
					$('#tot').val(lt);
				}
				else
				{
					var result = (parseFloat(qty) * parseFloat(price)).toFixed(2);
					if (!isNaN(result)) {
						$('#total_amount').val(result);
						$('#total_amount').blur();
					}
					var sum = 0;
					$('.txt').each(function() {
						sum += Number($(this).val());
					});
					$('#tot').val(sum.toFixed(2));
					$('#tot').blur();
				}
			});
		</script>
	
	<script>
	$(window).on('beforeunload', function () {
         //$("input[type=submit], input[type=button]").prop("disabled", "disabled");
		 $("input[type=submit]").prop("disabled", "disabled");
		 $("#submit").css("background-color","#dcdcdc");
    });
</script>
	
  </body>
  <!-- END: Body-->

<!-- Mirrored from pixinvent.com/modern-admin-clean-bootstrap-4-dashboard-html-template/html/ltr/vertical-modern-menu-template/form-layout-basic.html by HTTrack Website Copier/3.x [XR&CO'2014], Mon, 27 Apr 2020 09:38:02 GMT -->
</html>