<?php 
	$header_file=APPPATH.'views/include/header.php';
	require($header_file);
	$sidenav_file=APPPATH.'views/include/sidenav.php';
	require($sidenav_file);	?>
   
    <!-- BEGIN: Content-->
    <div class="app-content content">
      <div class="content-overlay"></div>
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-12 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">Product </h3>
            <div class="row breadcrumbs-top d-inline-block">
              <div class="breadcrumb-wrapper col-12">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="#">Home</a>
                  </li>
                  <li class="breadcrumb-item"><a href="#">Product</a>
                  </li>
                  <li class="breadcrumb-item active">Product Updation
                  </li>
                </ol>
              </div>
            </div>
          </div>
          
        </div>
        <div class="content-body"><!-- Basic form layout section start -->
<section id="basic-form-layouts">
	



	<div class="row justify-content-md-center">
		<div class="col-md-12">
			<div class="card">
				<div class="card-header">
					<h4 class="card-title" id="basic-layout-form-center">Product Updation</h4>
					<a class="heading-elements-toggle"><i class="la la-ellipsis-v font-medium-3"></i></a>
					<div class="heading-elements">
						<ul class="list-inline mb-0">
							<li><a data-action="collapse"><i class="ft-minus"></i></a></li>
							<li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
							<li><a data-action="expand"><i class="ft-maximize"></i></a></li>
							<li><a data-action="close"><i class="ft-x"></i></a></li>
						</ul>
					</div>
				</div>
				<div class="card-content collapse show">
					<div class="card-body">
						<form class="form" enctype="multipart/form-data" autocomplete="off" action="<?php echo site_url('Master/updateProductTz'); ?>" method="post">
						<?php foreach($product as $prd) ?>
							<div class="row justify-content-md-center">
								<div class="col-md-4">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Product Name</label>
											<input type="text" class="form-control" id="product_name" name="product_name" value="<?php echo $prd->rname ?>" required placeholder="Product Name">
											<input type="hidden" class="form-control" id="recipe_no" name="recipe_no" value="<?php echo $prd->recipe_no ?>" >
											<input type="hidden" class="form-control" id="branch_name" name="branch_name" value="<?php echo $_SESSION['branch_name']; ?>" >
											<input type="hidden" class="form-control" id="branch_id" name="branch_id" value="<?php echo $_SESSION['branch_id']; ?>" >
											<input type="hidden" class="form-control" id="raised_date" name="raised_date" value="<?php echo $prd->raised_date ?>" >
											<input type="hidden" class="form-control" id="recipe_id" name="recipe_id" value="<?php echo $prd->recipe_id ?>" >
										</div>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Yield</label>
											<input type="text" class="form-control" id="yield" name="yield" value="<?php echo $prd->yeild ?>" placeholder="Yield">
										</div>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">UOM</label>
											<input type="text" class="form-control" id="uom" name="uom" value="<?php echo $prd->uom ?>" required placeholder="UOM">
										</div>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">SqCode</label>
											<input type="text" class="form-control" id="sqcode" name="sqcode" value="<?php echo $prd->sqcode ?>" placeholder="SqCode">
										</div>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">HSN Code</label>
											<input type="text" class="form-control" id="hsn_code" name="hsn_code" value="<?php echo $prd->hsn_code ?>" placeholder="HSN Code">
										</div>
									</div>
								</div>
								<div class="col-md-3">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Category</label>
											<select name="category" id="category" class="form-control" required>
												<option value="">Select Category</option>
												<?php  foreach($category as $row)
													{
												?>	
														<option <?php if($row->pr_cat_id == $prd->pr_cat_id) echo 'selected="selected"'; ?> value="<?php echo $row->pr_cat_id; ?>"><?php echo $row->pr_cat_name; ?></option>
												<?php
													} 
												?>
											</select>
										</div>
									</div>
								</div>
								<div class="col-md-3">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Recipe Category</label>
											<select name="recipe_cat" id="recipe_cat" class="form-control" required>
												<option value="">Select Category</option>
												<option <?php if($prd->recipe_cat == 'Finished') echo 'selected="selected"'; ?> value="Finished">Finished</option>
												<option <?php if($prd->recipe_cat == 'Semi-Finished') echo 'selected="selected"'; ?> value="Semi-Finished">Semi-Finished</option>
												<option <?php if($prd->recipe_cat == 'Raw-Material') echo 'selected="selected"'; ?> value="Raw-Material">Raw-Material</option>
											</select>
										</div>
									</div>
								</div>
								<div class="col-md-3">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Indent to be Raised On</label>
											<select name="raised_on" id="raised_on" class="form-control" >
												<option value="">Select</option>
												<?php  foreach($kitchen as $row)
													{
												?>
													<option <?php if($row->username == $prd->raised_on) echo 'selected="selected"'; ?> value="<?php echo $row->username; ?>"><?php echo $row->username; ?></option>
												<?php
													} 
												?>
											</select>
										</div>
									</div>
								</div>
								<div class="col-md-3">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Order to Delivery time</label>
											<select id="od_time" name="od_time" class="select2" >
												<option value="">Select</option>
												<?php 
													for($i=2;$i<=24;$i++)
													{
														if(($i%2) == 0)
														{
														?>
															<option <?php if($i == $prd->od_time) echo 'selected="selected"'; ?> value="<?php echo $i; ?> Hours"><?php echo $i; ?> Hours</option>
														<?php
														}
													}
												?>
											</select>
										</div>
									</div>
								</div>
							</div>

							<div class="row justify-content-md-center">
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Base Price</label>
											<input type="text" class="form-control" id="base_price" name="base_price" value="<?php echo $prd->price ?>" placeholder="Base Price">
										</div>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">GST Rate(%)</label>
											<select name="gst_rate" id="gst_rate" class="form-control select2">
												<option value="">Select Tax</option>
												<?php  foreach($tax as $row)
													{
												?>
													<option <?php if($row->tax_percentage == $prd->tax) echo 'selected="selected"'; ?> value="<?php echo $row->tax_percentage; ?>"><?php echo $row->tax_percentage; ?></option>
												<?php
													} 
												?>
											</select>
										</div>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Tax Amt</label>
											<input type="text" class="form-control" id="gst" name="gst" value="<?php echo $prd->tax_amount ?>" placeholder="Tax Amt">
										</div>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Price</label>
											<input type="text" class="form-control" id="tprice" name="tprice" value="<?php echo $prd->total_price ?>"  placeholder="Price">
										</div>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Discount       </label>
											<input type="text" class="form-control" id="discount" name="discount" value="<?php echo $prd->discount ?>" placeholder="Discount">
										</div>
									</div>
								</div>
								
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Flavour code</label>
											<input type="text" class="form-control" id="fcode" name="fcode" value="<?php echo $prd->f_code ?>" placeholder="Flavour code">
										</div>
									</div>
								</div>
							</div>
							<?php 
							/*$i = 1;
							$bi = 0;
							foreach($sales_price as $ctr) { ?>
						<!--	<div class="row">
								<div class="col-md-1">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">TM<?php echo $i; ?></label>
										</div>
									</div>
								</div>
								<div class="col-md-11">
									<div class="row">
										<input type="text" class="form-control cbase_price col-md-2 comm" id="cbase_price" name="cbase_price[]" value="<?php echo $ctr->price; ?>" placeholder="Base Price">
									<!--	<input type="text" class="form-control cgst_rate col-md-2 comm" id="cgst_rate" name="cgst_rate[]" value="<?php //echo $ctr->tax; ?>" placeholder="GST Rate(%)">-->
										<select name="cgst_rate[]" id="cgst_rate" class="form-control cgst_rate col-md-2">
												<option value="">Select Tax</option>
												<?php  foreach($tax as $cgrow)
													{
												?>
													<option <?php if($cgrow->tax_percentage == $ctr->tax) echo 'selected="selected"'; ?> value="<?php echo $cgrow->tax_percentage; ?>"><?php echo $cgrow->tax_percentage; ?></option>
												<?php
													} 
												?>
										</select>
										<input type="text" class="form-control cgst col-md-2 comm" id="cgst" name="cgst[]" value="<?php echo $ctr->tax_amount; ?>" placeholder="GST">
										<input type="text" class="form-control ctprice col-md-2 comm" id="ctprice" name="ctprice[]" value="<?php echo $ctr->total_price; ?>" placeholder="Total Price">
										<input type="checkbox" class="form-control col-md-2" id="brchk" name="brchk[]" value="<?php echo $bi; ?>" >
										<input type="hidden" class="form-control cbranch col-md-2 comm" id="cbranch" name="cbranch[]" value="<?php echo $ctr->branchname; ?>" placeholder="Branch Name">
										<input type="hidden" class="form-control cbranch_id" id="cbranch_id" name="cbranch_id[]" value="<?php echo $ctr->branch_id; ?>" placeholder="Branch Id">
										<input type="hidden" class="form-control" id="recipe_price_id" name="recipe_price_id[]" value="<?php echo $ctr->recipe_price_id; ?>" placeholder="Price">
									</div>
								</div>
							</div>-->
								
							<?php 
							$i++;
							$bi++;
							}*/ ?>
							<?php 
							$i = 1;
							$bi = 0;
							foreach($sales_price as $ctr) { ?>
							<div class="row">
								<div class="col-md-1">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1"><?php echo $ctr->branchname; ?></label>
										</div>
									</div>
								</div>
								<div class="col-md-11">
									<div class="row">
									    <input type="text" class="form-control ctprice col-md-2 comm" id="ctprice" name="ctprice[]" value="<?php echo $ctr->total_price; ?>" placeholder="Total Price">
									    <select name="cgst_rate[]" id="cgst_rate" class="form-control cgst_rate col-md-2">
												<option value="">Select Tax</option>
												<?php  foreach($tax as $cgrow)
													{
												?>
													<option <?php if($cgrow->tax_percentage == $ctr->tax) echo 'selected="selected"'; ?> value="<?php echo $cgrow->tax_percentage; ?>"><?php echo $cgrow->tax_percentage; ?></option>
												<?php
													} 
												?>
										</select>
										<input type="text" class="form-control cbase_price col-md-2 comm" id="cbase_price" name="cbase_price[]" value="<?php echo $ctr->price; ?>" placeholder="Base Price" readonly >
										<input type="text" class="form-control cgst col-md-2 comm" id="cgst" name="cgst[]" value="<?php echo $ctr->tax_amount; ?>" placeholder="GST" readonly >
									<!--	<input type="text" class="form-control cgst_rate col-md-2 comm" id="cgst_rate" name="cgst_rate[]" value="<?php //echo $ctr->tax; ?>" placeholder="GST Rate(%)">-->
										
										<input type="checkbox" class="form-control col-md-2" id="brchk" name="brchk[]" value="<?php echo $bi; ?>" >
										<input type="hidden" class="form-control col-md-2" id="brchk1" name="brchk1[]" value="<?php echo $bi; ?>" >
										<input type="hidden" class="form-control cbranch" id="cbranch" name="cbranch[]" value="<?php echo $ctr->branchname; ?>" placeholder="Branch Name">
										<input type="hidden" class="form-control cbranch_id" id="cbranch_id" name="cbranch_id[]" value="<?php echo $ctr->branch_id; ?>" placeholder="Branch Id">
										<input type="hidden" class="form-control cbranch_code" id="cbranch_code" name="cbranch_code[]" value="<?php echo $ctr->branchname; ?>" >
										<input type="hidden" class="form-control cbranch_code" id="icbranch_code" name="icbranch_code[]" value="<?php //echo $ctr->ibranch_code; ?>" >
										<input type="hidden" class="form-control" id="recipe_price_id" name="recipe_price_id[]" value="<?php echo $ctr->recipe_price_id; ?>" placeholder="Price">
									</div>
								</div>
							</div>
								
							<?php 
							$i++;
							$bi++;
							} ?>
							<div class="row">
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Shelf Life</label>
											<select id="s_life" name="s_life" class="select2" >
												<option value="">Select</option>
												<option <?php if($prd->shelf_life == "< 1 Day") echo 'selected="selected"'; ?> value="< 1 Day">< 1 Day</option>
												<option <?php if($prd->shelf_life == "1 Day") echo 'selected="selected"'; ?> value="1 Day">1 Day</option>
												<?php 
													for($i=2;$i<=7;$i++)
													{
													?>
														<option <?php if($i == $prd->shelf_life) echo 'selected="selected"'; ?> value="<?php echo $i; ?> Days"><?php echo $i; ?> Days</option>
													<?php
													}
												?>
											</select>
										</div>
									</div>
								</div>
								<div class="col-md-4">
									<div class="form-body">
										<div class="form-group" style="margin-top:35px;">
											<label for="eventInput1">Allowed for Special Order</label>
											<input type="radio" <?php if($prd->spl_ord == 'Yes') echo 'checked="checked"'; ?> name="spl_ord" id="yes" value="Yes"/>Yes
											<input type="radio" <?php if($prd->spl_ord == 'No') echo 'checked="checked"'; ?> name="spl_ord" id="no" value="No"/>No
										</div>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Prepared BY</label>
											<select name="prepared" id='prepared' class='select2' >
												<option value="">Select</option>
												<?php  foreach($chef as $row)
													{
												?>
													<option <?php if($row->chef_name == $prd->prepared_by) echo 'selected="selected"'; ?> value="<?php echo $row->chef_name; ?>"><?php echo $row->chef_name; ?></option>
												<?php
													} 
												?>
											</select>
										</div>
									</div>
								</div>
								<div class="col-md-3">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Effective From</label>
											<input type="text" class="form-control pickadate datepicker" id="effective" name="effective" value="<?php echo $prd->effective_from ?>" placeholder="Effective From">
						 				</div>
									</div>
								</div>
							</div>
							<div class="row">
								<div class="col-md-4">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Allowed for food delivery platform</label>
											<br/>
											<input type="radio" <?php if($prd->food_delivery == 'Yes') echo 'checked="checked"'; ?> name="food_delivery" id="tyes" value="Yes"/>Yes
											<input type="radio" <?php if($prd->food_delivery == 'No') echo 'checked="checked"'; ?> name="food_delivery" id="tno" value="No"/>No
										</div>
									</div>
								</div>
								<div class="col-md-2 t_prod_price" style="display:none;">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Base Price</label>
											<input type="text" name="tbase_price" id="tbase_price" class="form-control" value="<?php echo $prd->tprice ?>" placeholder="Base Price"/>
										</div>
									</div>
								</div>
								<div class="col-md-2 t_prod_price" style="display:none;">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">GST Rate</label>
											<select name="tgst_rate" id="tgst_rate" class="form-control select2" required>
												<option value="0">Select Tax</option>
												<?php  foreach($tax as $row)
													{
												?>
													<option <?php if($row->tax_percentage == $prd->ttax) echo 'selected="selected"'; ?> value="<?php echo $row->tax_percentage; ?>"><?php echo $row->tax_percentage; ?></option>
												<?php
													} 
												?>
											</select>
										</div>
									</div>
								</div>
								<div class="col-md-2 t_prod_price" style="display:none;">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Tax Amt</label>
											<input class="form-control" type="text" name="tgst" id="tgst" placeholder="Tax Amt" value="<?php echo $prd->ttax_amount ?>" readonly >
										</div>
									</div>
								</div>
								<div class="col-md-2 t_prod_price" style="display:none;">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Total Price</label>
											<input class="form-control" type="text" name="ttprice"  id="ttprice" placeholder="Price" value="<?php echo $prd->ttotal_price ?>" readonly >
										</div>
									</div>
								</div>
							</div>
							<div class="row">
						                    <div class="col-md-4">
                                        		<div class="form-body">
                                        			<div class="form-group" style="margin-top:35px;">
                                        				<label for="eventInput1">Applicable to Institution Sales</label><br/>
                                        				<input type="radio" name="inst_sales" id="iyes" value="Yes"/>Yes &nbsp;&nbsp;&nbsp;
                                        				<input type="radio" name="inst_sales" id="ino" value="No" checked />No
                                        			</div>
                                        		</div>
                                        	</div>
						                </div>
							<div class="row">
								<div class="col-md-4">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Product Image</label>
											<input type="hidden" name="pd_upload1" id="pd_upload1" accept="image/*" class="form-control image_file" value="<?php echo$prd->product_image ?>" />
											<input type="file" name="pd_upload" id="pd_upload" accept="image/*" class="form-control image_file" onchange="showMyImage(this)" />
											<?php if($prd->product_image != '') { ?>
											<img id="thumbnil" style="margin-top:14px;height:125px;" src="<?php echo base_url().'product_image/'.$prd->product_image; ?>"/>
											<?php } else { ?>
											<img id="thumbnil" style="margin-top:14px;height:125px;" src=""/>
											<?php } ?>
										</div>
									</div>
								</div>
								<div class="col-md-4">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Branch</label>
											<select id="up_branch" name="up_branch[]" class="select2" multiple="multiple">
												<option value="">Select Branch</option>
												<?php
													$updated_in = array();
													foreach($branch as $sbr)
													{
														$updated_in[] = $sbr->branch_name;
														$updated_id[] = $sbr->branch_id;
													}
													$up = array();
													foreach($pbranch as $key => $data3){
														
														$up[] = $data3->branchname;
													}
													for($j=0;$j<count($updated_in);$j++)
													{
														if(in_array($updated_in[$j],$up))
														{
													?>
														<option value="<?php echo $updated_id[$j]?>" selected="selected" ><?php echo $updated_in[$j]?></option>
													<?php
														}
														else
														{
													?>
														<option value="<?php echo $updated_id[$j]?>"><?php echo $updated_in[$j]?></option>
													<?php
														}
													}
													?>
											</select>
											<input type="hidden" class="form-control" name="up_brname" id="up_brname" >
										</div>
									</div>
								</div>
							</div>
							
							<div class="row">
                                <label class="col-md-2 md-col">Item Name</label>
                                <label class="col-md-1 md-col">UOM</label>
                                <label class="col-md-2 md-col">Quantity</label>
                                <label class="col-md-2 md-col">Rate</label>
                                <label class="col-md-2 md-col">Price</label>
							</div>
							
							<?php foreach($recipe_items as $rc) { ?>
							<div class="row ">
							    <input type="hidden" name="rid" id="rid" value="<?php echo $rc->recipe_id;?>">
								<input type="hidden" name="rcitem_ids[]" value="<?php echo $rc->rc_item_id;?>">
								<input type="text" readonly class="form-control col-md-2 md-col" id="input_1" name="inames[]" value="<?php echo $rc->item_name;?>" >
								<input type="text" readonly class="form-control col-md-2 md-col" id="input_1" name="uoms[]" value="<?php echo $rc->uom;?>" Placeholder="UOM" >
								<input type="text" class="form-control col-md-2 md-col qt"  id="input_1" name="quantitys[]" value="<?php echo $rc->qty;?>" Placeholder="Quantity" >
								<?php 
								    $branch_name=$_SESSION['branch_name'];
								    $it_name=$rc->item_name;
								    $q2 = $this->db->query("SELECT * FROM item_creation where item_name='$it_name' and branchname='STR'");
		                            $result4 = $q2->result();
		                            if($q2->num_rows()>0){
                        			    foreach($result4 as $row4)
                        				$iprice = $row4->item_price;
                        				$itotal=(float)$iprice*(float)$rc->qty;
		                            }
		                            else{
		                                $iprice=$rc->price;
		                                $itotal=$rc->total;
		                            }
								?>
								<input type="text" readonly class="form-control col-md-2 md-col pr" id="input_1" name="prices[]" value="<?php echo $iprice;?>" Placeholder="Price">
								<input type="text" class="form-control col-md-2 md-col tt"  id="input_1" name="totals[]" value="<?php echo $itotal;?>" Placeholder="Total" readonly >
								<a href="<?php echo site_url('Master/rcitemDelete/'. $rc->rc_item_id .'/'. $rc->recipe_id .'/'. $rc->recipe_no); ?>" class="col-md-1 md-col" onClick="return confirm('Are you sure want to delete?');" ><img src="<?php echo base_url(); ?>app-assets/images/remove-icon.png" class="image_logo"/></a>
							</div>
							</br>
							<?php } ?>
							
							<div class="text_increment">
						<div>
							<div class="row">
								<div class="col-md-3">
									<div class="form-group">
										<select name="item_name[]" id="item_name" class="form-control select2" required>
											<option value="0">Select Item</option>
											<?php foreach($items as $row)
												{
													echo '<option value="'.$row->item_name.'">'.$row->item_name.'</option>';
												}
											?>
										</select>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-group">
										<input class="form-control" type="text" name="iuom[]" id="iuom" readonly placeholder="UOM" />									
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-group">
										<input class="form-control quantity qty" type="text" step="any" name="quantity[]"  id="quantity" placeholder="Qty"/>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-group">
										<input class="form-control price" type="text" name="price[]"   id="price" readonly placeholder="Price" />
										<input class="form-control" type="hidden" name="item_id[]" id="item_id"  readonly />
										<input class="form-control" type="hidden" name="cat_id[]" id="cat_id"  readonly />
										<input class="form-control" type="hidden" name="itm_id[]" id="itm_id"  readonly />
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-group">
										<input class="form-control total" type="text" name="total[]"  id="total" readonly  placeholder="Total"/>
									</div>
								</div>
								<div class="col-md-1">
									<a href="javascript:void(0);" class="add_button" title="Add field"><img src="<?php echo base_url(); ?>app-assets/images/add-icon.png" class="image_logo"/>
									</a>
								</div>
							</div>
						</div>	
					</div>
					<input class="form-control product_details" type="hidden" step="any" name="item_grand_total"  id="item_grand_total" value="0" readonly />
						
					<div class="row">
								<label for="eventInput1">Sub Recipe  </label>
							</div>
							<?php foreach($sub_recipe_items as $src) { ?>
							<div class="row">
							    <input type="hidden" name="sub_item_ids[]" value="<?php echo $src->sub_rc_item_id;?>" >
								<input type="text" readonly class="form-control col-md-2 md-col" id="input_1" name="sub_inames[]" value="<?php echo $src->item_name;?>" Placeholder="Ingredient" >
								<input type="text" readonly class="form-control col-md-2 md-col" id="input_1" name="sub_uoms[]" value="<?php echo $src->uom;?>" Placeholder="UOM" >
								<input type="text" class="form-control col-md-2 md-col qt sqt"  id="input_1" name="sub_quantitys[]" value="<?php echo $src->qty;?>" Placeholder="Quantity" >
								<?php
								    $item_name=$src->item_name;
								    $branch_name=$_SESSION['branch_name'];
									$q1 = $this->db->query("SELECT * FROM recipe where rname='$item_name' and branchname='$branch_name'");
		                            $result3 = $q1->result();
                        			foreach($result3 as $row3)
                        				$price = $row3->recipe_cost;
                        				$total=(float)$price*(float)$src->qty;
								?>
								
								<input type="text" readonly class="form-control col-md-2 md-col pr" id="input_1" name="sub_prices[]" value="<?php echo $price;?>" Placeholder="Price">
								<input type="text" class="form-control col-md-2 md-col tt"  id="input_1" name="sub_totals[]" value="<?php echo $total;?>" Placeholder="Total" readonly >
								<a href="<?php echo site_url('Master/srcitemDeleteTz/'. $src->sub_rc_item_id .'/'. $src->recipe_id .'/'. $src->rc_no); ?>" class="col-md-1 md-col" onClick="return confirm('Are you sure want to delete?');" ><img src="<?php echo base_url(); ?>app-assets/images/remove-icon.png" class="image_logo"/></a>
							</div>
							</br>
							<?php } ?>
							<input class="form-control product_details" type="hidden" step="any" name="grand_total" id="grand_total" readonly />
							<div class="text_increment2">
        						<div>
        							<div class="row">
        								
        								<div class="col-md-3">
        									<div class="form-group">
        										<select id="sub_item_name" name="sub_item_name[]" class="select2 form-control" >
        											<option value="0">Select Item</option>
        											<?php  foreach($products as $row)
        												{
        													echo '<option value="'.$row->rname.'">'.$row->rname.'</option>';
        												} 
        											?>
        										</select>
        									</div>
        								</div>
        								<div class="col-md-2">
        									<div class="form-group">
        										<input class="form-control" type="text" name="sub_uom[]" id="sub_uom" readonly  placeholder="UOM"/>	
        									</div>
        								</div>
        								<div class="col-md-2">
        									<div class="form-group">
        										<input class="form-control quantity qty1" type="text" name="sub_quantity[]"  id="sub_quantity" placeholder="Qty"/>
        									</div>
        								</div>
        								<div class="col-md-2">
        									<div class="form-group">
        										<input class="form-control price sprice" type="text" name="sub_price[]"   id="sub_price" readonly  placeholder="Price"/>
        										<input class="form-control" type="hidden" name="sub_item_id[]" id="sub_item_id"  readonly />
        										<input class="form-control" type="hidden" name="sub_cat_id[]" id="sub_cat_id"  readonly />
        										<input class="form-control" type="hidden" name="rcp_no[]" id="rcp_no"  readonly />
        									</div>
        								</div>
        								<div class="col-md-2">
        									<div class="form-group">
        										<input class="form-control total1 stt" type="text" name="sub_total[]"  id="sub_total" readonly placeholder="Total" />
        									</div>
        								</div>
        								<div class="col-md-1">
        									<a href="javascript:void(0);" class="add_button1" title="Add field"><img src="<?php echo base_url(); ?>app-assets/images/add-icon.png" class="image_logo"/></a>	
        								</div>
        							</div>
        						</div>	
        					</div>

					<div class="col-md-2">
						<div class="form-group">
						    <input class="form-control product_details" type="hidden" name="sub_item_grand_total"  id="sub_item_grand_total" value="0" readonly />
							<input class="form-control" type="text" name="ttl_amt" id="ttl_amt" value="<?php echo $prd->recipe_price; ?>" />
						</div>
					</div>

							
							<div class="form-actions text-center">
								<button type="reset" class="btn btn-warning mr-1">
									<i class="ft-x"></i> Cancel
								</button>
								<button type="submit" class="btn btn-primary">
									<i class="la la-check-square-o"></i> Save
								</button>
							</div>
						</form>	

					</div>
				</div>
			</div>
		</div>
	</div>

</section>
<!-- // Basic form layout section end -->
        </div>
      </div>
    </div>
    <?php //require('include/theme_customizer.php');?>

   <?php 
  $footer_file=APPPATH.'views/include/footer.php';
	require($footer_file);
	?>
   <script type="text/javascript">
	$(document).ready(function(){
		var maxField = 100; //Input fields increment limitation
		var addButton = $('.add_button'); //Add button selector
		var wrapper = $('.text_increment'); //Input field wrapper
		var x = 1; //Initial field counter is 1
		var counter = 1;
		//$(addButton).click(function(){ 
		$(document).on("click",".add_button",function() {  //Once add button is clicked
			if(x < maxField){ //Check maximum number of input fields
				x++; //Increment field counter
				$(wrapper).append('<div><div class="row"><div class="col-md-3"><div class="form-group"><select id="item_name'+counter+'" name="item_name[]" class="select2 form-control"  required ><option value="">Select Item...</option><?php  foreach($items as $row) { echo '<option value="'.$row->item_name.'">'.$row->item_name.'</option>'; } ?></select><input class="form-control" type="hidden" name="cat_id[]" id="cat_id'+counter+'"  readonly /><input class="form-control" type="hidden" name="item_id[]" id="item_id'+counter+'"  readonly /><input class="form-control" type="hidden" name="itm_id[]" id="itm_id'+counter+'"  readonly /></div></div><div class="col-md-2"><div class="form-group"><input class="form-control" type="text"  name="iuom[]" Placeholder="UOM" id="iuom'+counter+'" readonly /></div></div><div class="col-md-2"><div class="form-group"><input class="form-control quantity1 quantity qty" type="text" required  name="quantity[]" Placeholder="Qty" id="quantity'+counter+'"/></div></div><div class="col-md-2"><div class="form-group"><input class="form-control price1" type="text" name="price[]" id="price'+counter+'" placeholder="Price" readonly /></div></div><div class="col-md-2"><div class="form-group"><input class="form-control total" type="text"  name="total[]" Placeholder="Total" id="total'+counter+'" readonly /></div></div><div class="col-md-1 remove_button"><a href="javascript:void(0);" class="" title="Remove field"><img src="<?php echo base_url(); ?>app-assets/images/remove-icon.png" class="image_logo"/></a></div></div></div>'); 
				//alert(counter);
				$(function () {
					$(".select2").select2();
					$('#quantity' + counter).keypress(function(e) {
						var a = [];
						var k = e.which;
						for (i = 46; i < 58; i++)
						a.push(i);
						if (!($.inArray(k,a)>=0))
						e.preventDefault();
					});
					$('#price' + counter).keypress(function(e) {
						var a = [];
						var k = e.which;
						for (i = 46; i < 58; i++)
						a.push(i);
						if (!($.inArray(k,a)>=0))
						e.preventDefault();
					});
				});
				$('#item_name' + counter).change(function(){
					var id = $(this).attr('id');
					// alert(id);
					id_length = id.length;
					if(id_length == 10) {
						counts = id.substr(-1);
						var i_name = $('#item_name'+counts).val();
						var branch_id = $('#branch_id').val();
						//alert(i_name);
						//alert(brname);
						$.ajax({
							type :'POST',
							dataType:'json',
							data : { iname : i_name, br_id : branch_id },
							url : '<?php echo base_url();?>index.php/Master/get_ItemDetails',
							success: function(data) {
								//alert(data.uom);
								$('#iuom'+counts).val(data.uom);
								$('#item_id'+counts).val(data.item_id);
								$('#cat_id'+counts).val(data.category_id);
								$('#price'+counts).val(data.item_price);
								$('#quantity'+counts).val('');
								$('#itm_id'+counts).val(data.itm_id);
							}
						});
					}
					else{
						counts = id.substr(-2);
						var i_name = $('#item_name'+counts).val();
						var branch_id = $('#branch_id').val();
						//alert(i_name);
						//alert(brname);
						$.ajax({
							type :'POST',
							dataType:'json',
							data : { iname : i_name, br_id : branch_id },
							url : '<?php echo base_url();?>index.php/Master/get_ItemDetails',
							success: function(data) {
								//alert(data.uom);
								$('#iuom'+counts).val(data.uom);
								$('#item_id'+counts).val(data.item_id);
								$('#cat_id'+counts).val(data.category_id);
								$('#price'+counts).val(data.item_price);
								$('#quantity'+counts).val('');
								$('#itm_id'+counts).val(data.itm_id);
							}
						});
					}
				});
				$('#quantity'+counter).on('keyup',function() {
					var id = $(this).attr('id');
					id_length = id.length;
					//alert(id_length);
					if(id_length == 9) {
						//alert(id1);
						counts = id.substr(-1);
						var qty = $('#quantity'+ counts).val();
						var price = $('#price'+ counts).val();
						//alert(stock);
						var total = 0;
						total = (parseFloat(qty) * parseFloat(price)).toFixed(2);
						$('#total'+ counts).val(total);
						var sum = 0;
						$('.total').each(function() {
							sum += Number($(this).val());
						});
						$('#item_grand_total').val(sum);
					}
					else{
						counts = id.substr(-2);
						var qty = $('#quantity'+ counts).val();
						var price = $('#price'+ counts).val();
						//alert(stock);
						var total = 0;
						total = (parseFloat(qty) * parseFloat(price)).toFixed(2);
						$('#total'+ counts).val(total);
						var sum = 0;
						$('.total').each(function() {
							sum += Number($(this).val());
						});
						$('#item_grand_total').val(sum);
					}
				});
				$('.qty').keyup(function(){
					var stotal = $('#sub_item_grand_total').val();
					var ttl = 0;
					var sum = 0;
					$('.total').each(function() {
						sum += Number($(this).val());
					});
					ttl = parseFloat(stotal) + parseFloat(sum);
					$('#ttl_amt').val(ttl);
				});
			}	
			//alert(counter);
			counter++;
		});
		$(wrapper).on('click', '.remove_button', function(e){ //Once remove button is clicked
			e.preventDefault();
			$(this).parent('div').remove(); //Remove field html
			x--; //Decrement field counter
			counter--;
		});
	});
</script>

<script type="text/javascript">
	$(document).ready(function(){
		var maxField = 100; //Input fields increment limitation
		var addButton = $('.add_button1'); //Add button selector
		var wrapper = $('.text_increment2'); //Input field wrapper
		var x = 1; //Initial field counter is 1
		var counter = 1;
		//$(addButton).click(function(){ 
		$(document).on("click",".add_button1",function() {  //Once add button is clicked
			if(x < maxField){ //Check maximum number of input fields
				x++; //Increment field counter
				$(wrapper).append('<div><div class="row"><div class="col-md-3"><div class="form-group"><select id="sub_item_name'+counter+'" name="sub_item_name[]" class="select2 form-control" ><option value="">Select Item...</option><?php  foreach($products as $row) { echo '<option value="'.$row->rname.'">'.$row->rname.'</option>'; } ?></select><input class="form-control" type="hidden" name="sub_cat_id[]" id="sub_cat_id'+counter+'"  readonly /><input class="form-control" type="hidden" name="sub_item_id[]" id="sub_item_id'+counter+'" readonly /><input class="form-control" type="hidden" name="rcp_no[]" id="rcp_no'+counter+'"  readonly /></div></div><div class="col-md-2"><div class="form-group"><input class="form-control" type="text"  name="sub_uom[]" Placeholder="UOM" id="sub_uom'+counter+'" readonly /></div></div><div class="col-md-2"><div class="form-group"><input class="form-control quantity1 quantity qty1" type="text" name="sub_quantity[]" Placeholder="Qty" id="sub_quantity'+counter+'"/></div></div><div class="col-md-2"><div class="form-group"><input class="form-control price1" type="text" name="sub_price[]" id="sub_price'+counter+'" placeholder="Price" readonly /></div></div><div class="col-md-2"><div class="form-group"><input class="form-control total1" type="text"  name="sub_total[]" Placeholder="Total" id="sub_total'+counter+'" readonly /></div></div><div class="col-md-1 remove_button1"><a href="javascript:void(0);" class="" title="Remove field"><img src="<?php echo base_url(); ?>app-assets/images/remove-icon.png" class="image_logo"/></a></div></div></div>'); 
				//alert(counter);
				$(function () {
					$(".select2").select2();
					$('#quantity' + counter).keypress(function(e) {
						var a = [];
						var k = e.which;
						for (i = 46; i < 58; i++)
						a.push(i);
						if (!($.inArray(k,a)>=0))
						e.preventDefault();
					});
					$('#price' + counter).keypress(function(e) {
						var a = [];
						var k = e.which;
						for (i = 46; i < 58; i++)
						a.push(i);
						if (!($.inArray(k,a)>=0))
						e.preventDefault();
					});
				});
				$('#sub_item_name' + counter).change(function(){
					var id = $(this).attr('id');
					// alert(id);
					id_length = id.length;
					if(id_length == 14) {
						counts = id.substr(-1);
						var i_name = $('#sub_item_name'+counts).val();
						var branch_id = $('#branch_id').val();
						//alert(i_name);
						//alert(login_id);
						$.ajax({
							type :'POST',
							dataType:'json',
							data : { iname : i_name, br_id : branch_id },
							url : '<?php echo base_url();?>index.php/Master/get_RecipeDetails',
							success: function(data) {
								//alert(data.price);
								$('#sub_uom'+counts).val(data.uom);
								$('#sub_item_id'+counts).val(data.recipe_id);
								$('#sub_cat_id'+counts).val(data.pr_cat_id);
								//$('#sub_price'+counts).val(data.price);
								$('#sub_price'+counts).val(data.price);
								$('#rcp_no'+counts).val(data.recipe_no);
								$('#sub_quantity'+counts).val('');
							}
						});
					}
					else{
						counts = id.substr(-2);
						var i_name = $('#sub_item_name'+counts).val();
						var branch_id = $('#branch_id').val();
						//alert(i_name);
						//alert(brname);
						$.ajax({
							type :'POST',
							dataType:'json',
							data : { iname : i_name, br_id : branch_id },
							url : '<?php echo base_url();?>index.php/Master/get_RecipeDetails',
							success: function(data) {
								//alert(data.price);
								$('#sub_uom'+counts).val(data.uom);
								$('#sub_item_id'+counts).val(data.recipe_id);
								$('#sub_cat_id'+counts).val(data.pr_cat_id);
								//$('#sub_price'+counts).val(data.price);
								$('#sub_price'+counts).val(data.price);
								$('#rcp_no'+counts).val(data.recipe_no);
								$('#sub_quantity'+counts).val('');
							}
						});
					}
				});
				$('#sub_quantity'+counter).on('keyup',function() {
					var id = $(this).attr('id');
					id_length = id.length;
					//alert(id_length);
					if(id_length == 13) {
						//alert(id1);
						counts = id.substr(-1);
						var qty = $('#sub_quantity'+ counts).val();
						var price = $('#sub_price'+ counts).val();
						//alert(stock);
						var total = 0;
						total = (parseFloat(qty) * parseFloat(price)).toFixed(2);
						$('#sub_total'+ counts).val(total);
						var sum = 0;
						$('.total1').each(function() {
							sum += Number($(this).val());
						});
						$('#sub_item_grand_total').val(sum);
					}
					else{
						counts = id.substr(-2);
						var qty = $('#sub_quantity'+ counts).val();
						var price = $('#sub_price'+ counts).val();
						//alert(stock);
						var total = 0;
						total = (parseFloat(qty) * parseFloat(price)).toFixed(2);
						$('#sub_total'+ counts).val(total);
						var sum = 0;
						$('.total1').each(function() {
							sum += Number($(this).val());
						});
						$('#sub_item_grand_total').val(sum);
					}
				});
				$('.qty1').keyup(function(){
					var itotal = $('#item_grand_total').val();
					var ttl = 0;
					var sum = 0;
					$('.total1').each(function() {
						sum += Number($(this).val());
					});
					ttl = parseFloat(itotal) + parseFloat(sum);
					$('#ttl_amt').val(ttl);
				});
			}	
			//alert(counter);
			counter++;
		});
		$(wrapper).on('click', '.remove_button1', function(e){ //Once remove button is clicked
			e.preventDefault();
			$(this).parent('div').remove(); //Remove field html
			x--; //Decrement field counter
			counter--;
		});
	});
</script>
<script>
    $('.qt').each(function() { $(this).on( {'keyup': function() {
		var qty = $(this).parent().find('.qt').val();
		var price = $(this).parent().find('.pr').val();
	
		var result = (parseFloat(qty) * parseFloat(price)).toFixed(2);
		
		$(this).parent().find('.tt').val(result);
	}
	})
	})
	
	$('.sqt').each(function() { $(this).on( {'keyup': function() {
		var qty = $(this).parent().find('.sqt').val();
		var price = $(this).parent().find('.sprice').val();
	
		var result = (parseFloat(qty) * parseFloat(price)).toFixed(2);
		
		$(this).parent().find('.stt').val(result);
	}
	})
	})
	
	$('.qt').hover(function(){
		var itotal = $('#item_grand_total').val();
		var stotal = $('#sub_item_grand_total').val();
		var ttl = 0;
		var sum = 0;
		$('.tt').each(function() {
			sum += Number($(this).val());
		});
		ttl = (parseFloat(itotal) + parseFloat(stotal) + parseFloat(sum)).toFixed();
		//$('#item_grand_total').val(sum);
		$('#ttl_amt').val(ttl);
	});
</script>
<script type="text/javascript">
	$("#item_name").change(function(){
		var i_name = $('#item_name').val();
		var branch_id = $('#branch_id').val();
		//alert(i_name);
		//alert(branch_id);
		$.ajax({
			type :'POST',
			dataType:'json',
			data : { iname : i_name, br_id : branch_id },
			url : '<?php echo 
				base_url();?>index.php/Master/get_ItemDetails',
			success: function(data) {
				//alert(data.uom);
				$('#iuom').val(data.uom);
				$('#item_id').val(data.item_id);
				$('#cat_id').val(data.category_id);
				$('#price').val(data.item_price);
				$('#quantity').val('');
				$('#itm_id').val(data.itm_id);
			}
		});
	});
	
	/*$('.qty').keyup(function(){
		var qty = $("#quantity").val();
		var price = $("#price").val()
		var total = 0;
		total = (parseFloat(qty) * parseFloat(price)).toFixed(2);
		$("#total").val(total);
		
		var sum = 0;
		$('.total').each(function() {
			sum += Number($(this).val());
		});
		$('#item_grand_total').val(sum);
	});
	
	$('.qty').keyup(function(){
		var stotal = $('#sub_item_grand_total').val();
		var ttl = 0;
		var sum = 0;
		$('.total').each(function() {
			sum += Number($(this).val());
		});
		ttl = parseFloat(stotal) + parseFloat(sum);
		$('#ttl_amt').val(ttl);
	});*/
	$('.qty').keyup(function(){
		var qty = $("#quantity").val();
		var price = $("#price").val()
		var total = 0;
		total = (parseFloat(qty) * parseFloat(price)).toFixed(2);
		$("#total").val(total);
		
		var sum = 0;
		$('.total').each(function() {
			sum += Number($(this).val());
		});
		$('#item_grand_total').val(sum);
	});
	
	$('.qty').keyup(function(){
		var stotal = $('#sub_item_grand_total').val();
		var ttl = 0;
		var sum = 0;
		$('.total').each(function() {
			sum += Number($(this).val());
		});
		ttl = (parseFloat(stotal) + parseFloat(sum)).toFixed(2);
		$('#ttl_amt').val(ttl);
	});
</script>
<script type="text/javascript">
	$("#sub_item_name").change(function(){
		var i_name = $('#sub_item_name').val();
		var branch_id = $('#branch_id').val();
		//alert(i_name);
		//alert(brname);
		$.ajax({
			type :'POST',
			dataType:'json',
			data : { iname : i_name, br_id : branch_id },
			url : '<?php echo base_url();?>index.php/Master/get_RecipeDetails',
			success: function(data) {
				//alert(data.price);
				$('#sub_uom').val(data.uom);
				$('#sub_item_id').val(data.recipe_id);
				$('#sub_cat_id').val(data.pr_cat_id);
				//$('#sub_price').val(data.price);
				$('#sub_price').val(data.price);
				$('#rcp_no').val(data.recipe_no);
				$('#sub_quantity').val('');
			}
		});
	});
	
/*	$('.qty1').keyup(function(){
		var qty = $("#sub_quantity").val();
		var price = $("#sub_price").val()
		var total = 0;
		total = (parseFloat(qty) * parseFloat(price)).toFixed(2);
		$("#sub_total").val(total);
		var sum = 0;
		$('.total1').each(function() {
			sum += Number($(this).val());
		});
		$('#sub_item_grand_total').val(sum);
	});
	
	$('.qty1').keyup(function(){
		var itotal = $('#item_grand_total').val();
		var ttl = 0;
		var sum = 0;
		$('.total1').each(function() {
			sum += Number($(this).val());
		});
		ttl = parseFloat(itotal) + parseFloat(sum);
		$('#ttl_amt').val(ttl);
	});*/
		$('.qty1').keyup(function(){
		var qty = $("#sub_quantity").val();
		var price = $("#sub_price").val()
		var total = 0;
		total = (parseFloat(qty) * parseFloat(price)).toFixed(2);
		$("#sub_total").val(total);
		var sum = 0;
		$('.total1').each(function() {
			sum += Number($(this).val());
		});
		$('#sub_item_grand_total').val(sum);
	});
	
	$('.qty1').keyup(function(){
		var itotal = $('#item_grand_total').val();
		var ttl = 0;
		var sum = 0;
		$('.total1').each(function() {
			sum += Number($(this).val());
		});
		ttl = (parseFloat(itotal) + parseFloat(sum)).toFixed(2);
		$('#ttl_amt').val(ttl);
	});
</script>    
    
	<script>
	$("#up_branch").change(function(){
        //var branch = $('#branch option:selected').text();
		var branch = $("#up_branch option:selected").map(function () {
			return $(this).text();
		}).get().join(',');
		//alert(branch);
		$('#up_brname').val(branch);
	});
	
	$(document).ready(function(){
		var branch = $("#up_branch option:selected").map(function () {
			return $(this).text();
		}).get().join(',');
		//alert(branch);
		$('#up_brname').val(branch);
	});
  </script>
  
	<script>
		$('#gst_rate').change(function() {
			var tax = $('#gst_rate').val();
			var basic = $('#base_price').val();
			var tax_amt = ((parseFloat(basic) * parseFloat(tax))/100).toFixed(2);
			var price = Math.round(parseFloat(basic) + parseFloat(tax_amt));
			$('#gst').val(tax_amt);
			$('#tprice').val(price);
			
			//counter calculation
			$('.cgst_rate').val(tax);
			$('.cgst').val(tax_amt);
			$('.ctprice').val(price);
		});
	</script>
	<script>
		$('#base_price').keyup(function() {
			var basic = $('#base_price').val();
			//alert(basic);
			$('.cbase_price').val(basic);
						
			var tax = $('#gst_rate').val();
			if(!($.isNumeric(tax)))
			{
				tax = 0;
			}
			var basic = $('#base_price').val();
			var tax_amt = ((parseFloat(basic) * parseFloat(tax))/100).toFixed(2);
			var price = Math.round(parseFloat(basic) + parseFloat(tax_amt));
			$('#gst').val(tax_amt);
			$('#tprice').val(price);
			
			$('.cgst').val(tax_amt);
			$('.ctprice').val(price);
		});
	</script>
	<script>
		$('.cbase_price').each(function() { $(this).on( {'keyup': function() {
			var tax = $(this).parent().find('.cgst_rate').val();
			//alert(tax1);
			var basic = $(this).parent().find('.cbase_price').val();
			var tax_amt = ((parseFloat(basic) * parseFloat(tax))/100).toFixed(2);
			var price = Math.round(parseFloat(basic) + parseFloat(tax_amt));
			$(this).parent().find('.cgst').val(tax_amt);
			$(this).parent().find('.ctprice').val(price);
		}
		})
		})
						
		$('.cgst_rate').each(function() { $(this).on( {'keyup': function() {
			var tax = $(this).parent().find('.cgst_rate').val();
			var basic = $(this).parent().find('.cbase_price').val();
			var tax_amt = ((parseFloat(basic) * parseFloat(tax))/100).toFixed(2);
			var price = Math.round(parseFloat(basic) + parseFloat(tax_amt));
			$(this).parent().find('.cgst').val(tax_amt);
			$(this).parent().find('.ctprice').val(price);
		}
		})
		})
	</script>
	<script>
		$("input[name='food_delivery']").click(function() {
			if($('#tyes').is(':checked'))
			{
				$('.t_prod_price').show();
			}
			else
			{
				$('.t_prod_price').hide();
			}
		});
		
		$('#tbase_price').keyup(function() {
			var tax = $('#tgst_rate').val();
			var basic = $('#tbase_price').val();
			var tax_amt = ((parseFloat(basic) * parseFloat(tax))/100).toFixed(2);
			var price = Math.round(parseFloat(basic) + parseFloat(tax_amt));
			$('#tgst').val(tax_amt);
			$('#ttprice').val(price);
		});
		
		$('#tgst_rate').change(function() {
			var tax = $('#tgst_rate').val();
			var basic = $('#tbase_price').val();
			var tax_amt = ((parseFloat(basic) * parseFloat(tax))/100).toFixed(2);
			var price = Math.round(parseFloat(basic) + parseFloat(tax_amt));
			$('#tgst').val(tax_amt);
			$('#ttprice').val(price);
		});
	</script>
	<script>
		function showMyImage(fileInput) {
			var files = fileInput.files;
			for (var i = 0; i < files.length; i++) {           
				var file = files[i];
				var imageType = /image.*/;     
				if (!file.type.match(imageType)) {
					continue;
				}           
				var img=document.getElementById("thumbnil");            
				img.file = file;    
				var reader = new FileReader();
				reader.onload = (function(aImg) { 
					return function(e) { 
						aImg.src = e.target.result; 
					}; 
				})(img);
				reader.readAsDataURL(file);
			}    
		}
	
		$(document).ready(function () {
			$('.image_file').change(function () {
				var val = $(this).val().toLowerCase();
				var regex = new RegExp("(.*?)\.(jpg|png|jpeg|JPG)$");
				if(!(regex.test(val))) {
					$(this).val('');
					//alert('Please select correct file format');
					document.getElementById('errfn2').innerHTML="Please upload only image file";
				} 
			});
		});
	</script>
		
  </body>
  <!-- END: Body-->

<!-- Mirrored from pixinvent.com/modern-admin-clean-bootstrap-4-dashboard-html-template/html/ltr/vertical-modern-menu-template/form-layout-basic.html by HTTrack Website Copier/3.x [XR&CO'2014], Mon, 27 Apr 2020 09:38:02 GMT -->
</html>