<?php 
	$header_file=APPPATH.'views/include/header.php';
	require($header_file);
	$sidenav_file=APPPATH.'views/include/sidenav.php';
	require($sidenav_file);	?>
   
    <!-- BEGIN: Content-->
    <div class="app-content content">
      <div class="content-overlay"></div>
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-12 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">Chef </h3>
            <div class="row breadcrumbs-top d-inline-block">
              <div class="breadcrumb-wrapper col-12">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="#">Home</a>
                  </li>
                  <li class="breadcrumb-item"><a href="#">Chef</a>
                  </li>
                  <li class="breadcrumb-item active">Chef Entry
                  </li>
                </ol>
              </div>
            </div>
          </div>
          
        </div>
        <div class="content-body"><!-- Basic form layout section start -->
<section id="basic-form-layouts">
	



	<div class="row justify-content-md-center">
		<div class="col-md-12">
			<div class="card">
				<div class="card-header">
					<h4 class="card-title" id="basic-layout-form-center">Chef Entry</h4>
					<a class="heading-elements-toggle"><i class="la la-ellipsis-v font-medium-3"></i></a>
					<div class="heading-elements">
						<ul class="list-inline mb-0">
							<li><a data-action="collapse"><i class="ft-minus"></i></a></li>
							<li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
							<li><a data-action="expand"><i class="ft-maximize"></i></a></li>
							<li><a data-action="close"><i class="ft-x"></i></a></li>
						</ul>
					</div>
				</div>
				<div class="card-content collapse show">
					<div class="card-body">

						

						<form class="form" autocomplete="off" action="<?php echo site_url('Master/chefInsert');?>" method="post">
							<div class="row justify-content-md-center">
								<div class="col-md-6">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Chef Name</label>
											<input type="text" class="form-control" id="chef_name" name="chef_name" value="" required placeholder="Chef Name">
											
										</div>
									</div>
								</div>
								
								
								
							</div>

							<div class="form-actions text-right">
								<button type="reset" class="btn btn-warning mr-1">
									<i class="ft-x"></i> Reset
								</button>
								<button type="submit" class="btn btn-primary">
									<i class="la la-check-square-o"></i> Save
								</button>
							</div>
						</form>	
						<br/>
						<div class="table-responsive">
                            <table class="table table-striped table-bordered zero-configuration">
                                <thead>
                                    <tr>
                                        <th>Sl No</th>
                                        <th>Chef</th>
									
										<th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
								 <?php
									$count =1;
									foreach($chef as $record)
								{
								?>
                                    <tr>
                                        <td><?php echo $count;?></td>
                                        <td><?php echo $record->chef_name ?></td>
                                        
										<td class="uk-text-nowrap">
											<a href="<?php echo site_url('Master/chefEdit/' .$sub_mod_id. '/' . $record->chef_id); ?>" class="btn btn-sm btn-info">Edit</a>
											<a href="<?php echo site_url('Master/chefDelete/'. $sub_mod_id . '/' . $record->chef_id); ?>" class="btn btn-sm btn-info" onClick="return confirm('Are you sure want to delete?');" >Delete</a>
											
										</td>
                                    </tr>
                                    
                                   <?php
								  $count++;
								}
							  
							?>
							
                                </tbody>
                               
                            </table>
                        </div>

					</div>
				</div>
			</div>
		</div>
	</div>

</section>
<!-- // Basic form layout section end -->
        </div>
      </div>
    </div>
    <?php //require('include/theme_customizer.php');?>

   <?php 
  $footer_file=APPPATH.'views/include/footer.php';
	require($footer_file);
	?>
  

  </body>
  <!-- END: Body-->

<!-- Mirrored from pixinvent.com/modern-admin-clean-bootstrap-4-dashboard-html-template/html/ltr/vertical-modern-menu-template/form-layout-basic.html by HTTrack Website Copier/3.x [XR&CO'2014], Mon, 27 Apr 2020 09:38:02 GMT -->
</html>