<?php 
	$header_file=APPPATH.'views/include/header.php';
	require($header_file);
	$sidenav_file=APPPATH.'views/include/sidenav.php';
	require($sidenav_file);	?>
<style>
	.redText{ color : red; }
</style>   
    <!-- BEGIN: Content-->
    <div class="app-content content">
      <div class="content-overlay"></div>
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-12 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">Product </h3>
            <div class="row breadcrumbs-top d-inline-block">
              <div class="breadcrumb-wrapper col-12">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="#">Home</a>
                  </li>
                  <li class="breadcrumb-item"><a href="#">Product</a>
                  </li>
                  <li class="breadcrumb-item active">Product Creation
                  </li>
                </ol>
              </div>
            </div>
          </div>
          
        </div>
        <div class="content-body"><!-- Basic form layout section start -->
<section id="basic-form-layouts">
    	<div class="row justify-content-md-center">
		<div class="col-md-12">
			<div class="card">
				<div class="card-header">
					<h4 class="card-title" id="basic-layout-form-center">Product Creation</h4>
					<a class="heading-elements-toggle"><i class="la la-ellipsis-v font-medium-3"></i></a>
					<div class="heading-elements">
						<ul class="list-inline mb-0">
							<li><a data-action="collapse"><i class="ft-minus"></i></a></li>
							<li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
							<li><a data-action="expand"><i class="ft-maximize"></i></a></li>
							<li><a data-action="close"><i class="ft-x"></i></a></li>
						</ul>
					</div>
				</div>
				<div class="card-content collapse show">
					<div class="card-body">
						<form class="form" enctype="multipart/form-data" autocomplete="off" action="<?php echo site_url('Master/addProductTz');?>" method="post">
							<div class="row justify-content-md-center">
								<div class="col-md-4">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Product Name</label>
											<input type="text" class="form-control pname" id="product_name" name="product_name" value="" required placeholder="Product Name">
											<input type="hidden" class="form-control" id="branch_name" name="branch_name" value="<?php echo $_SESSION['branch_name']; ?>" >
											<input type="hidden" class="form-control" id="branch_id" name="branch_id" value="<?php echo $_SESSION['branch_id']; ?>" >
											<span id="err" class="redText" style="display:none;">Recipe Already in Use</span>
										</div>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Yield</label>
											<input type="text" class="form-control" id="yield" name="yield" value="" placeholder="Yield">
										</div>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">UOM</label>
											<input type="text" class="form-control" id="uom" name="uom" value="" required placeholder="UOM">
										</div>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">SqCode</label>
											<input type="text" class="form-control" id="sqcode" name="sqcode" value="" placeholder="SqCode">
										</div>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">HSN Code</label>
											<input type="text" class="form-control" id="hsn_code" name="hsn_code" value="" placeholder="HSN Code">
										</div>
									</div>
								</div>
								<div class="col-md-3">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Category</label>
											<select name="category" id="category" class="select2 form-control" required>
												<option value="">Select Category</option>
												<?php  foreach($category as $row)
													{
														echo '<option value="'.$row->pr_cat_id.'">'.$row->pr_cat_name.'</option>';
													} 
												?>
											</select>
										</div>
									</div>
								</div>
								<div class="col-md-3">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Recipe Category</label>
											<select name="recipe_cat" id="recipe_cat" class="select2 form-control" required>
												<option value="">Select Category</option>
												<option value="Finished">Finished</option>
												<option value="Semi-Finished">Semi-Finished</option>
												<option value="Raw-Material">Raw-Material</option>
											</select>
										</div>
									</div>
								</div>
								<div class="col-md-3">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Indent to be Raised On</label>
											<select name="raised_on" id="raised_on" class="select2 form-control" >
												<option value="">Select</option>
												<?php  foreach($kitchen as $row)
													{
														echo '<option value="'.$row->username.'">'.$row->username.'</option>';
													} 
												?>
											</select>
										</div>
									</div>
								</div>
								<div class="col-md-3">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Order to Delivery time</label>
											<select id="od_time" name="od_time" class="select2" >
												<option value="">Select</option>
												<?php 
													for($i=2;$i<=24;$i++)
													{
														if(($i%2) == 0)
														{
														?>
															<option value="<?php echo $i; ?> Hours"><?php echo $i; ?> Hours</option>
														<?php
														}
													}
												?>
											</select>
										</div>
									</div>
								</div>
							</div>
							<div class="row justify-content-md-center">
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Base Price</label>
											<input type="text" class="form-control" id="base_price" name="base_price" value="" placeholder="Base Price">
										</div>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">GST Rate(%)</label>
											<select name="gst_rate" id="gst_rate" class="form-control select2">
												<option value="">Select Tax</option>
												<?php  foreach($tax as $row)
													{
														echo '<option value="'.$row->tax_percentage.'">'.$row->tax_percentage.'</option>';
													} 
												?>
											</select>
										</div>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Tax Amt</label>
											<input type="text" class="form-control" id="gst" name="gst" value="" placeholder="Contact No">
										</div>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Price</label>
											<input type="text" class="form-control" id="tprice" name="tprice" value="" placeholder="Price">
										</div>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Discount</label>
											<input type="text" class="form-control" id="discount" name="discount" value="" placeholder="Discount">
										</div>
									</div>
								</div>
								
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Flavour code</label>
											<input type="text" class="form-control" id="fcode" name="fcode" value="" placeholder="Flavour code">
										</div>
									</div>
								</div>
							</div>
							<br/>
							<br/>
							<?php 
							$i = 1;
							foreach($counter as $ctr) { ?>
							<div class="row">
								<div class="col-md-1">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">TM<?php echo $i; ?></label>
										</div>
									</div>
								</div>
								<div class="col-md-11">
									<div class="row">
										<input type="text" class="form-control cbase_price col-md-2 comm" id="cbase_price" name="cbase_price[]" value=""  placeholder="Base Price">
										<input type="text" class="form-control cgst_rate col-md-2 comm" id="cgst_rate" name="cgst_rate[]" value=""  placeholder="GST Rate(%)">
										<input type="text" class="form-control cgst col-md-2 comm" id="cgst" name="cgst[]" value=""  placeholder="GST">
										<input type="text" class="form-control ctprice col-md-2 comm" id="ctprice" name="ctprice[]" value=""  placeholder="Price">
										<input type="checkbox" class="form-control col-md-2" id="updated_in" name="updated_in[]" value="<?php echo $i; ?>" >
										
										<input type="hidden" class="form-control cbranch" id="cbranch" name="cbranch[]" value="<?php echo $ctr->branch_name; ?>"  placeholder="Price">
										<input type="hidden" class="form-control cbranch_id" id="cbranch_id" name="cbranch_id[]" value="<?php echo $ctr->branch_id; ?>"  placeholder="Price">
									</div>
								</div>
							</div>
								
							<?php 
							$i++;
							} ?>
							<div class="row">
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Shelf Life</label>
											<select id="s_life" name="s_life" class="select2" >
												<option value="">Select</option>
												<option value="< 1 Day">< 1 Day</option>
												<option value="1 Day">1 Day</option>
												<?php 
													for($i=2;$i<=7;$i++)
													{
													?>
														<option value="<?php echo $i; ?> Days"><?php echo $i; ?> Days</option>
													<?php
													}
												?>
											</select>
										</div>
									</div>
								</div>
								<div class="col-md-4">
									<div class="form-body">
										<div class="form-group" style="margin-top:35px;">
											<label for="eventInput1">Allowed for Special Order</label>
											<input type="radio" name="spl_ord" id="yes" value="Yes"/>Yes
											<input type="radio" name="spl_ord" id="no" value="No" checked />No
										</div>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Prepared BY</label>
											<select name="prepared" id='prepared' class='select2' >
												<option value="">Select</option>
												<?php  foreach($chef as $row)
													{
														echo '<option value="'.$row->chef_name.'">'.$row->chef_name.'</option>';
													} 
												?>
											</select>
										</div>
									</div>
								</div>
							</div>
							<br/>
							<div class="row">
								<div class="col-md-4">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Allowed for food delivery platform</label><br/>
											<input type="radio" name="food_delivery" id="tyes" value="Yes"/>Yes
											<input type="radio" name="food_delivery" id="tno" value="No" checked />No
										</div>
									</div>
								</div>
								<div class="col-md-2 t_prod_price" style="display:none;">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Base Price</label>
											<input type="text" name="tbase_price" id="tbase_price" class="form-control" placeholder="Base Price"/>
										</div>
									</div>
								</div>
								<div class="col-md-2 t_prod_price" style="display:none;">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Tax</label>
											<select name="tgst_rate" id="tgst_rate" class="form-control select2" required>
												<option value="0">Select Tax</option>
												<?php  foreach($tax as $row)
													{
														echo '<option value="'.$row->tax_percentage.'">'.$row->tax_percentage.'</option>';
													} 
												?>
											</select>
										</div>
									</div>
								</div>
								<div class="col-md-2 t_prod_price" style="display:none;">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Tax Amt</label>
											<input class="form-control" type="text" name="tgst" id="tgst" placeholder="GST" readonly >
										</div>
									</div>
								</div>
								<div class="col-md-2 t_prod_price" style="display:none;">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Total Price</label>
											<input class="form-control" type="text" name="ttprice"  id="ttprice" placeholder="Price" readonly >
										</div>
									</div>
								</div>
							</div>
						<!--	<div class="row">
								<div class="col-md-4">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Allowed for Santhe</label>
											<input type="radio" name="santhe" id="syes" value="Yes"/>Yes
											<input type="radio" name="santhe" id="sno" value="No"/>No
										</div>
									</div>
								</div>
							</div>-->
							<div class="row">
								<div class="col-md-4">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Product Image</label>
											<input type="file" name="pd_upload" id="pd_upload" accept="image/*" class="form-control image_file" onchange="showMyImage(this)" />
											<img id="thumbnil" style="margin-top:14px;height:125px;" src=""/>
										</div>
									</div>
								</div>
							<!--	<div class="col-md-3">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Combination</label>
											<select name="combination[]" id="combination" class="form-control select2" required multiple="multiple" >
												
												<?php /*  foreach($combination as $row)
													{
														echo '<option value="'.$row->comb_id.'">'.$row->combination.'</option>';
													} */
												?>
											</select>
										</div>
									</div>
								</div>-->
							</div>
							
					<div class="text_increment">
						<div>
							<div class="row">
								<div class="col-md-3">
									<div class="form-group">
										<select name="item_name[]" id="item_name" class="form-control select2" required>
											<option value="0">Select Item</option>
											<?php foreach($items as $row)
												{
													echo '<option value="'.$row->item_name.'">'.$row->item_name.'</option>';
												}
											?>
										</select>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-group">
										<input class="form-control" type="text" name="iuom[]" id="iuom" readonly placeholder="UOM" />									
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-group">
										<input class="form-control quantity qty" type="text" step="any" name="quantity[]"  id="quantity" placeholder="Qty"/>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-group">
										<input class="form-control price" type="text" name="price[]"   id="price" readonly placeholder="Price" />
										<input class="form-control" type="hidden" name="item_id[]" id="item_id"  readonly />
										<input class="form-control" type="hidden" name="cat_id[]" id="cat_id"  readonly />
										<input class="form-control" type="hidden" name="itm_id[]" id="itm_id"  readonly />
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-group">
										<input class="form-control total" type="text" name="total[]"  id="total" readonly  placeholder="Total"/>
									</div>
								</div>
								<div class="col-md-1">
									<a href="javascript:void(0);" class="add_button" title="Add field"><img src="<?php echo base_url(); ?>app-assets/images/add-icon.png" class="image_logo"/>
									</a>
								</div>
							</div>
						</div>	
					</div>
										
					<div class="md-fab-wrapper">
						<!--<a class="md-fab md-fab-primary add_button" href="javascript:void(0);">
							<i class="material-icons">&#xE145;</i>
						</a>
						<a href="javascript:void(0);" class="add_button" title="Add field"><img src="<?php //echo base_url(); ?>app-assets/images/add-icon.png" class="image_logo"/>
						</a>-->
					</div>
					<div class="row">
						<label for="eventInput1">Sub Recipe Selection </label>
					</div>
					<div class="text_increment2">
						<div>
							<div class="row">
								
								<div class="col-md-3">
									<div class="form-group">
										<select id="sub_item_name" name="sub_item_name[]" class="select2 form-control" >
											<option value="0">Select Item</option>
											<?php  foreach($products as $row)
												{
													echo '<option value="'.$row->rname.'">'.$row->rname.'</option>';
												}
											?>
										</select>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-group">
										<input class="form-control" type="text" name="sub_uom[]" id="sub_uom" readonly  placeholder="UOM"/>	
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-group">
										<input class="form-control quantity qty1" type="text" name="sub_quantity[]"  id="sub_quantity" placeholder="Qty"/>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-group">
										<input class="form-control price" type="text" name="sub_price[]"   id="sub_price" readonly  placeholder="Price"/>
										<input class="form-control" type="hidden" name="sub_item_id[]" id="sub_item_id"  readonly />
										<input class="form-control" type="hidden" name="sub_cat_id[]" id="sub_cat_id"  readonly />
										<input class="form-control" type="hidden" name="rcp_no[]" id="rcp_no"  readonly />
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-group">
										<input class="form-control total1" type="text" name="sub_total[]"  id="sub_total" readonly placeholder="Total" />
									</div>
								</div>
								<div class="col-md-1">
									<a href="javascript:void(0);" class="add_button1" title="Add field"><img src="<?php echo base_url(); ?>app-assets/images/add-icon.png" class="image_logo"/></a>	
								</div>
							</div>
						</div>	
					</div>
					
					
	
					<div class="col-md-2">
						<div class="form-group">
							<input class="form-control" type="hidden" name="ttl_amt" id="ttl_amt" value="0" />
							<input class="form-control" type="hidden" name="item_grand_total"  id="item_grand_total" value="0" readonly />
							<input class="form-control" type="hidden" name="sub_item_grand_total"  id="sub_item_grand_total" value="0" readonly />
						</div>
					</div>
							
							<div class="form-actions text-center">
								<button type="reset" class="btn btn-warning mr-1">
									<i class="ft-x"></i> Cancel
								</button>
								<button type="submit" id="submit" name="submit" onclick="return confirm('Are you sure you want to submit this form?')" class="btn btn-primary">
									<i class="la la-check-square-o"></i> Save
								</button>
							</div>
						</form>	

					</div>
				</div>
			</div>
		</div>
	</div>

</section>
<!-- // Basic form layout section end -->
        </div>
      </div>
    </div>
    <?php //require('include/theme_customizer.php');?>

   <?php 
  $footer_file=APPPATH.'views/include/footer.php';
	require($footer_file);
	?>
	
  <script type="text/javascript">
	$(document).ready(function(){
		var maxField = 100; //Input fields increment limitation
		var addButton = $('.add_button'); //Add button selector
		var wrapper = $('.text_increment'); //Input field wrapper
		var x = 1; //Initial field counter is 1
		var counter = 1;
		//$(addButton).click(function(){ 
		$(document).on("click",".add_button",function() {  //Once add button is clicked
			if(x < maxField){ //Check maximum number of input fields
				x++; //Increment field counter
				$(wrapper).append('<div><div class="row"><div class="col-md-3"><div class="form-group"><select id="item_name'+counter+'" name="item_name[]" class="select2 form-control"  required ><option value="">Select Item...</option><?php  foreach($items as $row) { echo '<option value="'.$row->item_name.'">'.$row->item_name.'</option>'; } ?></select><input class="form-control" type="hidden" name="cat_id[]" id="cat_id'+counter+'"  readonly /><input class="form-control" type="hidden" name="item_id[]" id="item_id'+counter+'"  readonly /><input class="form-control" type="hidden" name="itm_id[]" id="itm_id'+counter+'"  readonly /></div></div><div class="col-md-2"><div class="form-group"><input class="form-control" type="text"  name="iuom[]" Placeholder="UOM" id="iuom'+counter+'" readonly /></div></div><div class="col-md-2"><div class="form-group"><input class="form-control quantity1 quantity qty" type="text" required  name="quantity[]" Placeholder="Qty" id="quantity'+counter+'"/></div></div><div class="col-md-2"><div class="form-group"><input class="form-control price1" type="text" name="price[]" id="price'+counter+'" placeholder="Price" readonly /></div></div><div class="col-md-2"><div class="form-group"><input class="form-control total" type="text"  name="total[]" Placeholder="Total" id="total'+counter+'" readonly /></div></div><div class="col-md-1 remove_button"><a href="javascript:void(0);" class="" title="Remove field"><img src="<?php echo base_url(); ?>app-assets/images/remove-icon.png" class="image_logo"/></a></div></div></div>'); 
				//alert(counter);
				$(function () {
					$(".select2").select2();
					$('#quantity' + counter).keypress(function(e) {
						var a = [];
						var k = e.which;
						for (i = 46; i < 58; i++)
						a.push(i);
						if (!($.inArray(k,a)>=0))
						e.preventDefault();
					});
					$('#price' + counter).keypress(function(e) {
						var a = [];
						var k = e.which;
						for (i = 46; i < 58; i++)
						a.push(i);
						if (!($.inArray(k,a)>=0))
						e.preventDefault();
					});
				});
				$('#item_name' + counter).change(function(){
					var id = $(this).attr('id');
					// alert(id);
					id_length = id.length;
					if(id_length == 10) {
						counts = id.substr(-1);
						var i_name = $('#item_name'+counts).val();
						var branch_id = $('#branch_id').val();
						//alert(i_name);
						//alert(brname);
						$.ajax({
							type :'POST',
							dataType:'json',
							data : { iname : i_name, br_id : branch_id },
							url : '<?php echo base_url();?>index.php/Master/get_ItemDetails',
							success: function(data) {
								//alert(data.uom);
								$('#iuom'+counts).val(data.uom);
								$('#item_id'+counts).val(data.item_id);
								$('#cat_id'+counts).val(data.category_id);
								$('#price'+counts).val(data.item_price);
								$('#quantity'+counts).val('');
								$('#itm_id'+counts).val(data.itm_id);
							}
						});
					}
					else{
						counts = id.substr(-2);
						var i_name = $('#item_name'+counts).val();
						var branch_id = $('#branch_id').val();
						//alert(i_name);
						//alert(brname);
						$.ajax({
							type :'POST',
							dataType:'json',
							data : { iname : i_name, br_id : branch_id },
							url : '<?php echo base_url();?>index.php/Master/get_ItemDetails',
							success: function(data) {
								//alert(data.uom);
								$('#iuom'+counts).val(data.uom);
								$('#item_id'+counts).val(data.item_id);
								$('#cat_id'+counts).val(data.category_id);
								$('#price'+counts).val(data.item_price);
								$('#quantity'+counts).val('');
								$('#itm_id'+counts).val(data.itm_id);
							}
						});
					}
				});
				$('#quantity'+counter).on('keyup',function() {
					var id = $(this).attr('id');
					id_length = id.length;
					//alert(id_length);
					if(id_length == 9) {
						//alert(id1);
						counts = id.substr(-1);
						var qty = $('#quantity'+ counts).val();
						var price = $('#price'+ counts).val();
						//alert(stock);
						var total = 0;
						total = (parseFloat(qty) * parseFloat(price)).toFixed(2);
						$('#total'+ counts).val(total);
						var sum = 0;
						$('.total').each(function() {
							sum += Number($(this).val());
						});
						$('#item_grand_total').val(sum);
					}
					else{
						counts = id.substr(-2);
						var qty = $('#quantity'+ counts).val();
						var price = $('#price'+ counts).val();
						//alert(stock);
						var total = 0;
						total = (parseFloat(qty) * parseFloat(price)).toFixed(2);
						$('#total'+ counts).val(total);
						var sum = 0;
						$('.total').each(function() {
							sum += Number($(this).val());
						});
						$('#item_grand_total').val(sum);
					}
				});
				$('.qty').keyup(function(){
					var stotal = $('#sub_item_grand_total').val();
					var ttl = 0;
					var sum = 0;
					$('.total').each(function() {
						sum += Number($(this).val());
					});
					ttl = parseFloat(stotal) + parseFloat(sum);
					$('#ttl_amt').val(ttl);
				});
			}	
			//alert(counter);
			counter++;
		});
		$(wrapper).on('click', '.remove_button', function(e){ //Once remove button is clicked
			e.preventDefault();
			$(this).parent('div').remove(); //Remove field html
			x--; //Decrement field counter
			counter--;
		});
	});
</script>

<script type="text/javascript">
	$(document).ready(function(){
		var maxField = 100; //Input fields increment limitation
		var addButton = $('.add_button1'); //Add button selector
		var wrapper = $('.text_increment2'); //Input field wrapper
		var x = 1; //Initial field counter is 1
		var counter = 1;
		//$(addButton).click(function(){ 
		$(document).on("click",".add_button1",function() {  //Once add button is clicked
			if(x < maxField){ //Check maximum number of input fields
				x++; //Increment field counter
				$(wrapper).append('<div><div class="row"><div class="col-md-3"><div class="form-group"><select id="sub_item_name'+counter+'" name="sub_item_name[]" class="select2 form-control" ><option value="">Select Item...</option><?php  foreach($products as $row) { echo '<option value="'.$row->rname.'">'.$row->rname.'</option>'; } ?></select><input class="form-control" type="hidden" name="sub_cat_id[]" id="sub_cat_id'+counter+'"  readonly /><input class="form-control" type="hidden" name="sub_item_id[]" id="sub_item_id'+counter+'" readonly /><input class="form-control" type="hidden" name="rcp_no[]" id="rcp_no'+counter+'"  readonly /></div></div><div class="col-md-2"><div class="form-group"><input class="form-control" type="text"  name="sub_uom[]" Placeholder="UOM" id="sub_uom'+counter+'" readonly /></div></div><div class="col-md-2"><div class="form-group"><input class="form-control quantity1 quantity qty1" type="text" name="sub_quantity[]" Placeholder="Qty" id="sub_quantity'+counter+'"/></div></div><div class="col-md-2"><div class="form-group"><input class="form-control price1" type="text" name="sub_price[]" id="sub_price'+counter+'" placeholder="Price" readonly /></div></div><div class="col-md-2"><div class="form-group"><input class="form-control total1" type="text"  name="sub_total[]" Placeholder="Total" id="sub_total'+counter+'" readonly /></div></div><div class="col-md-1 remove_button1"><a href="javascript:void(0);" class="" title="Remove field"><img src="<?php echo base_url(); ?>app-assets/images/remove-icon.png" class="image_logo"/></a></div></div></div>'); 
				//alert(counter);
				$(function () {
					$(".select2").select2();
					$('#quantity' + counter).keypress(function(e) {
						var a = [];
						var k = e.which;
						for (i = 46; i < 58; i++)
						a.push(i);
						if (!($.inArray(k,a)>=0))
						e.preventDefault();
					});
					$('#price' + counter).keypress(function(e) {
						var a = [];
						var k = e.which;
						for (i = 46; i < 58; i++)
						a.push(i);
						if (!($.inArray(k,a)>=0))
						e.preventDefault();
					});
				});
				$('#sub_item_name' + counter).change(function(){
					var id = $(this).attr('id');
					// alert(id);
					id_length = id.length;
					if(id_length == 14) {
						counts = id.substr(-1);
						var i_name = $('#sub_item_name'+counts).val();
						var branch_id = $('#branch_id').val();
						//alert(i_name);
						//alert(login_id);
						$.ajax({
							type :'POST',
							dataType:'json',
							data : { iname : i_name, br_id : branch_id },
							url : '<?php echo base_url();?>index.php/Master/get_RecipeDetails',
							success: function(data) {
								//alert(data.price);
								$('#sub_uom'+counts).val(data.uom);
								$('#sub_item_id'+counts).val(data.recipe_id);
								$('#sub_cat_id'+counts).val(data.pr_cat_id);
							//	$('#sub_price'+counts).val(data.price);
								$('#sub_price'+counts).val(data.recipe_price);
								$('#rcp_no'+counts).val(data.recipe_no);
								$('#sub_quantity'+counts).val('');
							}
						});
					}
					else{
						counts = id.substr(-2);
						var i_name = $('#sub_item_name'+counts).val();
						var branch_id = $('#branch_id').val();
						//alert(i_name);
						//alert(brname);
						$.ajax({
							type :'POST',
							dataType:'json',
							data : { iname : i_name, br_id : branch_id },
							url : '<?php echo base_url();?>index.php/Master/get_RecipeDetails',
							success: function(data) {
								//alert(data.price);
								$('#sub_uom'+counts).val(data.uom);
								$('#sub_item_id'+counts).val(data.recipe_id);
								$('#sub_cat_id'+counts).val(data.pr_cat_id);
							//	$('#sub_price'+counts).val(data.price);
							$('#sub_price'+counts).val(data.recipe_price);
								
								$('#rcp_no'+counts).val(data.recipe_no);
								$('#sub_quantity'+counts).val('');
							}
						});
					}
				});
				$('#sub_quantity'+counter).on('keyup',function() {
					var id = $(this).attr('id');
					id_length = id.length;
					//alert(id_length);
					if(id_length == 13) {
						//alert(id1);
						counts = id.substr(-1);
						var qty = $('#sub_quantity'+ counts).val();
						var price = $('#sub_price'+ counts).val();
						//alert(stock);
						var total = 0;
						total = (parseFloat(qty) * parseFloat(price)).toFixed(2);
						$('#sub_total'+ counts).val(total);
						var sum = 0;
						$('.total1').each(function() {
							sum += Number($(this).val());
						});
						$('#sub_item_grand_total').val(sum);
					}
					else{
						counts = id.substr(-2);
						var qty = $('#sub_quantity'+ counts).val();
						var price = $('#sub_price'+ counts).val();
						//alert(stock);
						var total = 0;
						total = (parseFloat(qty) * parseFloat(price)).toFixed(2);
						$('#sub_total'+ counts).val(total);
						var sum = 0;
						$('.total1').each(function() {
							sum += Number($(this).val());
						});
						$('#sub_item_grand_total').val(sum);
					}
				});
				$('.qty1').keyup(function(){
					var itotal = $('#item_grand_total').val();
					var ttl = 0;
					var sum = 0;
					$('.total1').each(function() {
						sum += Number($(this).val());
					});
					ttl = parseFloat(itotal) + parseFloat(sum);
					$('#ttl_amt').val(ttl);
				});
			}	
			//alert(counter);
			counter++;
		});
		$(wrapper).on('click', '.remove_button1', function(e){ //Once remove button is clicked
			e.preventDefault();
			$(this).parent('div').remove(); //Remove field html
			x--; //Decrement field counter
			counter--;
		});
	});
</script>
	
	<script>
		$('#gst_rate').change(function() {
			var tax = $('#gst_rate').val();
			var basic = $('#base_price').val();
			var tax_amt = ((parseFloat(basic) * parseFloat(tax))/100).toFixed(2);
			var price = Math.round(parseFloat(basic) + parseFloat(tax_amt));
			$('#gst').val(tax_amt);
			$('#tprice').val(price);
			
			//counter calculation
			$('.cgst_rate').val(tax);
			$('.cgst').val(tax_amt);
			$('.ctprice').val(price);
		});
	</script>
	<script>
		$('#base_price').keyup(function() {
			var basic = $('#base_price').val();
			//alert(basic);
			$('.cbase_price').val(basic);
						
			var tax = $('#gst_rate').val();
			if(!($.isNumeric(tax)))
			{
				tax = 0;
			}
			var basic = $('#base_price').val();
			var tax_amt = ((parseFloat(basic) * parseFloat(tax))/100).toFixed(2);
			var price = Math.round(parseFloat(basic) + parseFloat(tax_amt));
			$('#gst').val(tax_amt);
			$('#tprice').val(price);
			
			$('.cgst').val(tax_amt);
			$('.ctprice').val(price);
		});
	</script>
	<script>
		$('.cbase_price').each(function() { $(this).on( {'keyup': function() {
			var tax = $(this).parent().find('.cgst_rate').val();
			//alert(tax);
			var basic = $(this).parent().find('.cbase_price').val();
			var tax_amt = ((parseFloat(basic) * parseFloat(tax))/100).toFixed(2);
			var price = Math.round(parseFloat(basic) + parseFloat(tax_amt));
			$(this).parent().find('.cgst').val(tax_amt);
			$(this).parent().find('.ctprice').val(price);
		}
		})
		})
						
		$('.cgst_rate').each(function() { $(this).on( {'keyup': function() {
			var tax = $(this).parent().find('.cgst_rate').val();
			var basic = $(this).parent().find('.cbase_price').val();
			var tax_amt = ((parseFloat(basic) * parseFloat(tax))/100).toFixed(2);
			var price = Math.round(parseFloat(basic) + parseFloat(tax_amt));
			$(this).parent().find('.cgst').val(tax_amt);
			$(this).parent().find('.ctprice').val(price);
		}
		})
		})
	</script>
	<script>
		$("input[name='food_delivery']").click(function() {
			if($('#tyes').is(':checked'))
			{
				$('.t_prod_price').show();
			}
			else
			{
				$('.t_prod_price').hide();
			}
		});
		
		$('#tbase_price').keyup(function() {
			var tax = $('#tgst_rate').val();
			var basic = $('#tbase_price').val();
			var tax_amt = ((parseFloat(basic) * parseFloat(tax))/100).toFixed(2);
			var price = Math.round(parseFloat(basic) + parseFloat(tax_amt));
			$('#tgst').val(tax_amt);
			$('#ttprice').val(price);
		});
		
		$('#tgst_rate').change(function() {
			var tax = $('#tgst_rate').val();
			var basic = $('#tbase_price').val();
			var tax_amt = ((parseFloat(basic) * parseFloat(tax))/100).toFixed(2);
			var price = Math.round(parseFloat(basic) + parseFloat(tax_amt));
			$('#tgst').val(tax_amt);
			$('#ttprice').val(price);
		});
	</script>
	<script>
		function showMyImage(fileInput) {
			var files = fileInput.files;
			for (var i = 0; i < files.length; i++) {           
				var file = files[i];
				var imageType = /image.*/;     
				if (!file.type.match(imageType)) {
					continue;
				}           
				var img=document.getElementById("thumbnil");            
				img.file = file;    
				var reader = new FileReader();
				reader.onload = (function(aImg) { 
					return function(e) { 
						aImg.src = e.target.result; 
					}; 
				})(img);
				reader.readAsDataURL(file);
			}    
		}
	
		$(document).ready(function () {
			$('.image_file').change(function () {
				var val = $(this).val().toLowerCase();
				var regex = new RegExp("(.*?)\.(jpg|png|jpeg|JPG)$");
				if(!(regex.test(val))) {
					$(this).val('');
					//alert('Please select correct file format');
					document.getElementById('errfn2').innerHTML="Please upload only image file";
				} 
			});
		});
	</script>
	
	<script type="text/javascript">
	$("#item_name").change(function(){
		var i_name = $('#item_name').val();
		var branch_id = $('#branch_id').val();
		//alert(i_name);
		//alert(branch_id);
		$.ajax({
			type :'POST',
			dataType:'json',
			data : { iname : i_name, br_id : branch_id },
			url : '<?php echo 
				base_url();?>index.php/Master/get_ItemDetails',
			success: function(data) {
				//alert(data.uom);
				$('#iuom').val(data.uom);
				$('#item_id').val(data.item_id);
				$('#cat_id').val(data.category_id);
				$('#price').val(data.item_price);
				$('#quantity').val('');
				$('#itm_id').val(data.itm_id);
			}
		});
	});
	
	
	$("#product_name").change(function(){
		var product_name = $("#product_name").val();
		//alert(product_name)
		 $.ajax({
			type :'POST',
			dataType:'json',
			data : { product_name : product_name },
			url : '<?php echo 
				base_url();?>index.php/Master/product_check',
		success: function(data) {
				//$("div#er").css("display","block");
				//$('#er').html(data.c);
				
				ct = (data.counts);
				//alert(ct);
				if(ct>0)
				{
					//alert("You cant add Register for this Sponsor  ");
					 $("#submit").attr("disabled", "disabled");
					 $("span#err").css("display","block");
					
				}else{
					$("#submit").removeAttr("disabled");
					$("span#err").css("display","none");
					
				}
			}
		});
	});

	$('.qty').keyup(function(){
		var qty = $("#quantity").val();
		var price = $("#price").val()
		var total = 0;
		total = (parseFloat(qty) * parseFloat(price)).toFixed(2);
		$("#total").val(total);
		
		var sum = 0;
		$('.total').each(function() {
			sum += Number($(this).val());
		});
		$('#item_grand_total').val(sum);
	});
	
	$('.qty').keyup(function(){
		var stotal = $('#sub_item_grand_total').val();
		var ttl = 0;
		var sum = 0;
		$('.total').each(function() {
			sum += Number($(this).val());
		});
		ttl = (parseFloat(stotal) + parseFloat(sum)).toFixed(2);
		$('#ttl_amt').val(ttl);
	});
</script>
<script type="text/javascript">
	$("#sub_item_name").change(function(){
		var i_name = $('#sub_item_name').val();
		var branch_id = $('#branch_id').val();
		//alert(i_name);
		//alert(brname);
		$.ajax({
			type :'POST',
			dataType:'json',
			data : { iname : i_name, br_id : branch_id },
			url : '<?php echo base_url();?>index.php/Master/get_RecipeDetails',
			success: function(data) {
				//alert(data.price);
				$('#sub_uom').val(data.uom);
				$('#sub_item_id').val(data.recipe_id);
				$('#sub_cat_id').val(data.pr_cat_id);
			//	$('#sub_price').val(data.price);
			$('#sub_price').val(data.recipe_price);
								
				$('#rcp_no').val(data.recipe_no);
				$('#sub_quantity').val('');
			}
		});
	});
	
	$('.qty1').keyup(function(){
		var qty = $("#sub_quantity").val();
		var price = $("#sub_price").val()
		var total = 0;
		total = (parseFloat(qty) * parseFloat(price)).toFixed(2);
		$("#sub_total").val(total);
		var sum = 0;
		$('.total1').each(function() {
			sum += Number($(this).val());
		});
		$('#sub_item_grand_total').val(sum);
	});
	
	$('.qty1').keyup(function(){
		var itotal = $('#item_grand_total').val();
		var ttl = 0;
		var sum = 0;
		$('.total1').each(function() {
			sum += Number($(this).val());
		});
		ttl = (parseFloat(itotal) + parseFloat(sum)).toFixed(2);
		$('#ttl_amt').val(ttl);
	});
	
	
</script>
<script>
	$(window).on('beforeunload', function () {
		//$("input[type=submit], input[type=button]").prop("disabled", "disabled");
		$("input[type=submit]").prop("disabled", "disabled");
		$("#submit").css("background-color","#dcdcdc");
	});
</script>
</body>
  <!-- END: Body-->

<!-- Mirrored from pixinvent.com/modern-admin-clean-bootstrap-4-dashboard-html-template/html/ltr/vertical-modern-menu-template/form-layout-basic.html by HTTrack Website Copier/3.x [XR&CO'2014], Mon, 27 Apr 2020 09:38:02 GMT -->
</html>