<?php
    #[\AllowDynamicProperties]
	class Issue_model extends CI_model
	{
		public function __construct()
		{
			parent::__construct();
			$this->load->database();
			$this->db2 = $this->load->database('otherdb', TRUE);
	
		}
		
		public function addIssue($postdata)
		{
			extract($postdata);
			$issue_date = date("Y-m-d", strtotime($issue_date));
			$issue_time = date("h:i A");
			$lm=date("Y-m-dH:i:s",time());
			$this->db->select('MAX(is_no) as is_no',false);
			$this->db->where('branch_id',$branch_id);
			$result = $this->db->get('issues_order_creation')->row();
			$is_no = $result->is_no;
			if($is_no == 0){
				$is_no = 1;
			}
			else{
				$is_no = $is_no+1;
			}
			$issue_no = "ISSU"."/".$branch_name."/".$is_no;
			
			$data = array(
			'is_no'=> $is_no,
			'issue_no'=> $issue_no,
			'issue_date'=> $issue_date,
			'issue_time'=> $issue_time,
			'outlet_name'=> $outlet,
			'total'=> $total_amt,
			'branchname'=> $branch_name,
			'request_id'=> '0',
			'branch_id'=> $branch_id
			);
			$this->db->insert('issues_order_creation', $data);
			$isid = $this->db->insert_id();
			
			$count = count($item_name);
			for($i=0;$i<$count;$i++)
			{
				$q1 = $this->db->query("select * from item_creation where item_id='$item_id[$i]'");
				/*if($q1->num_rows() > 0)
				{*/
					$row = $q1->row_array();
					$qty[$i] = $row['stock_item'];
					$qty1[$i] = $qty[$i] - $quantity[$i];
					
					$q2 = $this->db->query("UPDATE item_creation set stock_item='$qty1[$i]' WHERE  item_id= '$item_id[$i]'");
				//}
				$data2 = array(
					'indent_item_name' => $item_name[$i],
					'indent_uom' => $uom[$i],
					'stock_transfer' => $close_stock[$i],
					'indent_qty' => $quantity[$i],
					'issues_price' => $price[$i],
					'basic_price' => $ttl_price[$i],
					'tax' => $tax[$i],
					'tax_amount' => $tax_amt[$i],
					'total_amount' => $total[$i],
					'indent_remarks' => $remarks[$i],
					'issue_id' => $isid,
					'request_item_id' => '0',
					'item_id' => $item_id[$i],
					'cat_id' => $cat_id[$i],
					'itm_id' => $itm_id[$i]
				);
				$this->db->insert('issues_order_item', $data2);
				
				$data3 = array(
					'item_name' => $item_name[$i],
					'trans_ref_no' => $issue_no,
					'trans_type'=>'Issue',
					'transaction_date' => $issue_date,
					'opening_stock' => $qty[$i],
					'out_qty' => $quantity[$i],
					'closing_stock' => $qty1[$i],
					'last_modified' => $lm,
					'branchname' => $branch_name,
					'item_id' => $item_id[$i],
					'category_id' => $cat_id[$i],
					'itm_id' => $itm_id[$i],
					'branch_id' => $branch_id
				);
				$this->db->insert('stock_detail', $data3);
			}
			return $isid;
		}
		
		public function getIssue($isid)
		{
			$query = $this->db->query("SELECT *,DATE_FORMAT(issue_date, '%d-%m-%Y') as issue_date FROM issues_order_creation where issue_id='$isid'");
			return $query->result();	
		}
		
		public function getIssueItem($isid)
		{
			$query = $this->db->query("SELECT * FROM  issues_order_creation U inner join issues_order_item E on U.issue_id=E.issue_id where U.issue_id='$isid'");
			return $query->result();	
		}
		
		public function getIssueItemTotal($isid)
		{
			$query = $this->db->query("SELECT sum(total_amount) as total_amount FROM   issues_order_item  where issue_id='$isid'");
			return $query->result();	
		}
		
		public function getIssueList($branch_id)
		{
			$query = $this->db->query("SELECT *,issue_id as mid, DATE_FORMAT(issue_date, '%d-%m-%Y') as issue_date FROM issues_order_creation where branch_id='$branch_id' ORDER BY issue_id desc");
			return $query->result();	
		}

		public function getAllIssueList()
		{
			$query = $this->db->query("SELECT *,issue_id as mid, DATE_FORMAT(issue_date, '%d-%m-%Y') as issue_date FROM issues_order_creation ORDER BY issue_id desc");
			return $query->result();	
		}
		
		public function get_Products($branch_id)
    	{
    		$query = $this->db->query("SELECT * from recipe where branch_id='$branch_id'");
    		return $query->result();
    	}
		
		public function get_ProductDetails($iname,$br_id)
    	{
    	    $query = $this->db->query("SELECT rname,recipe_id as item_id,recipe_no,pr_cat_id as cat_id,uom,production_stock as stk,cw_price,cw_tax,cw_tax_amount,cw_total_price from recipe where rname='$iname' and branch_id='$br_id'");
    			$row=$query->row_array();
			if($row)
			{
				$data=array("item_name" => $row['rname'], "uom" => $row['uom'], "item_price" => '0', "item_tax" => '0', "item_id" => $row['item_id'], "stock_item"=> $row['stk'], "category_id" => $row['cat_id'], "itm_id" => $row['recipe_no'], "dc_price" => $row['cw_price'], "dc_tax" => $row['cw_tax'], "dc_taxamt" => $row['cw_tax_amount'], "dc_tprice" => $row['cw_total_price']);
				echo json_encode($data);
			}
			else
			{
				$data = array("uom" => '0');
				echo json_encode($data);
			}
    	}
		
		public function addPrIssue($postdata)
		{
			extract($postdata);
			$issue_date = date("Y-m-d", strtotime($issue_date));
			$issue_time = date("h:i A");
			$lm=date("Y-m-dH:i:s",time());
			$this->db->select('MAX(is_no) as is_no',false);
			$this->db->where('branch_id',$branch_id);
			$result = $this->db->get('product_issues_creation')->row();
			$is_no = $result->is_no;
			if($is_no == 0){
				$is_no = 1;
			}
			else{
				$is_no = $is_no+1;
			}
			$issue_no = "PISSU"."/".$branch_name."/".$is_no;
			
			$data = array(
			'is_no'=> $is_no,
			'issue_no'=> $issue_no,
			'issue_date'=> $issue_date,
			'issue_time'=> $issue_time,
			'outlet'=> $outlet,
			'total_amount'=> $total_amt,
			'branchname'=> $branch_name,
			'request_id'=> '0',
			'branch_id'=> $branch_id
			);
			$this->db->insert('product_issues_creation', $data);
			$isid = $this->db->insert_id();
			
			$count = count($item_name);
			for($i=0;$i<$count;$i++)
			{
				$q1 = $this->db->query("select * from recipe where recipe_id='$item_id[$i]'");
				if($q1->num_rows() > 0)
				{
					$row = $q1->row_array();
					$qty[$i] = $row['production_stock'];
					$qty1[$i] = $qty[$i] - $quantity[$i];
					
					$q2 = $this->db->query("UPDATE recipe set production_stock='$qty1[$i]' WHERE  recipe_id= '$item_id[$i]'");
				}
				$d1 = $this->db->query("select * from user where username='$outlet'");
				$dw = $d1->row_array();
				$out_branch_id = $dw['branch_id'];
				$d2 = $this->db->query("select * from recipe where recipe_no='$itm_id[$i]' and branch_id='$out_branch_id'");
				$dw2 = $d2->row_array();
					$dc_price[$i] = $dw2['cw_price'];
					$dc_tax[$i] = $dw2['cw_tax'];
					$dc_basic_price[$i]=(float)$dc_price[$i]*(float)$quantity[$i];
				    $dc_tax_amt[$i]=(($dc_basic_price[$i]*$dc_tax[$i])/100);
				    $dc_total=round(((float)$dc_basic_price[$i]+(float)$dc_tax_amt[$i]),2);
				    
				$data2 = array(
					'issue_item_name' => $item_name[$i],
					'issue_uom' => $uom[$i],
					'issued_qty' => $quantity[$i],
					'price' => $dc_price[$i],
					'basic_price' => $dc_basic_price[$i],
					'tax' => $dc_tax[$i],
					'tax_amount' => $dc_tax_amt[$i],
					'total_price' => $dc_total[$i],
					'issue_remarks' => $remarks[$i],
					'issue_id' => $isid,
					'request_item_id' => '0',
					'recipe_id' => $item_id[$i],
					'pr_cat_id' => $cat_id[$i],
					'recipe_no' => $itm_id[$i]
				);
				$this->db->insert('product_issues_item', $data2);
				
				$data3 = array(
					'item_name' => $item_name[$i],
					'trans_ref_no' => $issue_no,
					'trans_type'=>'PIssue',
					'transaction_date' => $issue_date,
					'opening_stock' => $qty[$i],
					'out_qty' => $quantity[$i],
					'closing_stock' => $qty1[$i],
					'last_modified' => $lm,
					'branchname' => $branch_name,
					'item_id' => $item_id[$i],
					'category_id' => $cat_id[$i],
					'itm_id' => $itm_id[$i],
					'branch_id' => $branch_id
				);
				$this->db->insert('stock_detail', $data3);
			}
			return $isid;
		}
		
		public function getPrIssue($isid)
		{
			$query = $this->db->query("SELECT * FROM product_issues_creation  where issue_id='$isid'");
			return $query->result();
		}
		
		public function getPrIssueItem($isid)
		{
			$query = $this->db->query("SELECT * FROM product_issues_creation P inner join product_issues_item PI on P.issue_id=PI.issue_id where PI.issue_id='$isid' and PI.issued_qty !=''");
			return $query->result();
		}
		
		public function issuePrList($branch_id){
		    $query = $this->db->query("SELECT * FROM product_issues_creation  where branch_id='$branch_id'");
			return $query->result();
		}
		
		public function get_OutletProductDetails($iname,$br_id,$out_id)
    	{
    	    $query = $this->db->query("SELECT r.rname,r.recipe_id as item_id,r.recipe_no,r.pr_cat_id as cat_id,r.uom,r.production_stock as stk,o.`price`,o.`tax`,o.`outlet_id` from recipe r inner join outlet_item_price o on r.recipe_no=o.recipe_no where r.rname='$iname' and r.branch_id='$br_id' and o.`outlet_id`='$out_id'");
    			$row=$query->row_array();
			if($row)
			{
				$data=array("item_name" => $row['rname'], "uom" => $row['uom'], "item_price" => $row['price'], "item_tax" => $row['tax'], "item_id" => $row['item_id'], "stock_item"=> $row['stk'], "category_id" => $row['cat_id'], "itm_id" => $row['recipe_no']);
				echo json_encode($data);
			}
			else
			{
				$data = array("uom" => '0');
				echo json_encode($data);
			}
    	}
    	
    	public function addPrInvoice($postdata)
		{
			extract($postdata);
			$issue_date = date("Y-m-d", strtotime($issue_date));
			$issue_time = date("h:i A");
			$lm=date("Y-m-dH:i:s",time());
			$this->db->select('MAX(is_no) as is_no',false);
			$this->db->where('branch_id',$branch_id);
			$this->db->where('issue_type','Invoice');
			$result = $this->db->get('product_issues_creation')->row();
			$is_no = $result->is_no;
			if($is_no == 0){
				$is_no = 1;
			}
			else{
				$is_no = $is_no+1;
			}
			$issue_no = "ISSU"."/".$branch_name."/".$is_no;
			
			$data = array(
			'is_no'=> $is_no,
			'issue_no'=> $issue_no,
			'issue_date'=> $issue_date,
			'issue_time'=> $issue_time,
			'outlet'=> $outlet,
			'total_amount'=> $total_amt,
			'branchname'=> $branch_name,
			'request_id'=> '0',
			'branch_id'=> $branch_id,
			'issue_type'=>'Invoice'
			);
			$this->db->insert('product_issues_creation', $data);
			$isid = $this->db->insert_id();
			
			$count = count($item_name);
			for($i=0;$i<$count;$i++)
			{
				$q1 = $this->db->query("select * from recipe where recipe_id='$item_id[$i]'");
				if($q1->num_rows() > 0)
				{
					$row = $q1->row_array();
					$qty[$i] = $row['production_stock'];
					$qty1[$i] = (float)$qty[$i] - (float)$quantity[$i];
					
					$q2 = $this->db->query("UPDATE recipe set production_stock='$qty1[$i]' WHERE  recipe_id= '$item_id[$i]'");
				}
				$data2 = array(
					'issue_item_name' => $item_name[$i],
					'issue_uom' => $uom[$i],
					'issued_qty' => $quantity[$i],
					'price' => $price[$i],
					'basic_price' => $ttl_price[$i],
					'tax' => $tax[$i],
					'tax_amount' => $tax_amt[$i],
					'total_price' => $total[$i],
					'issue_remarks' => $remarks[$i],
					'issue_id' => $isid,
					'request_item_id' => '0',
					'recipe_id' => $item_id[$i],
					'pr_cat_id' => $cat_id[$i],
					'recipe_no' => $itm_id[$i]
				);
				$this->db->insert('product_issues_item', $data2);
				
				$data3 = array(
					'item_name' => $item_name[$i],
					'trans_ref_no' => $issue_no,
					'trans_type'=>'P_Issue',
					'transaction_date' => $issue_date,
					'opening_stock' => $qty[$i],
					'out_qty' => $quantity[$i],
					'closing_stock' => $qty1[$i],
					'last_modified' => $lm,
					'branchname' => $branch_name,
					'item_id' => $item_id[$i],
					'category_id' => $cat_id[$i],
					'itm_id' => $itm_id[$i],
					'branch_id' => $branch_id
				);
				$this->db->insert('stock_detail', $data3);
			}
			return $isid;
		}
		
		public function get_seller_product($code=string)
    	{
    		$branch_id = $_SESSION['branch_id'];
    		$query = $this->db->query("SELECT r.rname as product_name,r.recipe_id,o.`outlet_id` from recipe r inner join outlet_item_price o on r.recipe_no=o.recipe_no where o.`outlet_id`='$code' and r.branch_id='$branch_id'"); 
    		return $query->result(); 
    	}
    	
    	public function invoicePrList($branch_id){
		    $query = $this->db->query("SELECT * FROM product_issues_creation  where branch_id='$branch_id' and issue_type='Invoice'");
			return $query->result();
		}
		
		public function get_ProductDetailsNew($iname,$br_id)
    	{
    	    $query = $this->db->query("SELECT rname,recipe_id as item_id,recipe_no,pr_cat_id as cat_id,uom,production_stock as stk,cw_price,cw_tax,cw_tax_amount,cw_total_price from recipe where rname='$iname' and branch_id='$br_id'");
    			$row=$query->row_array();
			if($row)
			{
				$data=array("item_name" => $row['rname'], "uom" => $row['uom'], "item_price" => '0', "item_tax" => '0', "item_id" => $row['item_id'], "stock_item"=> $row['stk'], "category_id" => $row['cat_id'], "itm_id" => $row['recipe_no'], "dc_price" => $row['cw_price'], "dc_tax" => $row['cw_tax'], "dc_taxamt" => $row['cw_tax_amount'], "dc_tprice" => $row['cw_total_price']);
				echo json_encode($data);
			}
			else
			{
				$data = array("uom" => '0');
				echo json_encode($data);
			}
    	}
	}
?>