<?php
	class Maintain_model extends CI_model
	{
		public function __construct()
		{
			parent::__construct();
			$this->load->database();
			
		}
		
		
	public function addMaintainance($postdata){
		extract($postdata);	
		$branch_id = $_SESSION['branch_id'];
		$grn_date = date("Y-m-d", strtotime($grn_date));
		$order_time = date("h:i A");
		$lm=date("Y-m-dH:i:s",time());
		$this->db->select('MAX(m_gn_no) as m_gn_no',false);
		$this->db->where('branch_id',$branch_id);
		$result = $this->db->get('maintainance_grn')->row();
		$m_gn_no = $result->m_gn_no;
		if($m_gn_no == 0){
			$gn_no = 1;
		}
		else{
			$gn_no = $m_gn_no+1;
		}
		$grn_no = "MNT/GRN"."/".$branch_name."/".$gn_no;
					
		$this->db->query("insert into maintainance_grn (m_gn_no,m_grn_no,invoice_no,vendor_name,grn_date,grn_status,branchname,rjn_status,user_name,grn_time,branch_id) values ('$gn_no','$grn_no','$grn_invoice','$vender_name','$grn_date','Pending','$branch_name','Pending','$uname','$order_time','$branch_id')");
		$grn_id = $this->db->insert_id();
		
		for($i=0;$i<count($item_name),$i<count($quantity),$i<count($price),$i<count($basic_amount),$i<count($tax),$i<count($tax_amount),$i<count($total_amount),$i<count($remarks);$i++) {
			
			
			$this->db->query("insert into maintainance_grn_item (m_item_name,m_item_qty,m_item_price,m_total_price,m_tax,m_tax_amount,m_total_amount,m_remarks,m_rejected_qty,m_grn_id,rjn_status) values ('$item_name[$i]','$quantity[$i]','$price[$i]','$basic_amount[$i]','$tax[$i]','$tax_amount[$i]','$total_amount[$i]','$remarks[$i]','0','$grn_id','Pending')");
			
			$last_id = $this->db->insert_id();
			
			if (empty($quantity[$i])) {
				$this->db->query("DELETE FROM maintainance_grn_item WHERE m_grn_item_id='$last_id'");	
			}
							
			$sql4=$this->db->query("select stock from maintainance_product where item_name='$item_name[$i]' and branch_id='$branch_id'");
			
			if($sql4->num_rows()>0)
			{
				//$res = mysqli_fetch_assoc($sql4);
				foreach($sql4->result_array() as $row4)
				$stock[$i] = $res['stock'];
				$stk[$i] = $stock[$i] + $quantity[$i];
				
				$sql5 =  $this->db->query("UPDATE maintainance_product set price='$price[$i]',tax='$tax[$i]',stock='$stk[$i]' WHERE  item_name='$item_name[$i]' and branchname='$branch_name'");
				$sql6 = $this->db->query("insert into stock_detail(item_name,trans_ref_no,trans_type,transaction_date,opening_stock,in_qty,closing_stock,last_modified,branchname,branch_id)values('$item_name[$i]','$grn_no','MGRN','$grn_date','$stock[$i]','$quantity[$i]','$stk[$i]','$lm','$branch_name','$branch_id')");
			}
			else{
				$sql5 =  $this->db->query("insert into maintainance_product(item_name,price,tax,stock,branchname,login_id)values('$item_name[$i]','$price[$i]','$tax[$i]','$quantity[$i]','$branch_name','$login_id')");
				$sql6 = $this->db->query("insert into stock_detail(item_name,trans_ref_no,trans_type,transaction_date,opening_stock,in_qty,closing_stock,last_modified,branchname,branch_id)values('$item_name[$i]','$grn_no','MGRN','$grn_date','0','$quantity[$i]','$quantity[$i]','$lm','$branch_name','$branch_id')");
			
			}									
		}
		//$grn_id	
		//echo $grn_id;
		return $grn_id;			
	}
		
	public function get_mnt_grn($gid) {
		$query = $this->db->query("SELECT *,DATE_FORMAT(grn_date, '%d-%m-%Y') as grn_date FROM maintainance_grn where m_grn_id='$gid'");
		return $query->result();
	}
	
	public function get_mnt_grn_item($gid) {
		$query = $this->db->query("SELECT *,ROUND(m_tax_amount,2) as m_tax_amount,ROUND(m_total_amount,2) as m_total_amount FROM maintainance_grn_item where m_grn_id='$gid' and m_item_qty !=''");
		return $query->result();
	}
	public function mnt_grn_total_sum($gid) {
		$query = $this->db->query("SELECT ROUND(SUM(m_total_amount),2) as m_total_amount,ROUND(SUM(m_tax_amount),2) as m_tax_amount FROM  maintainance_grn_item where m_grn_id='$gid'");
		return $query->result();
	}	
	public function mnt_grn_list($branch_id) {
		$query = $this->db->query("SELECT *, DATE_FORMAT(grn_date, '%d-%m-%Y') as grn_date FROM maintainance_grn where branch_id='$branch_id' ORDER BY m_grn_id desc");
		return $query->result();
	}
	
	public function mnt_stock($branch_id) {
		$query = $this->db->query("SELECT * FROM maintainance_product where branch_id='$branch_id'");
		return $query->result();
	}
	
	public function cmnt_grn_list() {
		$query = $this->db->query("SELECT *, DATE_FORMAT(grn_date, '%d-%m-%Y') as grn_date FROM maintainance_grn where branchname!='CW4' ORDER BY m_grn_id desc");
		return $query->result();
	}
	
	public function get_vendor() {
		$query = $this->db->query("SELECT DISTINCT(vendor_name) as vendor_name from maintainance_grn");
		return $query->result();
	}
}
?>