<?php
	class Productrequest_model extends CI_model
	{
		public function __construct()
		{
			parent::__construct();
			$this->load->database();
			
		}
		
		public function getKitchen($sub_mod_id,$branch_id)
		{
			$query = $this->db->query("SELECT * FROM user_access where branch_id='$branch_id' and module_id='$sub_mod_id'");
			return $query->result();	
		}
		
		public function fetchCategory($dept)
		{
			$query=$this->db->query("SELECT * FROM user_access where branch_name='$dept' and access_category!=''");
			$result = $query->result();
			return $result;
		}
		
		public function fetchProduct($cat,$branch_id,$dept)
		{
			$query=$this->db->query("select * from recipe where pr_cat_id='$cat' and branch_id='$branch_id' and product_indent='$dept' and status='Enabled'");
			$result = $query->result();
			return $result;
		}
		
		public function fetchStProduct($branch_id,$dept)
		{
			$query=$this->db->query("select * from recipe where branch_id='$branch_id' and product_indent='$dept' and status='Enabled'");
			$result = $query->result();
			return $result;
		}		
				
		public function addRequest($postdata)
		{
			extract($postdata);
			$req_date = date("Y-m-d", strtotime($req_date));
			$cur_date = date("Y-m-d");
			$order_time = date("h:i A");
			if($orders == 'Special Order')
			{
			    $delivery_date = date("Y-m-d", strtotime($delivery_date));
			}
			else if($orders == 'Running Order')
			{
			    $delivery_date = '';
			    $delivery_time = '';
			    $ord_remark = '';
			}
			if($orders == 'Running Order' || $orders == 'Special Order')
			{
			    $this->db->select('MAX(req_no) as req_no',false);
				$this->db->where('branch_id',$branch_id);
				$result = $this->db->get('product_request')->row();
				$req_no = $result->req_no;
				if($req_no == 0){
					$req_no = 1;
				}
				else{
					$req_no = $req_no+1;
				}
				$order_no = $branch_name."/PR-REQ/".$req_no;
				
				$data = array('req_no'=> $req_no,
					'pr_req_no'=> $order_no,
					'request_date'=> $req_date,
					'request_time'=> $order_time,
					'delivery_date'=> $delivery_date,
					'delivery_time'=> $delivery_time.':00',
					'dept'=> $dept1,
					'orders'=> $orders,
					'branchname'=> $branch_name,
					'status'=> 'Pending',
					'order_remarks'=> $ord_remark,
					'branch_id'=> $branch_id
				);
				$this->db->insert('product_request', $data);
				$rqid = $this->db->insert_id();
				
				$count = count($product_name);
				for($i=0;$i<$count;$i++)
				{
					if($quantity[$i] != '0' && $quantity[$i] != '')
					{
						$cat_name = $cat_id[$i];
						$data2 = array(
							'item_name' => $product_name[$i],
							'uom' => $uom[$i],
							'required_qty' => $quantity[$i],
							'remarks' => $remarks[$i],
							'request_id' => $rqid,
							'recipe_id' => $item_id[$i],
							'pr_cat_id' => $cat_id[$i],
							'flavour' => $flavour[$i],
							'f_code' => $f_code[$i],
							'status' => 'Pending',
							'receipt_status' => 'Pending',
							'recipe_no' => $recipe_no[$i]
							);
						$this->db->insert('product_request_item', $data2);
					}
				}
			}
			else if($orders == 'Regular Order')
			{
				$q1 = $this->db->query("select * from product_request where request_date='$cur_date' and orders='Regular Order' and receipt_status='Pending' and dept='$dept1' and branchname='$branch_name'");
				if($q1->num_rows() > 0)
				{
					$row = $q1->row_array();
					$rqid = $row['request_id'];
					
					$count = count($product_name);
					for($i=0;$i<$count;$i++)
					{
						if($quantity[$i] != '0' && $quantity[$i] != '')
						{
							$cat_name = $cat_id[$i];
							$q2 = $this->db->query("select * from product_request_item where request_id='$rqid' and recipe_id='$item_id[$i]'");
							if($q2->num_rows() > 0)
							{
								$row2 = $q2->row_array();
								$req_item_id[$i] = $row2['request_item_id'];
								$qty[$i] = $row2['required_qty'];
								$qty1[$i] = $qty[$i] + $quantity[$i];
								
								$q3 = $this->db->query("update product_request_item set required_qty='$qty1[$i]' where request_item_id='$req_item_id[$i]'");
							}
							else
							{
								$data3 = array(
									'item_name' => $product_name[$i],
									'uom' => $uom[$i],
									'required_qty' => $quantity[$i],
									'remarks' => $remarks[$i],
									'request_id' => $rqid,
									'recipe_id' => $item_id[$i],
									'pr_cat_id' => $cat_id[$i],
									'flavour' => $flavour[$i],
									'f_code' => $f_code[$i],
									'status' => 'Pending',
									'receipt_status' => 'Pending',
									'recipe_no' => $recipe_no[$i]
									);
								$this->db->insert('product_request_item', $data3);
							}
						}
					}
				}
				else
				{
					$this->db->select('MAX(req_no) as req_no',false);
					$this->db->where('branch_id',$branch_id);
					$result = $this->db->get('product_request')->row();
					$req_no = $result->req_no;
					if($req_no == 0){
						$req_no = 1;
					}
					else{
						$req_no = $req_no+1;
					}
					$order_no = $branch_name."/PR-REQ/".$req_no;
					
					$data4 = array('req_no'=> $req_no,
						'pr_req_no'=> $order_no,
						'request_date'=> $req_date,
						'request_time'=> $order_time,
						'dept'=> $dept1,
						'orders'=> $orders,
						'branchname'=> $branch_name,
						'status'=> 'Pending',
						'branch_id'=> $branch_id
					);
					$this->db->insert('product_request', $data4);
					$rqid = $this->db->insert_id();
					
					$count = count($product_name);
					for($i=0;$i<$count;$i++)
					{
						if($quantity[$i] != '0' && $quantity[$i] != '')
						{
							$cat_name = $cat_id[$i];
							$q3 = $this->db->query("select * from product_request_item where request_id='$rqid' and recipe_id='$item_id[$i]'");
							if($q3->num_rows() > 0)
							{
								$row3 = $q3->row_array();
								$req_item_id[$i] = $row3['request_item_id'];
								$qty[$i] = $row3['required_qty'];
								$qty1[$i] = $qty[$i] + $quantity[$i];
								
								$q4 = $this->db->query("update product_request_item set required_qty='$qty1[$i]' where request_item_id='$req_item_id[$i]'");
							}
							else
							{
								$data5 = array(
									'item_name' => $product_name[$i],
									'uom' => $uom[$i],
									'required_qty' => $quantity[$i],
									'remarks' => $remarks[$i],
									'request_id' => $rqid,
									'recipe_id' => $item_id[$i],
									'pr_cat_id' => $cat_id[$i],
									'flavour' => $flavour[$i],
									'f_code' => $f_code[$i],
									'status' => 'Pending',
									'receipt_status' => 'Pending',
									'recipe_no' => $recipe_no[$i]
									);
									$this->db->insert('product_request_item', $data5);
							}
						}
					}
				}
			}
			$q5 = $this->db->query("update recipe set req_qty='' where branchname='$branch_name' and pr_cat_id='$cat_name'");
			
			return $rqid;
		}
		
		public function addStRequest($postdata)
		{
			extract($postdata);
			$req_date = date("Y-m-d", strtotime($req_date));
			$cur_date = date("Y-m-d");
			$order_time = date("h:i A");
			
			if($orders == 'Santhe Special Order')
			{
			    $delivery_date = date("Y-m-d", strtotime($delivery_date));
				$this->db->select('MAX(req_no) as req_no',false);
				$this->db->where('branch_id',$branch_id);
				$result = $this->db->get('product_request')->row();
				$req_no = $result->req_no;
				if($req_no == 0){
					$req_no = 1;
				}
				else{
					$req_no = $req_no+1;
				}
				$order_no = $branch_name."/PR-REQ/".$req_no;
				
				$data = array('req_no'=> $req_no,
					'pr_req_no'=> $order_no,
					'request_date'=> $req_date,
					'request_time'=> $order_time,
					'delivery_date'=> $delivery_date,
					'delivery_time'=> $delivery_time.':00',
					'dept'=> $dept1,
					'orders'=> $orders,
					'branchname'=> $branch_name,
					'status'=> 'Pending',
					'order_remarks'=> $ord_remark,
					'branch_id'=> $branch_id
				);
				$this->db->insert('product_request', $data);
				$rqid = $this->db->insert_id();
				
				$count = count($product_name);
				for($i=0;$i<$count;$i++)
				{
					if($quantity[$i] != '0' && $quantity[$i] != '')
					{
						$cat_name = $cat_id[$i];
						$data2 = array(
							'item_name' => $product_name[$i],
							'uom' => $uom[$i],
							'required_qty' => $quantity[$i],
							'remarks' => $remarks[$i],
							'request_id' => $rqid,
							'recipe_id' => $item_id[$i],
							'pr_cat_id' => $cat_id[$i],
							'flavour' => $flavour[$i],
							'f_code' => $f_code[$i],
							'status' => 'Pending',
							'receipt_status' => 'Pending',
							'recipe_no' => $recipe_no[$i]
							);
						$this->db->insert('product_request_item', $data2);
					}
				}
			}
			else if($orders == 'Santhe')
			{
			    $delivery_date = '';
			    $delivery_time = '';
			    $ord_remark = '';
				$q1 = $this->db->query("select * from product_request where request_date='$cur_date' and orders='Regular Order' and receipt_status='Pending' and dept='$dept1' and branchname='$branch_name'");
				if($q1->num_rows() > 0)
				{
					$row = $q1->row_array();
					$rqid = $row['request_id'];
					
					$count = count($product_name);
					for($i=0;$i<$count;$i++)
					{
						if($quantity[$i] != '0' && $quantity[$i] != '')
						{
							$cat_name = $cat_id[$i];
							$q2 = $this->db->query("select * from product_request_item where request_id='$rqid' and recipe_id='$item_id[$i]'");
							if($q2->num_rows() > 0)
							{
								$row2 = $q2->row_array();
								$req_item_id[$i] = $row2['request_item_id'];
								$qty[$i] = $row2['required_qty'];
								$qty1[$i] = $qty[$i] + $quantity[$i];
								
								$q3 = $this->db->query("update product_request_item set required_qty='$qty1[$i]' where request_item_id='$req_item_id[$i]'");
							}
							else
							{
								$data3 = array(
									'item_name' => $product_name[$i],
									'uom' => $uom[$i],
									'required_qty' => $quantity[$i],
									'remarks' => $remarks[$i],
									'request_id' => $rqid,
									'recipe_id' => $item_id[$i],
									'pr_cat_id' => $cat_id[$i],
									'flavour' => $flavour[$i],
									'f_code' => $f_code[$i],
									'status' => 'Pending',
									'receipt_status' => 'Pending',
									'recipe_no' => $recipe_no[$i]
									);
								$this->db->insert('product_request_item', $data3);
							}
						}
					}
				}
				else
				{
					$this->db->select('MAX(req_no) as req_no',false);
					$this->db->where('branch_id',$branch_id);
					$result = $this->db->get('product_request')->row();
					$req_no = $result->req_no;
					if($req_no == 0){
						$req_no = 1;
					}
					else{
						$req_no = $req_no+1;
					}
					$order_no = $branch_name."/PR-REQ/".$req_no;
					
					$data4 = array('req_no'=> $req_no,
						'pr_req_no'=> $order_no,
						'request_date'=> $req_date,
						'request_time'=> $order_time,
						'dept'=> $dept1,
						'orders'=> $orders,
						'branchname'=> $branch_name,
						'status'=> 'Pending',
						'branch_id'=> $branch_id
					);
					$this->db->insert('product_request', $data4);
					$rqid = $this->db->insert_id();
					
					$count = count($product_name);
					for($i=0;$i<$count;$i++)
					{
						if($quantity[$i] != '0' && $quantity[$i] != '')
						{
							$cat_name = $cat_id[$i];
							$q3 = $this->db->query("select * from product_request_item where request_id='$rqid' and recipe_id='$item_id[$i]'");
							if($q3->num_rows() > 0)
							{
								$row3 = $q3->row_array();
								$req_item_id[$i] = $row3['request_item_id'];
								$qty[$i] = $row3['required_qty'];
								$qty1[$i] = $qty[$i] + $quantity[$i];
								
								$q4 = $this->db->query("update product_request_item set required_qty='$qty1[$i]' where request_item_id='$req_item_id[$i]'");
							}
							else
							{
								$data5 = array(
									'item_name' => $product_name[$i],
									'uom' => $uom[$i],
									'required_qty' => $quantity[$i],
									'remarks' => $remarks[$i],
									'request_id' => $rqid,
									'recipe_id' => $item_id[$i],
									'pr_cat_id' => $cat_id[$i],
									'flavour' => $flavour[$i],
									'f_code' => $f_code[$i],
									'status' => 'Pending',
									'receipt_status' => 'Pending',
									'recipe_no' => $recipe_no[$i]
									);
									$this->db->insert('product_request_item', $data5);
							}
						}
					}
				}
			}
			$q5 = $this->db->query("update recipe set req_qty='' where branchname='$branch_name' and pr_cat_id='$cat_name'");
			
			return $rqid;
		}
		
		public function getPrdRequest($rid)
		{
			$query = $this->db->query("SELECT *,DATE_FORMAT(request_date, '%d-%m-%Y') as request_date FROM product_request where request_id='$rid'");
			return $query->result();	
		}
		
		public function getPrdRequestItem($rid)
		{
			$query = $this->db->query("SELECT * FROM  product_request_item where request_id='$rid'");
			return $query->result();	
		}
		
		public function getRequestList($branch_id)
		{
			$query = $this->db->query("SELECT *, DATE_FORMAT(request_date, '%d-%m-%Y') as request_date FROM product_request where branch_id='$branch_id' and receipt_status='Pending' ORDER BY request_id desc");
			return $query->result();	
		}
		
		public function get_accessTab($sub_mod_id,$branch_id)
		{
			$query = $this->db->query("SELECT * FROM user_access where branch_id='$branch_id' and module_id='$sub_mod_id'");
			return $query->result();
		}

		public function getCounters($data)
		{
			$r_date =date('Y-m-d', strtotime($data['req_date']));
			$uname = $data['uname'];
			$query = $this->db->query("select request_id,branchname from product_request where dept='$uname' and orders='Regular Order' and request_date='$r_date' and status='Pending' order by branchname");
			return $query->result();
		}
		
		public function getStCounters($data)
		{
			$r_date =date('Y-m-d', strtotime($data['req_date']));
			$uname = $data['uname'];
			$query = $this->db->query("select request_id,branchname from product_request where dept='$uname' and orders='Santhe' and request_date='$r_date' and status='Pending'");
			return $query->result();
		}
		
		public function getIndentItemsQty($data)
		{
			$r_date =date('Y-m-d', strtotime($data['req_date']));
			$uname = $data['uname'];

			//$query = $this->db->query("select branchname from product_request where dept='$uname' and orders='Regular Order' and request_date='$r_date' and status='Pending'");
				//$rcount = $query->num_rows();
			$query = $this->db->query("select PI.item_name,SUM(CASE WHEN P.branchname = 'CW-CTR' THEN PI.required_qty ELSE 0 END) ctr1,SUM(CASE WHEN P.branchname = 'CW-CTR2' THEN PI.required_qty ELSE 0 END) ctr2,SUM(CASE WHEN P.branchname = 'CW-CTR3' THEN PI.required_qty ELSE 0 END) ctr3 ,SUM(CASE WHEN P.branchname = 'CW-CTR4' THEN PI.required_qty ELSE 0 END) ctr4 from product_request as P,product_request_item as PI where P.request_id=PI.request_id and P.dept='$uname' and (P.request_date='$r_date') and P.orders='Regular Order' and P.status='Pending' group by PI.item_name order by PI.f_code,PI.pr_cat_id,PI.item_name");
			return $query->result_array();
		}
		
		public function pr_userdata(){
		    $query = $this->db->query("select distinct(dept) as dept from product_request");
			return $query->result();
		}
		public function getStIndentItemsQty($data)
		{
			$r_date =date('Y-m-d', strtotime($data['req_date']));
			$uname = $data['uname'];

			$query = $this->db->query("select PI.item_name,SUM(CASE WHEN P.branchname = 'ST1' THEN PI.required_qty ELSE 0 END) st1,SUM(CASE WHEN P.branchname = 'ST2' THEN PI.required_qty ELSE 0 END) st2,SUM(CASE WHEN P.branchname = 'ST3' THEN PI.required_qty ELSE 0 END) st3,SUM(CASE WHEN P.branchname = 'ST4' THEN PI.required_qty ELSE 0 END) st4 from product_request as P,product_request_item as PI where P.request_id=PI.request_id and P.dept='$uname' and (P.request_date='$r_date') and P.orders='Santhe' and P.status='Pending' group by PI.item_name order by PI.f_code,PI.pr_cat_id,PI.item_name");
			return $query->result_array();
		}
		
		public function getIndentItems($data)
		{
			$r_date =date('Y-m-d', strtotime($data['req_date']));
			$uname = $data['uname'];
			$branch_id = $data['branch_id'];
			
			$query = $this->db->query("select DISTINCT(PI.item_name),R.recipe_id,R.recipe_no,R.pr_cat_id,R.uom,R.yeild,R.production_stock from product_request as P inner join product_request_item as PI on P.request_id=PI.request_id inner join recipe R on PI.recipe_no=R.recipe_no where P.dept='$uname' and (P.request_date='$r_date') and P.orders='Regular Order' and P.status='Pending' and R.branch_id='$branch_id' group by P.branchname,PI.item_name order by PI.f_code,PI.pr_cat_id,PI.item_name");
			return $query->result_array();
		}
		
		public function getStIndentItems($data)
		{
			$r_date =date('Y-m-d', strtotime($data['req_date']));
			$uname = $data['uname'];
			$branch_id = $data['branch_id'];
			
		//	$query = $this->db->query("select DISTINCT(PI.item_name),R.recipe_id,R.recipe_no,R.pr_cat_id,R.uom,R.yeild,R.production_stock from product_request as P inner join product_request_item as PI on P.request_id=PI.request_id inner join recipe R on PI.recipe_no=R.recipe_no where P.dept='$uname' and (P.request_date='$r_date') and P.orders='Santhe' and P.status='Pending' and R.branch_id='$branch_id' group by P.branchname,PI.item_name order by PI.f_code,PI.pr_cat_id,PI.item_name");
			$query = $this->db->query("select DISTINCT(PI.item_name),R.recipe_id,R.recipe_no,R.pr_cat_id,R.uom,R.yeild,R.production_stock from product_request as P inner join product_request_item as PI on P.request_id=PI.request_id inner join recipe R on PI.recipe_no=R.recipe_no where P.dept='$uname' and (P.request_date='$r_date') and P.orders='Santhe' and P.status='Pending' and R.branch_id='$branch_id' group by P.branchname,PI.item_name order by PI.f_code,PI.pr_cat_id,PI.item_name");
			return $query->result_array();
		}
		
		public function getSplOrders($data)
		{
			$r_date =date('Y-m-d', strtotime($data['req_date']));
			$uname = $data['uname'];

			$query = $this->db->query("select *,@curRow := @curRow + 1 AS row_number from product_request JOIN (SELECT @curRow := 0) r where dept='$uname' and (request_date='$r_date') and orders='Special Order' and status='Pending'");
			return $query->result();
		}
	
		public function getRunningOrders($data)
		{
			$r_date =date('Y-m-d', strtotime($data['req_date']));
			$uname = $data['uname'];

			$query = $this->db->query("select *,@curRow := @curRow + 1 AS row_number from product_request JOIN (SELECT @curRow := 0) r where dept='$uname' and (request_date='$r_date') and orders='Running Order' and status='Pending'");
			return $query->result();
		}
		
		public function getStSplOrders($data)
		{
			$r_date =date('Y-m-d', strtotime($data['req_date']));
			$uname = $data['uname'];

			$query = $this->db->query("select *,@curRow := @curRow + 1 AS row_number from product_request JOIN (SELECT @curRow := 0) r where dept='$uname' and (request_date='$r_date') and orders='Santhe Special Order' and status='Pending'");
			return $query->result();
		}
		
		public function addRegularIssue($postdata)
		{
			extract($postdata);
			$issue_date = date("Y-m-d");
			$issue_time = date("h:i A");
			$lm=date("Y-m-dH:i:s",time());
			$ctr = $ctrct;
			$itm = $itemct;
			$ttitm = $ttitemct;
			
			$isid = array();
			$tr_ref = array();
			for($i=0;$i<$ctr;$i++)
			{
				$this->db->select('MAX(is_no) as is_no',false);
				$this->db->where('branch_id',$branch_id);
				$result = $this->db->get('product_issues_creation')->row();
				$is_no = $result->is_no;
				if($is_no == 0){
					$is_no = 1;
				}
				else{
					$is_no = $is_no+1;
				}
				$issue_no = "ISSU"."/".$branch_name."/".$outlet_branch[$i]."/".$is_no;
				$tr_ref[] = $issue_no;
				
				$data = array('is_no'=> $is_no,
					'issue_no'=> $issue_no,
					'issue_date'=> $issue_date,
					'issue_time'=> $issue_time,
					'outlet'=> $dept[$i],
					'branchname'=> $branch_name,
					'request_id'=> $req_id[$i],
					'issue_status'=> 'Pending',
					'total_amount'=> $grand_total[$i],
					'user_name'=> $uname,
					'branch_id'=> $branch_id
				);
				$this->db->insert('product_issues_creation', $data);
				$isid[] = $this->db->insert_id();
			}
			
			//insert of items
			$m = 0;
			$n = $ttitm/$ctr;
			for($j=0;$j<$ttitm;$j++)
			{				
				if($j==$n)
				{
					$m = $m + 1;
					$n = $n + $n;
				}
				if($inward_quantity[$j]!='')
				{
					$q1 = $this->db->query("select * from recipe where recipe_id='$item_id[$j]'");
					if($q1->num_rows() > 0)
					{
						$row = $q1->row_array();
						$qty[$j] = $row['production_stock'];
						$qty1[$j] = $qty[$j] - $inward_quantity[$j];
						
						$q2 = $this->db->query("UPDATE recipe set production_stock='$qty1[$j]' WHERE  recipe_id='$item_id[$j]'");
						
						$data1 = array(
							'issue_item_name'=> $item_name[$j],
							'issue_uom'=> $uom[$j],
							'issued_qty'=> $inward_quantity[$j],
							'price'=> $price[$j],
							'basic_price'=> $tot_basic[$j],
							'tax'=> $tax[$j],
							'tax_amount'=> $tax_amt[$j],
							'total_price'=> $total_price[$j],
							'issue_id'=> $isid[$m],
							'request_item_id'=> $req_item_id[$j],
							'recipe_id'=> $item_id[$j],
							'rcv_status'=> 'Pending',
							'recipe_no'=> $recipe_no[$j],
							'pr_cat_id'=> $pr_cat_id[$j]
						);
						$this->db->insert('product_issues_item', $data1);
						$isitid = $this->db->insert_id();
						
						$data2 = array(
							'item_name'=> $item_name[$j],
							'trans_ref_no'=> $tr_ref[$m],
							'transaction_date'=> $issue_date,
							'opening_stock'=> $qty[$j],
							'out_qty'=> $inward_quantity[$j],
							'closing_stock'=> $qty1[$j],
							'last_modified'=> $lm,
							'branchname'=> $branch_name,
							'item_id'=> $item_id[$j],
							'recipe_no'=> $recipe_no[$j],
							'category_id'=> $pr_cat_id[$j],
							'branch_id'=> $branch_id
						);
						$this->db->insert('stock_detail', $data2);
						
						$rc_qty[$j] = $inward_quantity[$j] + $received_qty[$j];
						$q3 = $this->db->query("update product_request_item set recieved_qty='$rc_qty[$j]' where request_item_id='$req_item_id[$j]'");
						
						if($rc_qty[$j] == $quantity[$j] && $inward_quantity[$j]!='') {
							$q4 = $this->db->query("update product_request_item set status='Closed' where request_item_id='$req_item_id[$j]'");
						}
					}
				}
			}
			for($i=0;$i<$ctr;$i++)
			{
				$isq = $this->db->query("select * from product_issues_item where issue_id='$isid[$i]'");
				if($isq->num_rows() > 0)
				{
					//nothing
				}
				else
				{
					$this->db->query("delete from product_issues_creation where issue_id='$isid[$i]'");
				}
			}
			//return $isid;
		}
		
		public function addStRegularIssue($postdata)
		{
			extract($postdata);
			$issue_date = date("Y-m-d");
			$issue_time = date("h:i A");
			$lm=date("Y-m-dH:i:s",time());
			$ctr = $sctrct;
			$itm = $sitemct;
			$ttitm = $sttitemct;
			
			$isid = array();
			$tr_ref = array();
			for($i=0;$i<$ctr;$i++)
			{
				$this->db->select('MAX(is_no) as is_no',false);
				$this->db->where('branch_id',$sbranch_id);
				$result = $this->db->get('product_issues_creation')->row();
				$is_no = $result->is_no;
				if($is_no == 0){
					$is_no = 1;
				}
				else{
					$is_no = $is_no+1;
				}
				$issue_no = "ISSU"."/".$sbranch_name."/".$soutlet_branch[$i]."/".$is_no;
				$tr_ref[] = $issue_no;
				
				$data = array('is_no'=> $is_no,
					'issue_no'=> $issue_no,
					'issue_date'=> $issue_date,
					'issue_time'=> $issue_time,
					'outlet'=> $sdept[$i],
					'branchname'=> $sbranch_name,
					'request_id'=> $sreq_id[$i],
					'issue_status'=> 'Pending',
					'total_amount'=> $sgrand_total[$i],
					'user_name'=> $suname,
					'branch_id'=> $sbranch_id
				);
				$this->db->insert('product_issues_creation', $data);
				$isid[] = $this->db->insert_id();
			}
			
			//insert of items
			$m = 0;
			$n = $ttitm/$ctr;
			for($j=0;$j<$ttitm;$j++)
			{				
				if($j==$n)
				{
					$m = $m + 1;
					$n = $n + $n;
				}
				if($sinward_quantity[$j]!='')
				{
					$q1 = $this->db->query("select * from recipe where recipe_id='$sitem_id[$j]'");
					if($q1->num_rows() > 0)
					{
						$row = $q1->row_array();
						$qty[$j] = $row['production_stock'];
						$qty1[$j] = $qty[$j] - $sinward_quantity[$j];
						
						$q2 = $this->db->query("UPDATE recipe set production_stock='$qty1[$j]' WHERE  recipe_id='$sitem_id[$j]'");
						
						$data1 = array(
							'issue_item_name'=> $sitem_name[$j],
							'issue_uom'=> $suom[$j],
							'issued_qty'=> $sinward_quantity[$j],
							'price'=> $sprice[$j],
							'basic_price'=> $stot_basic[$j],
							'tax'=> $stax[$j],
							'tax_amount'=> $stax_amt[$j],
							'total_price'=> $stotal_price[$j],
							'issue_id'=> $isid[$m],
							'request_item_id'=> $sreq_item_id[$j],
							'recipe_id'=> $sitem_id[$j],
							'rcv_status'=> 'Pending',
							'recipe_no'=> $srecipe_no[$j],
							'pr_cat_id'=> $spr_cat_id[$j]
						);
						$this->db->insert('product_issues_item', $data1);
						$isitid = $this->db->insert_id();
						
						$data2 = array(
							'item_name'=> $sitem_name[$j],
							'trans_ref_no'=> $tr_ref[$m],
							'transaction_date'=> $issue_date,
							'opening_stock'=> $qty[$j],
							'out_qty'=> $sinward_quantity[$j],
							'closing_stock'=> $qty1[$j],
							'last_modified'=> $lm,
							'branchname'=> $sbranch_name,
							'item_id'=> $sitem_id[$j],
							'recipe_no'=> $srecipe_no[$j],
							'category_id'=> $spr_cat_id[$j],
							'branch_id'=> $sbranch_id
						);
						$this->db->insert('stock_detail', $data2);
						
						$rc_qty[$j] = $sinward_quantity[$j] + $sreceived_qty[$j];
						$q3 = $this->db->query("update product_request_item set recieved_qty='$rc_qty[$j]' where request_item_id='$sreq_item_id[$j]'");
						
						if($rc_qty[$j] == $squantity[$j] && $sinward_quantity[$j]!='') {
							$q4 = $this->db->query("update product_request_item set status='Closed' where request_item_id='$sreq_item_id[$j]'");
						}
					}
				}
			}
			for($i=0;$i<$ctr;$i++)
			{
				$isq = $this->db->query("select * from product_issues_item where issue_id='$isid[$i]'");
				if($isq->num_rows() > 0)
				{
					//nothing
				}
				else
				{
					$this->db->query("delete from product_issues_creation where issue_id='$isid[$i]'");
				}
			}
			//return $isid;
		}
				
		public function addProductionIssue($postdata)
		{
			extract($postdata);
			$issue_date = date("Y-m-d");
			$issue_time = date("h:i A");
			$lm=date("Y-m-dH:i:s",time());
			$ctr = $ctrct;
			$itm = $itemct;
			$ttitm = $ttitemct;
			$icount = count($prd_item);
			
			$rs = $this->db->query("select * from billdetails where orderdate='$issue_date' and chef IS NULL and branch_id='$branch_id'");
			if($rs->num_rows() > 0)
			{
				$r1 = $rs->row_array();
				$bill_id = $r1['billno'];
    			$bill_no = $r1['bill_id'];
				
				for($i=0;$i<$icount;$i++)
				{
					if($pr_stock[$i]!='0' && $pr_stock[$i]!='')
    				{
						$q3 = $this->db->query("select * from recipe where recipe_id='$recipe_id[$i]'");
						if($q3->num_rows() > 0)
						{
							$rs1 = $q3->row_array();
							$pstock[$i] = $rs1['production_stock'];
    						$pstock1[$i] = $pstock[$i] + $pr_stock[$i];
    						$recipe_no[$i] = $rs1['recipe_no'];
    					    $pr_cat_id[$i] = $rs1['pr_cat_id'];
							
							$q4 = $this->db->query("update recipe set production_stock='$pstock1[$i]' where recipe_id='$recipe_id[$i]'");
						}
						$res2 = $this->db->query("select * from bom_product where billno='$bill_id' and pname='$prd_item[$i]'");
						if($res2->num_rows() > 0)
						{
							$r2 = $res2->row_array();
							$bp_id[$i] = $r2['bp_id'];
    						$qty[$i] = $r2['actual_yeild'];
    						$qty1[$i] = $qty[$i] + $pr_stock[$i];
							$sql2 = $this->db->query("update bom_product set actual_yeild='$qty1[$i]' where bp_id='$bp_id[$i]'");
						}
						else
						{
							$bdata = array('pname'=> $prd_item[$i],
								'uom'=> $puom[$i],
								'actual_yeild'=> $pr_stock[$i],
								'yeild'=> $yeild[$i],
								'billno'=> $bill_id,
								'recipe_id'=> $recipe_id[$i],
								'recipe_no'=> $recipe_no[$i],
								'pr_cat_id'=> $pr_cat_id[$i]
							);
							$this->db->insert('bom_product', $bdata);
						}
						$bdata1 = array('item_name'=> $prd_item[$i],
							'trans_ref_no'=> $bill_no,
							'transaction_date'=> $issue_date,
							'opening_stock'=> $pstock[$i],
							'in_qty'=> $pr_stock[$i],
							'closing_stock'=> $pstock1[$i],
							'last_modified'=> $lm,
							'branchname'=> $branch_name,
							'item_id'=> $recipe_id[$i],
							'recipe_no'=> $recipe_no[$i],
							'category_id'=> $pr_cat_id[$i],
							'branch_id'=> $branch_id
						);
						$this->db->insert('stock_detail', $bdata1);
					}
				}
			}
			else
			{
				$this->db->select('MAX(bno) as bno',false);
				$this->db->where('branch_id',$branch_id);
				$result = $this->db->get('billdetails')->row();
				$bno = $result->bno;
				if($bno == 0){
					$bno = 1;
				}
				else{
					$bno = $bno+1;
				}
				$bill_no = "BOM"."/".$branch_name."/".$bno;
				
				$bdata2 = array('bno'=> $bno,
					'bill_id'=> $bill_no,
					'pr_cat_id'=> $cat_id,
					'orderdate'=> $issue_date,
					'ordertime'=> $issue_time,
					'outlet'=> $uname,
					'branch_id'=> $branch_id
				);
				$this->db->insert('billdetails', $bdata2);
				$bill_id = $this->db->insert_id();
				
				if($prd_item != '')
    			{
					for($i=0;$i<$icount;$i++)
					{
						if($pr_stock[$i]!='0' && $pr_stock[$i]!='')
    					{
							$q3 = $this->db->query("select * from recipe where recipe_id='$recipe_id[$i]'");
							if($q3->num_rows() > 0)
							{
								$rs = $q3->row_array();
								$pstock[$i] = $rs['production_stock'];
    							$pstock1[$i] = $pstock[$i] + $pr_stock[$i];
    							$recipe_no[$i] = $rs['recipe_no'];
    					        $pr_cat_id[$i] = $rs['pr_cat_id'];
								
								$q4 = $this->db->query("update recipe set production_stock='$pstock1[$i]' where recipe_id='$recipe_id[$i]'");
							}
							$bdata3 = array('pname'=> $prd_item[$i],
								'uom'=> $puom[$i],
								'actual_yeild'=> $pr_stock[$i],
								'yeild'=> $yeild[$i],
								'billno'=> $bill_id,
								'recipe_id'=> $recipe_id[$i],
								'recipe_no'=> $recipe_no[$i],
								'pr_cat_id'=> $pr_cat_id[$i]
							);
							$this->db->insert('bom_product', $bdata3);
							
							$bdata4 = array('item_name'=> $prd_item[$i],
								'trans_ref_no'=> $bill_no,
								'transaction_date'=> $issue_date,
								'opening_stock'=> $pstock[$i],
								'in_qty'=> $pr_stock[$i],
								'closing_stock'=> $pstock1[$i],
								'last_modified'=> $lm,
								'branchname'=> $branch_name,
								'item_id'=> $recipe_id[$i],
								'recipe_no'=> $recipe_no[$i],
								'category_id'=> $pr_cat_id[$i],
								'branch_id'=> $branch_id
							);
							$this->db->insert('stock_detail', $bdata4);
						}
					}
				}
			}
			
			$isid = array();
			$tr_ref = array();
			for($i=0;$i<$ctr;$i++)
			{
				$this->db->select('MAX(is_no) as is_no',false);
				$this->db->where('branch_id',$branch_id);
				$result = $this->db->get('product_issues_creation')->row();
				$is_no = $result->is_no;
				if($is_no == 0){
					$is_no = 1;
				}
				else{
					$is_no = $is_no+1;
				}
				$issue_no = "ISSU"."/".$branch_name."/".$outlet_branch[$i]."/".$is_no;
				$tr_ref[] = $issue_no;
				
				$data = array('is_no'=> $is_no,
					'issue_no'=> $issue_no,
					'issue_date'=> $issue_date,
					'issue_time'=> $issue_time,
					'outlet'=> $dept[$i],
					'branchname'=> $branch_name,
					'request_id'=> $req_id[$i],
					'issue_status'=> 'Pending',
					'total_amount'=> $grand_total[$i],
					'user_name'=> $uname,
					'branch_id'=> $branch_id
				);
				$this->db->insert('product_issues_creation', $data);
				$isid[] = $this->db->insert_id();
			}
			
			//insert of items
			$m = 0;
			$n = $ttitm/$ctr;
			for($j=0;$j<$ttitm;$j++)
			{				
				if($j==$n)
				{
					$m = $m + 1;
					$n = $n + $n;
				}
				if($inward_quantity[$j]!='')
				{
					$q1 = $this->db->query("select * from recipe where recipe_id='$item_id[$j]'");
					if($q1->num_rows() > 0)
					{
						$row = $q1->row_array();
						$qty[$j] = $row['production_stock'];
						$qty1[$j] = $qty[$j] - $inward_quantity[$j];
						
						$q2 = $this->db->query("UPDATE recipe set production_stock='$qty1[$j]' WHERE  recipe_id='$item_id[$j]'");
						
						$data1 = array(
							'issue_item_name'=> $item_name[$j],
							'issue_uom'=> $uom[$j],
							'issued_qty'=> $inward_quantity[$j],
							'price'=> $price[$j],
							'basic_price'=> $tot_basic[$j],
							'tax'=> $tax[$j],
							'tax_amount'=> $tax_amt[$j],
							'total_price'=> $total_price[$j],
							'issue_id'=> $isid[$m],
							'request_item_id'=> $req_item_id[$j],
							'recipe_id'=> $item_id[$j],
							'rcv_status'=> 'Pending',
							'recipe_no'=> $recipe_no[$j],
							'pr_cat_id'=> $pr_cat_id[$j]
						);
						$this->db->insert('product_issues_item', $data1);
						$isitid = $this->db->insert_id();
						
						$data2 = array(
							'item_name'=> $item_name[$j],
							'trans_ref_no'=> $tr_ref[$m],
							'transaction_date'=> $issue_date,
							'opening_stock'=> $qty[$j],
							'out_qty'=> $inward_quantity[$j],
							'closing_stock'=> $qty1[$j],
							'last_modified'=> $lm,
							'branchname'=> $branch_name,
							'item_id'=> $item_id[$j],
							'recipe_no'=> $recipe_no[$j],
							'category_id'=> $pr_cat_id[$j],
							'branch_id'=> $branch_id
						);
						$this->db->insert('stock_detail', $data2);
						
						$rc_qty[$j] = $inward_quantity[$j] + $received_qty[$j];
						$q3 = $this->db->query("update product_request_item set recieved_qty='$rc_qty[$j]' where request_item_id='$req_item_id[$j]'");
						
						if($rc_qty[$j] == $quantity[$j] && $inward_quantity[$j]!='') {
							$q4 = $this->db->query("update product_request_item set status='Closed' where request_item_id='$req_item_id[$j]'");
						}
					}
				}
			}
			for($i=0;$i<$ctr;$i++)
			{
				$isq = $this->db->query("select * from product_issues_item where issue_id='$isid[$i]'");
				if($isq->num_rows() > 0)
				{
					//nothing
				}
				else
				{
					$this->db->query("delete from product_issues_creation where issue_id='$isid[$i]'");
				}
			}
			//return $isid;
		}
		
		public function getPrdRequestItm($req_id,$branch_id)
		{
			$query = $this->db->query("SELECT *, (PI.required_qty-PI.recieved_qty) as item_balance_qty FROM product_request P inner join product_request_item PI on P.request_id=PI.request_id inner join recipe R on PI.recipe_no=R.recipe_no where PI.request_id='$req_id' and R.branch_id='$branch_id'");
			return $query->result();
		}
		
		public function addSplOrdIssue($postdata)
		{
			extract($postdata);
			$issue_date = date("Y-m-d");
			$issue_time = date("h:i A");
			$lm=date("Y-m-dH:i:s",time());
			
			$this->db->select('MAX(is_no) as is_no',false);
			$this->db->where('branch_id',$branch_id5);
			$result = $this->db->get('product_issues_creation')->row();
			$is_no = $result->is_no;
			if($is_no == 0){
				$is_no = 1;
			}
			else{
				$is_no = $is_no+1;
			}
			$issue_no = "ISSU"."/".$branchname5."/".$outlet_branch5."/".$is_no;
						
			$data = array('is_no'=> $is_no,
				'issue_no'=> $issue_no,
				'issue_date'=> $issue_date,
				'issue_time'=> $issue_time,
				'outlet'=> $dept5,
				'branchname'=> $branchname5,
				'request_id'=> $req_id5,
				'issue_status'=> 'Pending',
				'total_amount'=> $gtotal5,
				'user_name'=> $uname5,
				'branch_id'=> $branch_id5
			);
			$this->db->insert('product_issues_creation', $data);
			$isid = $this->db->insert_id();
			
			
			//insert of items
			$icount = count($item_name5);
			for($j=0;$j<$icount;$j++)
			{				
				if($inward_quantity5[$j]!='')
				{
					$q1 = $this->db->query("select * from recipe where recipe_id='$item_id5[$j]'");
					if($q1->num_rows() > 0)
					{
						$row = $q1->row_array();
						$qty[$j] = $row['production_stock'];
						$qty1[$j] = $qty[$j] - $inward_quantity5[$j];
						
						$q2 = $this->db->query("UPDATE recipe set production_stock='$qty1[$j]' WHERE  recipe_id='$item_id5[$j]'");
						
						$data1 = array(
							'issue_item_name'=> $item_name5[$j],
							'issue_uom'=> $uom5[$j],
							'issued_qty'=> $inward_quantity5[$j],
							'price'=> $price5[$j],
							'basic_price'=> $tot_basic5[$j],
							'tax'=> $tax5[$j],
							'tax_amount'=> $tax_amt5[$j],
							'total_price'=> $total_price5[$j],
							'issue_remarks'=> $remarks5[$j],
							'issue_id'=> $isid,
							'request_item_id'=> $req_item_id5[$j],
							'recipe_id'=> $item_id5[$j],
							'recipe_no'=> $recipe_no5[$j],
							'pr_cat_id'=> $cat_id5[$j],
							'rcv_status'=> 'Pending'
						);
						$this->db->insert('product_issues_item', $data1);
						$isitid = $this->db->insert_id();
						
						$data2 = array(
							'item_name'=> $item_name5[$j],
							'trans_ref_no'=> $issue_no,
							'transaction_date'=> $issue_date,
							'opening_stock'=> $qty[$j],
							'out_qty'=> $inward_quantity5[$j],
							'closing_stock'=> $qty1[$j],
							'last_modified'=> $lm,
							'branchname'=> $branchname5,
							'item_id'=> $item_id5[$j],
							'recipe_no'=> $recipe_no5[$j],
							'category_id'=> $cat_id5[$j],
							'branch_id'=> $branch_id5
						);
						$this->db->insert('stock_detail', $data2);
						
						$rc_qty[$j] = $inward_quantity5[$j] + $received_qty5[$j];
						$q3 = $this->db->query("update product_request_item set recieved_qty='$rc_qty[$j]' where request_item_id='$req_item_id5[$j]'");
						
						if($rc_qty[$j] == $req_qty5[$j] && $inward_quantity5[$j]!='') {
							$q4 = $this->db->query("update product_request_item set status='Closed' where request_item_id='$req_item_id5[$j]'");
						}
						
						$q6 = $this->db->query("SELECT count(*) as `num` FROM product_request_item where request_id='$req_id5'");
						if($q6->num_rows() > 0)
						{
							$row1 = $q6->row_array();
							$count1 = $row1['num'];
						}
						$q7 = $this->db->query("SELECT count(*) as `num1` FROM product_request_item where status='Closed' and request_id='$req_id5'");
						if($q7->num_rows() > 0)
						{
							$row2 = $q7->row_array();
							$count2 = $row2['num1'];
						}
						if($count1 == $count2 ) {
							$q8 = $this->db->query("update product_request set issue_status='Closed' where request_id='$req_id5'");
						}
					}
				}
			}
			//return $isid;
		}
		
		public function addProductionSplOrdIssue($postdata)
		{
			extract($postdata);
			$issue_date = date("Y-m-d");
			$issue_time = date("h:i A");
			$lm=date("Y-m-dH:i:s",time());
			$icount = count($item_name5);
			
			$rs = $this->db->query("select * from billdetails where orderdate='$issue_date' and branch_id='$branch_id5'");
			if($rs->num_rows() > 0)
			{
				$r1 = $rs->row_array();
				$bill_id = $r1['billno'];
    			$bill_no = $r1['bill_id'];
				
				for($i=0;$i<$icount;$i++)
				{
					if($inward_quantity5[$i]!='0' && $inward_quantity5[$i]!='')
    				{
						$q3 = $this->db->query("select * from recipe where recipe_id='$item_id5[$i]'");
						if($q3->num_rows() > 0)
						{
							$rs1 = $q3->row_array();
							$pstock[$i] = $rs1['inward_quantity5'];
    						$pstock1[$i] = $pstock[$i] + $inward_quantity5[$i];
    						$recipe_no[$i] = $rs1['recipe_no'];
    					    $pr_cat_id[$i] = $rs1['pr_cat_id'];
							
							$q4 = $this->db->query("update recipe set production_stock='$pstock1[$i]' where recipe_id='$item_id5[$i]'");
						}
						$res2 = $this->db->query("select * from bom_product where billno='$bill_id' and pname='$item_name5[$i]'");
						if($res2->num_rows() > 0)
						{
							$r2 = $res2->row_array();
							$bp_id[$i] = $r2['bp_id'];
    						$qty[$i] = $r2['actual_yeild'];
    						$qty1[$i] = $qty[$i] + $inward_quantity5[$i];
							$sql2 = $this->db->query("update bom_product set actual_yeild='$qty1[$i]' where bp_id='$bp_id[$i]'");
						}
						else
						{
							$bdata = array('pname'=> $item_name5[$i],
								'uom'=> $uom5[$i],
								'actual_yeild'=> $inward_quantity5[$i],
								'yeild'=> $yeild5[$i],
								'billno'=> $bill_id,
								'recipe_id'=> $item_id5[$i],
								'recipe_no'=> $recipe_no[$i],
								'pr_cat_id'=> $pr_cat_id[$i]
							);
							$this->db->insert('bom_product', $bdata);
						}
						$bdata1 = array('item_name'=> $item_name5[$i],
							'trans_ref_no'=> $bill_no,
							'transaction_date'=> $issue_date,
							'opening_stock'=> $pstock[$i],
							'in_qty'=> $inward_quantity5[$i],
							'closing_stock'=> $pstock1[$i],
							'last_modified'=> $lm,
							'branchname'=> $branchname5,
							'item_id'=> $recipe_id[$i],
							'recipe_no'=> $item_id5[$i],
							'category_id'=> $pr_cat_id[$i],
							'branch_id'=> $branch_id5
						);
						$this->db->insert('stock_detail', $bdata1);
					}
				}
			}
			else
			{
				$this->db->select('MAX(bno) as bno',false);
				$this->db->where('branch_id',$branch_id5);
				$result = $this->db->get('billdetails')->row();
				$bno = $result->bno;
				if($bno == 0){
					$bno = 1;
				}
				else{
					$bno = $bno+1;
				}
				$bill_no = "BOM"."/".$branchname5."/".$bno;
				
				$bdata2 = array('bno'=> $bno,
					'bill_id'=> $bill_no,
					'pr_cat_id'=> $pcat_id5,
					'orderdate'=> $issue_date,
					'ordertime'=> $issue_time,
					'outlet'=> $uname5,
					'branch_id'=> $branch_id5
				);
				$this->db->insert('billdetails', $bdata2);
				$bill_id = $this->db->insert_id();
				
				if($item_name5 != '')
    			{
					for($i=0;$i<$icount;$i++)
					{
						if($inward_quantity5[$i]!='0' && $inward_quantity5[$i]!='')
    					{
							$q3 = $this->db->query("select * from recipe where recipe_id='$item_id5[$i]'");
							if($q3->num_rows() > 0)
							{
								$rs = $q3->row_array();
								$pstock[$i] = $rs['production_stock'];
    							$pstock1[$i] = $pstock[$i] + $inward_quantity5[$i];
    							$recipe_no[$i] = $rs['recipe_no'];
    					        $pr_cat_id[$i] = $rs['pr_cat_id'];
								
								$q4 = $this->db->query("update recipe set production_stock='$pstock1[$i]' where recipe_id='$item_id5[$i]'");
							}
							$bdata3 = array('pname'=> $item_name5[$i],
								'uom'=> $uom5[$i],
								'actual_yeild'=> $inward_quantity5[$i],
								'yeild'=> $yeild5[$i],
								'billno'=> $bill_id,
								'recipe_id'=> $item_id5[$i],
								'recipe_no'=> $recipe_no[$i],
								'pr_cat_id'=> $pr_cat_id[$i]
							);
							$this->db->insert('bom_product', $bdata3);
							
							$bdata4 = array('item_name'=> $item_name5[$i],
								'trans_ref_no'=> $bill_no,
								'transaction_date'=> $issue_date,
								'opening_stock'=> $pstock[$i],
								'in_qty'=> $inward_quantity5[$i],
								'closing_stock'=> $pstock1[$i],
								'last_modified'=> $lm,
								'branchname'=> $branchname5,
								'item_id'=> $item_id5[$i],
								'recipe_no'=> $recipe_no[$i],
								'category_id'=> $pr_cat_id[$i],
								'branch_id'=> $branch_id5
							);
							$this->db->insert('stock_detail', $bdata4);
						}
					}
				}
			}
			
			$this->db->select('MAX(is_no) as is_no',false);
			$this->db->where('branch_id',$branch_id5);
			$result = $this->db->get('product_issues_creation')->row();
			$is_no = $result->is_no;
			if($is_no == 0){
				$is_no = 1;
			}
			else{
				$is_no = $is_no+1;
			}
			$issue_no = "ISSU"."/".$branchname5."/".$outlet_branch5."/".$is_no;
						
			$data = array('is_no'=> $is_no,
				'issue_no'=> $issue_no,
				'issue_date'=> $issue_date,
				'issue_time'=> $issue_time,
				'outlet'=> $dept5,
				'branchname'=> $branchname5,
				'request_id'=> $req_id5,
				'issue_status'=> 'Pending',
				'total_amount'=> $gtotal5,
				'user_name'=> $uname5,
				'branch_id'=> $branch_id5
			);
			$this->db->insert('product_issues_creation', $data);
			$isid = $this->db->insert_id();
			
			
			//insert of items
			$icount = count($item_name5);
			for($j=0;$j<$icount;$j++)
			{				
				if($inward_quantity5[$j]!='')
				{
					$q1 = $this->db->query("select * from recipe where recipe_id='$item_id5[$j]'");
					if($q1->num_rows() > 0)
					{
						$row = $q1->row_array();
						$qty[$j] = $row['production_stock'];
						$qty1[$j] = $qty[$j] - $inward_quantity5[$j];
						
						$q2 = $this->db->query("UPDATE recipe set production_stock='$qty1[$j]' WHERE  recipe_id='$item_id5[$j]'");
						
						$data1 = array(
							'issue_item_name'=> $item_name5[$j],
							'issue_uom'=> $uom5[$j],
							'issued_qty'=> $inward_quantity5[$j],
							'price'=> $price5[$j],
							'basic_price'=> $tot_basic5[$j],
							'tax'=> $tax5[$j],
							'tax_amount'=> $tax_amt5[$j],
							'total_price'=> $total_price5[$j],
							'issue_remarks'=> $remarks5[$j],
							'issue_id'=> $isid,
							'request_item_id'=> $req_item_id5[$j],
							'recipe_id'=> $item_id5[$j],
							'recipe_no'=> $recipe_no5[$j],
							'pr_cat_id'=> $cat_id5[$j],
							'rcv_status'=> 'Pending'
						);
						$this->db->insert('product_issues_item', $data1);
						$isitid = $this->db->insert_id();
						
						$data2 = array(
							'item_name'=> $item_name5[$j],
							'trans_ref_no'=> $issue_no,
							'transaction_date'=> $issue_date,
							'opening_stock'=> $qty[$j],
							'out_qty'=> $inward_quantity5[$j],
							'closing_stock'=> $qty1[$j],
							'last_modified'=> $lm,
							'branchname'=> $branchname5,
							'item_id'=> $item_id5[$j],
							'recipe_no'=> $recipe_no5[$j],
							'category_id'=> $pr_cat_id5[$j],
							'branch_id'=> $branch_id5
						);
						$this->db->insert('stock_detail', $data2);
						
						$rc_qty[$j] = $inward_quantity5[$j] + $received_qty5[$j];
						$q3 = $this->db->query("update product_request_item set recieved_qty='$rc_qty[$j]' where request_item_id='$req_item_id5[$j]'");
						
						if($rc_qty[$j] == $req_qty5[$j] && $inward_quantity5[$j]!='') {
							$q4 = $this->db->query("update product_request_item set status='Closed' where request_item_id='$req_item_id5[$j]'");
						}
						
						$q6 = $this->db->query("SELECT count(*) as `num` FROM product_request_item where request_id='$req_id5'");
						if($q6->num_rows() > 0)
						{
							$row1 = $q6->row_array();
							$count1 = $row1['num'];
						}
						$q7 = $this->db->query("SELECT count(*) as `num1` FROM product_request_item where status='Closed' and request_id='$req_id5'");
						if($q7->num_rows() > 0)
						{
							$row2 = $q7->row_array();
							$count2 = $row2['num1'];
						}
						if($count1 == $count2 ) {
							$q8 = $this->db->query("update product_request set issue_status='Closed' where request_id='$req_id5'");
						}
					}
				}
			}
			//return $isid;
		}
		
		public function getIssuetList($branch_id)
		{
			$query = $this->db->query("SELECT *, DATE_FORMAT(I.issue_date, '%d-%m-%Y') as issue_date,DATE_FORMAT(R.request_date, '%d-%m-%Y') as request_date FROM product_request R inner join product_issues_creation I on R.request_id=I.request_id where I.branch_id='$branch_id' ORDER BY I.issue_id desc");
			return $query->result();
		}
				
		public function getIssue($isid)
		{
			$query = $this->db->query("SELECT *,DATE_FORMAT(I.issue_date, '%d-%m-%Y') as issue_date,DATE_FORMAT(R.request_date, '%d-%m-%Y') as request_date,R.branchname as out_branch FROM product_request R inner join product_issues_creation I on R.request_id=I.request_id where I.issue_id='$isid'");
			return $query->result();
		}
		
		public function getIssueItem($isid)
		{
			$query = $this->db->query("SELECT * FROM product_request R inner join product_request_item RI on R.request_id=RI.request_id inner join product_issues_item PI on RI.request_item_id=PI.request_item_id where PI.issue_id='$isid' and PI.issued_qty !=''");
			return $query->result();
		}
				
		public function getRequesIssuetLists($req_id)
		{
			$query = $this->db->query("SELECT *,DATE_FORMAT(R.request_date, '%d-%m-%Y') as request_date,DATE_FORMAT(I.issue_date, '%d-%m-%Y') as issue_date FROM product_request R inner join product_issues_creation I on R.request_id=I.request_id where I.request_id='$req_id'");
			return $query->result();
		}
		
		public function getIssuedItemDetail($isid)
		{
			$query = $this->db->query("SELECT *, RI.recipe_id as itm_id,(RI.required_qty-RI.recieved_qty) as item_balance_qty FROM product_request R inner join product_request_item RI on  R.request_id=RI.request_id inner join product_issues_item PI on RI.request_item_id=PI.request_item_id inner join  recipe RC on PI.recipe_id=RC.recipe_id where PI.issue_id='$isid'");
			return $query->result();
		}
		
		public function addInward($postdata)
		{
			extract($postdata);
			$inward_date = date("Y-m-d");
			$inward_time = date("h:i A");
			$lm=date("Y-m-dH:i:s",time());
			
			$this->db->select('MAX(rec_no) as rec_no',false);
			$this->db->where('branch_id',$branch_id);
			$result = $this->db->get('product_req_rec')->row();
			$rec_no = $result->rec_no;
			if($rec_no == 0){
				$rec_no = 1;
			}
			else{
				$rec_no = $rec_no+1;
			}
			$receipt_no = "PR/IN"."/".$branchname."/".$rec_no;
						
			$data = array('rec_no'=> $rec_no,
				'req_rec_no'=> $receipt_no,
				'receipt_date'=> $inward_date,
				'receipt_time'=> $inward_time,
				'branchname'=> $branchname,
				'dept'=> $dept,
				'request_id'=> $req_id,
				'issue_id'=> $iss_id,
				'total_amount'=> $grand_total,
				'branch_id'=> $branch_id
			);
			$this->db->insert('product_req_rec', $data);
			$inid = $this->db->insert_id();
			
			
			//insert of items
			$icount = count($item_name);
			for($j=0;$j<$icount;$j++)
			{				
				if($in_quantity[$j]!='')
				{
					$qty[$j] = $in_quantity[$j] + $received_qty[$j];
					$qty2[$j] = $in_quantity[$j] + $rec_issue_qty[$j];
					
					$q1 = $this->db->query("update product_request_item set receipt_qty='$qty[$j]' where request_item_id='$req_item_id[$j]'");
					$q2 = $this->db->query("update product_issues_item set rec_issue_qty='$qty2[$j]' where issue_order_id='$issue_item_id[$j]'");
					
					$q3 = $this->db->query("select * from recipe where recipe_id='$item_id[$j]'");
					if($q3->num_rows() > 0)
					{
						$row = $q3->row_array();
						$stock[$j] = $row['production_stock'];
						$stk[$j] = $stock[$j] + $in_quantity[$j];
						
						$q2 = $this->db->query("UPDATE recipe set production_stock='$stk[$j]' WHERE  recipe_id='$item_id[$j]'");
						
						$data1 = array(
							'item_name'=> $item_name[$j],
							'quantity'=> $in_quantity[$j],
							'issued_qty'=> $issued_qty[$j],
							'price'=> $price[$j],
							'total_price'=> $total_price[$j],
							'req_rec_id'=> $inid,
							'request_item_id'=> $req_item_id[$j],
							'issue_order_id'=> $issue_item_id[$j],
							'recipe_id'=> $item_id[$j],
							'recipe_no'=> $itm_id[$j],
							'pr_cat_id'=> $cat_id[$j]
						);
						$this->db->insert('product_req_rec_item', $data1);
						$initid = $this->db->insert_id();
						
						$data2 = array(
							'item_name'=> $item_name[$j],
							'trans_ref_no'=> $receipt_no,
							'transaction_date'=> $inward_date,
							'opening_stock'=> $stock[$j],
							'in_qty'=> $in_quantity[$j],
							'closing_stock'=> $stk[$j],
							'last_modified'=> $lm,
							'branchname'=> $branchname,
							'item_id'=> $item_id[$j],
							'recipe_no'=> $itm_id[$j],
							'category_id'=> $cat_id[$j],
							'branch_id'=> $branch_id
						);
						$this->db->insert('stock_detail', $data2);
						
						if(empty($in_quantity[$j])) {
							$q3 = $this->db->query("DELETE FROM product_req_rec WHERE receipt_item_id='$initid'");
						}
						
						$q4 = $this->db->query("select recieved_qty,receipt_qty from product_request_item where request_item_id='$req_item_id[$j]'");
						if($q4->num_rows() > 0)
						{
							$row2 = $q4->row_array();
							$issued_quantity[$j] = $row2['receipt_qty'];
						}
						
						if($issued_quantity[$j] == $req_qty[$j] && $in_quantity[$j]!='') {
							$q5 = $this->db->query("update product_request_item set receipt_status='Closed' where request_item_id='$req_item_id[$j]'");
						}
						
						$q6 = $this->db->query("SELECT count(*) as `num` FROM product_request_item where request_id='$req_id'");
						if($q6->num_rows() > 0)
						{
							$row1 = $q6->row_array();
							$count1 = $row1['num'];
						}
						$q7 = $this->db->query("SELECT count(*) as `num1` FROM product_request_item where receipt_status='Closed' and request_id='$req_id'");
						if($q7->num_rows() > 0)
						{
							$row2 = $q7->row_array();
							$count2 = $row2['num1'];
						}
						if($count1 == $count2 ) {
							$q8 = $this->db->query("update product_request set receipt_status='Closed' where request_id='$req_id'");
							$q9 = $this->db->query("update product_request set status='Closed' where request_id='$req_id'");
						}
						$q10 = $this->db->query("select issued_qty,rec_issue_qty from product_issues_item where issue_order_id='$issue_item_id[$j]'");
						if($q10->num_rows() > 0)
						{
							$row3 = $q10->row_array();
							$isd_qty[$j] = $row3['issued_qty'];
							$rcvd_qty[$j] = $row3['rec_issue_qty'];
							
							if($isd_qty[$j] == $rcvd_qty[$j])
							{
								$q11 = $this->db->query("update product_issues_item set rcv_status='Closed' where issue_order_id='$issue_item_id[$j]'");
							}
							
							$q12 = $this->db->query("SELECT count(*) as `num` FROM product_issues_item where issue_id='$iss_id'");
							if($q12->num_rows() > 0)
							{
								$row4 = $q12->row_array();
								$count3 = $row4['num'];
							}
							$q13 = $this->db->query("SELECT count(*) as `num1` FROM product_issues_item where rcv_status='Closed' and issue_id='$iss_id'");
							if($q13->num_rows() > 0)
							{
								$row5 = $q13->row_array();
								$count4 = $row5['num1'];
							}
							if($count3 == $count4 ) {
								$q14 = $this->db->query("update product_issues_creation set issue_status='Accepted' where issue_id='$iss_id'");
							}
						}
					}
				}
			}
			return $inid;
		}
		
		public function getInwardtList($branch_id) {
			$query = $this->db->query("SELECT *, DATE_FORMAT(R.request_date, '%d-%m-%Y') as request_date,DATE_FORMAT(I.issue_date, '%d-%m-%Y') as issue_date,DATE_FORMAT(RC.receipt_date, '%d-%m-%Y') as receipt_date FROM product_request R inner join product_issues_creation I on R.request_id=I.request_id inner join product_req_rec RC on I.issue_id=RC.issue_id where RC.branch_id='$branch_id' ORDER BY RC.req_rec_id desc");
			return $query->result();
		}
		
		public function getInward($inid) {
			$query = $this->db->query("SELECT *,DATE_FORMAT(R.request_date, '%d-%m-%Y') as request_date,DATE_FORMAT(RC.receipt_date, '%d-%m-%Y') as receipt_date,DATE_FORMAT(PI.issue_date, '%d-%m-%Y') as issue_date FROM product_request R inner join product_issues_creation PI on R.request_id=PI.request_id inner join product_req_rec RC on PI.issue_id=RC.issue_id where RC.req_rec_id='$inid'");
			return $query->result();
		}
		
		public function getInwardItem($inid) {
			$query = $this->db->query("SELECT *,PS.issued_qty as iss_qty FROM product_request P inner join product_request_item PI on P.request_id=PI.request_id inner join product_issues_item PS on PI.request_item_id=PS.request_item_id inner join product_req_rec_item PC on PS.issue_order_id=PC.issue_order_id where PC.req_rec_id='$inid' and PC.quantity != ''");
			return $query->result();
		}
		
		public function getRequestClosedList($branch_id) {
			$query = $this->db->query("SELECT *, DATE_FORMAT(request_date, '%d-%m-%Y') as request_date FROM product_request where branch_id='$branch_id' and receipt_status='Closed' ORDER BY request_id desc");
			return $query->result();
		}
		
		public function getPrdReceipt($rid) {
			$query = $this->db->query("SELECT *,DATE_FORMAT(R.request_date, '%d-%m-%Y') as request_date,DATE_FORMAT(RC.receipt_date, '%d-%m-%Y') as receipt_date,DATE_FORMAT(I.issue_date, '%d-%m-%Y') as issue_date FROM product_request R inner join product_issues_creation I on R.request_id=I.request_id inner join product_req_rec RC on I.issue_id=RC.issue_id inner join product_req_rec_item RI on RC.req_rec_id=RI.req_rec_id where RC.request_id='$rid' group by RI.req_rec_id ORDER BY RC.req_rec_id desc");
			return $query->result();
		}
		
		public function getIssueClosedList($uname) {
			$query = $this->db->query("SELECT *, DATE_FORMAT(R.request_date, '%d-%m-%Y') as request_date FROM product_request R inner join user L on R.branch_id=L.branch_id where R.status='Closed' and R.dept='$uname' ORDER BY R.request_id desc");
			return $query->result();
		}
		
		public function getPrdRequestIss($rid) {
			$query = $this->db->query("SELECT *, DATE_FORMAT(P.request_date, '%d-%m-%Y') as request_date FROM product_request P inner join user L on P.branch_id=L.branch_id where P.request_id='$rid'");
			return $query->result();
		}
		
		public function getPrdIssues($rid) {
			$query = $this->db->query("SELECT *,DATE_FORMAT(R.request_date, '%d-%m-%Y') as request_date,DATE_FORMAT(I.issue_date, '%d-%m-%Y') as issue_date,R.branchname as branch FROM product_request R inner join product_issues_creation I on R.request_id=I.request_id inner join product_issues_item IT on I.issue_id=IT.issue_id where I.request_id='$rid' group by I.issue_id ORDER BY I.issue_id desc");
			return $query->result();
		}
		
		public function getIssuePendingList($uname) {
			$query = $this->db->query("SELECT *, DATE_FORMAT(P.request_date, '%d-%m-%Y') as request_date,DATE_FORMAT(P.approval_date, '%d-%m-%Y') as approval_date FROM product_request P inner join user L on P.branch_id=L.branch_id where (P.status='Pending' or status='Approved') and P.dept='$uname' ORDER BY request_id desc");
			return $query->result();
		}
		
		public function get_santhe_req_item($req_date,$dept)
		{
			$req_date = date("Y-m-d", strtotime($req_date));
			$query = $this->db->query("SELECT DISTINCT(PI.item_name) from product_request as P,product_request_item as PI where P.request_id=PI.request_id and P.dept='$dept' and P.receipt_status='Pending' and (P.request_date='$req_date') and (P.branchname like '%ST%') group by P.branchname,PI.item_name order by PI.item_name");
			return $query->result();
		}

		public function get_santhe_req_qty($req_date,$dept)
		{
			$req_date = date("Y-m-d", strtotime($req_date));
			$query = $this->db->query("SELECT PI.item_name,sum(PI.required_qty) as required_qty,P.branchname from product_request as P,product_request_item as PI where P.request_id=PI.request_id and P.dept='$dept' and P.receipt_status='Pending' and (P.request_date='$req_date') and (P.branchname like '%ST%') group by P.branchname,PI.item_name order by PI.item_name");
			return $query->result();
		}

		public function get_req_item_special($req_date,$dept)
		{
			$req_date = date("Y-m-d", strtotime($req_date));
			$query = $this->db->query("SELECT DISTINCT(PI.item_name) from product_request as P,product_request_item as PI where P.request_id=PI.request_id and P.dept='$dept' and (P.request_date='$req_date') and (P.branchname like '%CTR%' or P.branchname like '%SVC%') and P.orders='Special Order' group by P.branchname,PI.item_name order by PI.item_name");
			return $query->result();
		}
		public function get_req_qty_special($req_date,$dept)
		{
			$req_date = date("Y-m-d", strtotime($req_date));
			$query = $this->db->query("SELECT PI.item_name,sum(PI.required_qty) as required_qty,P.branchname from product_request as P,product_request_item as PI where P.request_id=PI.request_id and P.dept='$dept' and (P.request_date='$req_date') and (P.branchname like '%CTR%' or P.branchname like '%SVC%') and P.orders='Special Order' group by P.branchname,PI.item_name order by PI.item_name");
			return $query->result();
		}
		public function get_req_item_regular($req_date,$dept)
		{
			$req_date = date("Y-m-d", strtotime($req_date));
			//$query = $this->db->query("SELECT DISTINCT(PI.item_name) from product_request as P,product_request_item as PI where P.request_id=PI.request_id and P.dept='$dept' and (P.request_date='$req_date') and (P.branchname like '%CTR%' or P.branchname like '%SVC%') and P.orders='Regular Order' and P.status='Pending' group by P.branchname,PI.item_name order by PI.item_name");
			
			$query = $this->db->query("select DISTINCT(PI.item_name) from product_request as P,product_request_item as PI where P.request_id=PI.request_id and P.dept='$dept' and (P.request_date='$req_date') and (P.branchname like '%CTR%' or P.branchname like '%SVC%') and P.orders='Regular Order' and P.status='Pending' group by P.branchname,PI.item_name order by PI.item_name");
			return $query->result();
		}

		public function get_req_qty_regular($req_date,$dept)
		{
			$req_date = date("Y-m-d", strtotime($req_date));
			$query = $this->db->query("SELECT PI.item_name,sum(PI.required_qty) as required_qty,P.branchname from product_request as P,product_request_item as PI where P.request_id=PI.request_id and P.dept='$dept' and (P.request_date='$req_date') and (P.branchname like '%CTR%' or P.branchname like '%SVC%') and P.orders='Regular Order' and P.status='Pending' group by P.branchname,PI.item_name order by PI.item_name");
			
			return $query->result();
		}
		
			public function get_pr_request_list_for_issue($uname) {
			$query = $this->db->query("SELECT *, DATE_FORMAT(P.request_date, '%d-%m-%Y') as request_date FROM product_request P where P.status='Pending' and P.dept='Kitchen'  ORDER BY request_id desc");
			return $query->result();
			//P.dept='$uname'
		}
		
		public function get_product_request_detail($req_id) {
			$query = $this->db->query("SELECT *,DATE_FORMAT(request_date, '%d-%m-%Y') as request_date FROM product_request where request_id='$req_id'");
			return $query->result();
		}
		
		public function get_product_issue_item($req_id,$branch) {
			$query = $this->db->query("SELECT *, (PI.required_qty-PI.recieved_qty) as item_balance_qty FROM product_request P inner join product_request_item PI on P.request_id=PI.request_id  where PI.request_id='$req_id'");
			return $query->result();
		}
		
		//issueing item for request
		public function add_product_Issue($postdata)
		{
			extract($postdata);
			$branchname = $_SESSION['branch_name'];
			$user=$_SESSION['username'];
			$issue_date = date("Y-m-d", strtotime($issue_date));
			$lm=date("Y-m-dH:i:s",time());
			$time=date("h:i A");
			$cur_date=date("Y-m-d");
			
			if($dept=='NB'){
			    $this->db->select('MAX(is_no) as is_no',false);
    			$this->db->where('branch_id',$branch_id);
    			$this->db->where('invoice_type','tax_invoice23');
    			$result = $this->db->get('product_issues_creation')->row();
    			$is_no = $result->is_no;
    			if($is_no == 0){
    				$is_no = 1;
    			}
    			else{
    				$is_no = $is_no+1;
    			}
    			$issue_no = "TISSU"."/".$branchname."/".$is_no;
    			
    			
    			$this->db->select('MAX(in_no) as in_no',false);
    			$this->db->where('branch_id',$branch_id);
    			$this->db->where('invoice_type','tax_invoice23');
    			$result = $this->db->get('product_issues_creation')->row();
    			$in_no = $result->in_no;
    			if($in_no == 0){
    				$in_no = 1;
    			}
    			else{
    				$in_no = $in_no+1;
    			}
    			
    			$number = sprintf('%03d',$in_no);
    		    $dc_no = 'By2CNH-202324-'.$number;
    		    $invice_type='tax_invoice23';
			}else{
			    
			    $this->db->select('MAX(is_no) as is_no',false);
			$this->db->where('branchname',$branchname);
			$this->db->where('invoice_type','DC_invoice23');
			$result = $this->db->get('product_issues_creation')->row();
			$is_no = $result->is_no;
			if($is_no == 0){
				$is_no = 1;
			}
			else{
				$is_no = $is_no+1;
			}
			$issue_no = "ISSU"."/".$branchname."/".$outlet_branch."/".$is_no;
			
			
			    $this->db->select('MAX(in_no) as in_no',false);
    			$this->db->where('branchname',$branchname);
    			$this->db->where('invoice_type','DC_invoice23');
    			$result = $this->db->get('product_issues_creation')->row();
    			$in_no = $result->in_no;
    			if($in_no == 0){
    				$in_no = 1;
    			}
    			else{
    				$in_no = $in_no+1;
    			}
    			
    			$number = sprintf('%03d',$in_no);
    		    //$dc_no = 'By2CNH-202324-'.$number;
    		    $dc_no = "DC-".$branchname.'-'.$outlet_branch.'-'.$number;
    		    $invice_type='DC_invoice23';
			}
			
			
			
			$inward_date = date("Y-m-d");
			$inward_time = date("h:i A");
			$lm=date("Y-m-dH:i:s",time());
			
			$s1 = $this->db->query("insert into product_issues_creation(is_no,issue_no,in_no,invoice_no,issue_date,issue_time,outlet,branchname,request_id,issue_status,total_amount,user_name,branch_id,vehicle_id,vehicle_name,invoice_type,entry_date) values ('$is_no','$issue_no','$in_no','$dc_no','$issue_date','$time','$dept','$branchname','$req_id','Pending','$grand_total','$user','$branch_id','$vehicle_id','$vehicle_name','$invice_type','$cur_date')");
			$is_id = $this->db->insert_id();
			
			$this->db->select('MAX(rec_no) as rec_no',false);
			$this->db->where('branch_id',$branch_id);
			$result = $this->db->get('product_req_rec')->row();
			$rec_no = $result->rec_no;
			if($rec_no == 0){
				$rec_no = 1;
			}
			else{
				$rec_no = $rec_no+1;
			}
			$receipt_no = "PR/IN"."/".$branchname."/".$rec_no;
			
			$k=0;
			$gtotal=0;
			for($j=0;$j<count($inward_quantity);$j++)
			{
				if($inward_quantity[$j]!='0' && $inward_quantity[$j]!='')
				{
					$k=$k+1;
				    $totalprice[$j] = round(((float)$price[$j] * (float)$inward_quantity[$j]),2);
    				$gtotal=$gtotal+$totalprice[$j];
				}
			}
			if($k>0)
			{
    			$data = array('rec_no'=> $rec_no,
    				'req_rec_no'=> $receipt_no,
    				'receipt_date'=> $inward_date,
    				'receipt_time'=> $inward_time,
    				'branchname'=> $outlet_branch,
    				'dept'=> $user,
    				'request_id'=> $req_id,
    				'issue_id'=> $is_id,
    				'total_amount'=> $grand_total,
    				'branch_id'=> $outlet_branch_id
    			);
    			$this->db->insert('product_req_rec', $data);
    			$inid = $this->db->insert_id();
			}
			
			
						
			for($i=0;$i<count($item_name);$i++) {
				if($inward_quantity[$i]!='0' && $inward_quantity[$i]!='')
			    {
    				$s3=$this->db->query("select * from recipe where recipe_id='$item_id[$i]'");
    				//if($s3->num_rows() > 0)
    			//	{
					$res = $s3->row_array();
					//$res = mysqli_fetch_assoc($sql3);
					$qty[$i] = $res['production_stock'];
					$hsncode[$i] = $res['hsn_code'];
					$qty1[$i] = (float)$qty[$i] - (float)$inward_quantity[$i];
					$recipe_no[$i] = $res['recipe_no'];
					$pr_cat_id[$i] = $res['pr_cat_id'];
					
					$this->db->query("insert into product_issues_item(issue_item_name,hsn_code,issue_uom,issued_qty,price,basic_price,tax,tax_amount,total_price,issue_remarks,issue_id,request_item_id,recipe_id,recipe_no,pr_cat_id,rcv_status) values ('$item_name[$i]','$hsncode[$i]','$uom[$i]','$inward_quantity[$i]','$price[$i]','$tot_basic[$i]','$tax[$i]','$tax_amt[$i]','$total_price[$i]','$remarks[$i]','$is_id','$req_item_id[$i]','$item_id[$i]','$recipe_no[$i]','$pr_cat_id[$i]','Pending')");
					$issue_item_id = $this->db->insert_id();
					
					$sql4 =  $this->db->query("UPDATE recipe set production_stock='$qty1[$i]' WHERE  recipe_id='$item_id[$i]'");
				//}
			/*	if($inward_quantity[$i]!='0' && $inward_quantity[$i]!='')
				{*/
					$sql5 = $this->db->query("insert into stock_detail(item_name,trans_ref_no,transaction_date,opening_stock,out_qty,closing_stock,last_modified,branchname,item_id,recipe_no,category_id,branch_id)values('$item_name[$i]','$issue_no','$issue_date','$qty[$i]','$inward_quantity[$i]','$qty1[$i]','$lm','$branchname','$item_id[$i]','$recipe_no[$i]','$pr_cat_id[$i]','$branch_id')");
				}
				else{
				    //echo '0';
				}
				$rc_qty[$i] = (float)$inward_quantity[$i] + (float)$received_qty[$i];
											
				$sql6 =  $this->db->query("update product_request_item set recieved_qty='$rc_qty[$i]' where request_item_id='$req_item_id[$i]'");
																				
				if (empty($inward_quantity[$i])) {
					//$sql7 =  $this->db->query("DELETE FROM product_issues_item WHERE issue_order_id='$issue_item_id'");	
				}
											
				if($rc_qty[$i] == $quantity[$i] && $inward_quantity[$i]!='') {
					$status = "Closed";
					$sql9 =  $this->db->query("update product_request_item set status='$status' where request_item_id='$req_item_id[$i]'");
				}
				else {
					//echo "failure|0";
				}
												
				$sql10 = $this->db->query("SELECT count(*) as `num` FROM product_request_item where request_id='$req_id'");
				
				$row = $sql10->row_array();//mysqli_fetch_array($sql10);
				
				$count1 = $row['num'];
				
				$sql11 = $this->db->query("SELECT count(*) as `num1` FROM product_request_item where status='Closed' and request_id='$req_id'");
				
				$row1 = $sql11->row_array();//mysqli_fetch_array($sql11);
				
				$count2 = $row1['num1'];
				
				if($count1 == $count2 ) {
				
					$status = "Closed";
					$sql12 = $this->db->query("update product_request set issue_status='$status' where request_id='$req_id'");
									
				}
				else {
					$status = "Pending";
					$sql13 = $this->db->query("update product_request set issue_status='$status' where request_id='$req_id'");
				}
				
				
				//inward
				if($inward_quantity[$i] != '0' && $inward_quantity[$i] != '')
    				{
    					
    					
    					$s1 = $this->db->query("SELECT * FROM product_issues_item where issue_order_id='$issue_item_id'");
				
        				$r1 = $s1->row_array();//mysqli_fetch_array($sql11);
        				
        				$rec_issue_qty1[$i] = $r1['rec_issue_qty'];
				        $qty[$i] = $inward_quantity[$i] + $received_qty[$i];
    					$qty2[$i] = $inward_quantity[$i] + $rec_issue_qty1[$i];
    					$q1 = $this->db->query("update product_request_item set receipt_qty='$qty[$i]' where request_item_id='$req_item_id[$i]'");
    					$q2 = $this->db->query("update product_issues_item set rec_issue_qty='$qty2[$i]' where issue_order_id='$issue_item_id'");
    					
    					$q3 = $this->db->query("select * from recipe where recipe_no='$recipe_no[$i]' and branchname='$outlet_branch'");
    					if($q3->num_rows() > 0)
    					{
    						$row = $q3->row_array();
    						$stock1[$i] = $row['production_stock'];
    						$stk1[$i] = $stock1[$i] + $inward_quantity[$i];
    						$recipe_id_b[$i] = $res['recipe_id'];
					        $pr_cat_id_b[$i] = $res['pr_cat_id'];
    					
    						$q2 = $this->db->query("UPDATE recipe set production_stock='$stk1[$i]' WHERE  recipe_no='$recipe_no[$i]' and branchname='$outlet_branch'");
    						
    						//calculation
            		        $totalprice[$i] = round(((float)$price[$i] * (float)$inward_quantity[$i]),2);
            			   
    						$data1 = array(
    							'item_name'=> $item_name[$i],
    							'quantity'=> $inward_quantity[$i],
    							'issued_qty'=> $inward_quantity[$i],
    							'price'=> $price[$i],
    							'total_price'=> $totalprice[$i],
    							'req_rec_id'=> $inid,
    							'request_item_id'=> $req_item_id[$i],
    							'issue_order_id'=> $issue_item_id,
    							'recipe_id'=> $recipe_id_b[$i],
    							'recipe_no'=> $recipe_no[$i],
    							'pr_cat_id'=> $pr_cat_id_b[$i]
    						);
    						$this->db->insert('product_req_rec_item', $data1);
    						$initid = $this->db->insert_id();
    						
    						$data2 = array(
    							'item_name'=> $item_name[$i],
    							'trans_ref_no'=> $receipt_no,
    							'trans_type'=>'PrInward',
    							'transaction_date'=> $inward_date,
    							'opening_stock'=> $stock1[$i],
    							'in_qty'=> $inward_quantity[$i],
    							'closing_stock'=> $stk1[$i],
    							'last_modified'=> $lm,
    							'branchname'=> $outlet_branch,
    							'item_id'=> $recipe_id_b[$i],
    							'recipe_no'=> $recipe_no[$i],
    							'category_id'=> $pr_cat_id_b[$i],
    							'branch_id'=> $outlet_branch_id
    						);
    						$this->db->insert('stock_detail', $data2);
    						
    						if(empty($inward_quantity[$i])) {
    							$q3 = $this->db->query("DELETE FROM product_req_rec WHERE receipt_item_id='$initid'");
    						}
    						
    						$q4 = $this->db->query("select recieved_qty,receipt_qty from product_request_item where request_item_id='$req_item_id[$i]'");
    						if($q4->num_rows() > 0)
    						{
    							$row2 = $q4->row_array();
    							$issued_quantity[$i] = $row2['receipt_qty'];
    						}
    						
    						if($issued_quantity[$i] == $inward_quantity[$i] && $inward_quantity[$i]!='') {
    							$q5 = $this->db->query("update product_request_item set receipt_status='Closed' where request_item_id='$req_item_id[$i]'");
    						}
    						
    						$q6 = $this->db->query("SELECT count(*) as `num` FROM product_request_item where request_id='$req_id'");
    						if($q6->num_rows() > 0)
    						{
    							$row1 = $q6->row_array();
    							$count1 = $row1['num'];
    						}
    						$q7 = $this->db->query("SELECT count(*) as `num1` FROM product_request_item where receipt_status='Closed' and request_id='$req_id'");
    						if($q7->num_rows() > 0)
    						{
    							$row2 = $q7->row_array();
    							$count2 = $row2['num1'];
    						}
    						if($count1 == $count2 ) {
    							$q8 = $this->db->query("update product_request set receipt_status='Closed' where request_id='$req_id'");
    							//$q14 = $this->db->query("update product_request set mclose_status='Approved' where request_id='$req_id'");
    							$q9 = $this->db->query("update product_request set status='Closed' where request_id='$req_id'");
    						}
    						$q10 = $this->db->query("select issued_qty,rec_issue_qty from product_issues_item where issue_order_id='$issue_item_id'");
    						if($q10->num_rows() > 0)
    						{
    							$row3 = $q10->row_array();
    							$isd_qty[$i] = $row3['issued_qty'];
    							$rcvd_qty[$i] = $row3['rec_issue_qty'];
    							
    							if($isd_qty[$i] == $rcvd_qty[$i])
    							{
    								$q11 = $this->db->query("update product_issues_item set rcv_status='Closed' where issue_order_id='$issue_item_id'");
    							}
    							
    							$q12 = $this->db->query("SELECT count(*) as `num` FROM product_issues_item where issue_id='$is_id'");
    							if($q12->num_rows() > 0)
    							{
    								$row4 = $q12->row_array();
    								$count3 = $row4['num'];
    							}
    							$q13 = $this->db->query("SELECT count(*) as `num1` FROM product_issues_item where rcv_status='Closed' and issue_id='$is_id'");
    							if($q13->num_rows() > 0)
    							{
    								$row5 = $q13->row_array();
    								$count4 = $row5['num1'];
    							}
    							if($count3 == $count4 ) {
    								$q14 = $this->db->query("update product_issues_creation set issue_status='Accepted' where issue_id='$is_id'");
    								
    							}
    						}
    					}
    				}
				
				
				
			}
			
			return $is_id;
		}
		
		public function get_pr_issue($issue_id) {
			$query = $this->db->query("SELECT *,DATE_FORMAT(I.issue_date, '%d-%m-%Y') as issue_date,DATE_FORMAT(R.request_date, '%d-%m-%Y') as request_date FROM product_request R inner join product_issues_creation I on R.request_id=I.request_id where I.issue_id='$issue_id'");
			return $query->result();
		}
		
		public function get_pr_issue_item($issue_id) {
			$query = $this->db->query("SELECT * FROM product_request R inner join product_request_item RI on R.request_id=RI.request_id inner join product_issues_item PI on RI.request_item_id=PI.request_item_id where PI.issue_id='$issue_id' and PI.issued_qty !=''");
			return $query->result();
		}
		
			//issueing item for request
		public function add_product_OutletIssue($postdata)
		{
			extract($postdata);
			$branchname = $_SESSION['branch_name'];
			$user=$_SESSION['username'];
			$issue_date = date("Y-m-d", strtotime($issue_date));
			$lm=date("Y-m-dH:i:s",time());
			$time=date("h:i A");
			$cur_date=date("Y-m-d");
			
            $this->db->select('MAX(is_no) as is_no',false);
			$this->db->where('branchname',$branchname);
			$result = $this->db->get('product_issues_creation')->row();
			$is_no = $result->is_no;
			if($is_no == 0){
				$is_no = 1;
			}
			else{
				$is_no = $is_no+1;
			}
			$issue_no = "ISSU"."/".$branchname."/".$outlet_branch."/".$is_no;
			
			$inward_date = date("Y-m-d");
			$inward_time = date("h:i A");
			$lm=date("Y-m-dH:i:s",time());
			
			$s1 = $this->db->query("insert into product_issues_creation(is_no,issue_no,issue_date,issue_time,outlet,branchname,request_id,issue_status,total_amount,user_name,branch_id) values ('$is_no','$issue_no','$issue_date','$time','$dept','$branchname','$req_id','Pending','$grand_total','$user','$branch_id')");
			$is_id = $this->db->insert_id();
			
			$k=0;
			$gtotal=0;
			for($j=0;$j<count($inward_quantity);$j++)
			{
				if($inward_quantity[$j]!='0' && $inward_quantity[$j]!='')
				{
					$k=$k+1;
				    $totalprice[$j] = round(((float)$price[$j] * (float)$inward_quantity[$j]),2);
    				$gtotal=$gtotal+$totalprice[$j];
				}
			}
						
			for($i=0;$i<count($item_name);$i++) {
				if($inward_quantity[$i]!='0' && $inward_quantity[$i]!='')
			    {
    				$s3=$this->db->query("select * from recipe where recipe_id='$item_id[$i]'");
    				//if($s3->num_rows() > 0)
    			//	{
					$res = $s3->row_array();
					//$res = mysqli_fetch_assoc($sql3);
					$qty[$i] = $res['production_stock'];
					$hsncode[$i] = $res['hsn_code'];
					$qty1[$i] = (float)$qty[$i] - (float)$inward_quantity[$i];
					$recipe_no[$i] = $res['recipe_no'];
					$pr_cat_id[$i] = $res['pr_cat_id'];
					
					$this->db->query("insert into product_issues_item(issue_item_name,issue_uom,issued_qty,price,basic_price,tax,tax_amount,total_price,issue_remarks,issue_id,request_item_id,recipe_id,recipe_no,pr_cat_id,rcv_status) values ('$item_name[$i]','$uom[$i]','$inward_quantity[$i]','$price[$i]','$tot_basic[$i]','$tax[$i]','$tax_amt[$i]','$total_price[$i]','$remarks[$i]','$is_id','$req_item_id[$i]','$item_id[$i]','$recipe_no[$i]','$pr_cat_id[$i]','Pending')");
					$issue_item_id = $this->db->insert_id();
					
					$sql4 =  $this->db->query("UPDATE recipe set production_stock='$qty1[$i]' WHERE  recipe_id='$item_id[$i]'");
				
					$sql5 = $this->db->query("insert into stock_detail(item_name,trans_ref_no,transaction_date,opening_stock,out_qty,closing_stock,last_modified,branchname,item_id,recipe_no,category_id,branch_id)values('$item_name[$i]','$issue_no','$issue_date','$qty[$i]','$inward_quantity[$i]','$qty1[$i]','$lm','$branchname','$item_id[$i]','$recipe_no[$i]','$pr_cat_id[$i]','$branch_id')");
				}
				else{
				    //echo '0';
				}
				$rc_qty[$i] = (float)$inward_quantity[$i] + (float)$received_qty[$i];
											
				$sql6 =  $this->db->query("update product_request_item set recieved_qty='$rc_qty[$i]' where request_item_id='$req_item_id[$i]'");
																				
				if (empty($inward_quantity[$i])) {
					//$sql7 =  $this->db->query("DELETE FROM product_issues_item WHERE issue_order_id='$issue_item_id'");	
				}
											
				if($rc_qty[$i] == $quantity[$i] && $inward_quantity[$i]!='') {
					$status = "Closed";
					$sql9 =  $this->db->query("update product_request_item set status='$status' where request_item_id='$req_item_id[$i]'");
				}
				else {
					//echo "failure|0";
				}
												
				$sql10 = $this->db->query("SELECT count(*) as `num` FROM product_request_item where request_id='$req_id'");
				
				$row = $sql10->row_array();//mysqli_fetch_array($sql10);
				
				$count1 = $row['num'];
				
				$sql11 = $this->db->query("SELECT count(*) as `num1` FROM product_request_item where status='Closed' and request_id='$req_id'");
				
				$row1 = $sql11->row_array();//mysqli_fetch_array($sql11);
				
				$count2 = $row1['num1'];
				
				if($count1 == $count2 ) {
				
					$status = "Closed";
					$sql12 = $this->db->query("update product_request set issue_status='$status' where request_id='$req_id'");
									
				}
				else {
					$status = "Pending";
					$sql13 = $this->db->query("update product_request set issue_status='$status' where request_id='$req_id'");
				}
			}
			
			return $is_id;
		}
		
		 public function addPr_RequestIOF($postdata)
		{
			extract($postdata);
			
            $branch_id = $_SESSION['branch_id'];
            $branchname = $_SESSION['branch_name'];
            $user=$_SESSION['username'];
			$order_date = date("Y-m-d", strtotime($order_date));
			//$delivery_date = date("Y-m-d", strtotime($delivery_date));
			$cur_date = date("Y-m-d");
			$order_time = date("h:i A");
			$this->db->select('MAX(req_no) as req_no',false);
			$this->db->where('branch_id',$branch_id);
			$result = $this->db->get('product_request')->row();
			$req_no = $result->req_no;
			if($req_no == 0){
				$req_no = 1;
			}
			else{
				$req_no = $req_no+1;
			}
			$order_no = $branchname."/PR-REQ/".$req_no;
		
				
			$s1 = $this->db->query("insert into product_request(req_no,pr_req_no,request_date,request_time,dept,branchname,status,branch_id,orders) values ('$req_no','$order_no','$order_date','$order_time','$dept','$branchname','Pending','$branch_id','$orders')");
			$req_id = $this->db->insert_id();
			for($i=0;$i<count($product_name);$i++) {
			    if($quantity[$i] != '0' && $quantity[$i] != '')
				{
				    $s3=$this->db->query("select * from recipe where rname='$product_name[$i]' and branchname='$branchname'");
					$res = $s3->row_array();
					$recipe_id[$i] = $res['recipe_id'];
				    $cate_id[$i] = $res['pr_cat_id'];
				    $recipe_no[$i]=$res['recipe_no'];
				    $flavours[$i]=$res['f_code'];
				    $uoms[$i]=$res['uom'];
				    //$cat_name = $cat_id[$i];
					$s2 =  $this->db->query("insert into product_request_item(item_name,uom,required_qty,remarks,request_id,recipe_id,pr_cat_id,flavour,status,receipt_status,recipe_no) values ('$product_name[$i]','$uoms[$i]','$quantity[$i]','$remarks[$i]','$req_id','$recipe_id[$i]','$cate_id[$i]','$flavours[$i]','Pending','Pending','$recipe_no[$i]')");
				}
			}
			
			return $req_id;
			
		}
		
		public function getIssuetCList($username)
		{
			$query = $this->db->query("SELECT *, DATE_FORMAT(I.issue_date, '%d-%m-%Y') as issue_date,DATE_FORMAT(R.request_date, '%d-%m-%Y') as request_date FROM product_request R inner join product_issues_creation I on R.request_id=I.request_id where I.outlet='$username' and I.request_id!='0' ORDER BY I.issue_id desc");
			return $query->result();
		}
	}
?>