<?php 
	$header_file=APPPATH.'views/include/header.php';
	require($header_file);
	$sidenav_file=APPPATH.'views/include/sidenav.php';
	require($sidenav_file);	?>
  
    <!-- BEGIN: Content-->
    <div class="app-content content">
      <div class="content-overlay"></div>
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-12 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">Report</h3>
            <div class="row breadcrumbs-top d-inline-block">
              <div class="breadcrumb-wrapper col-12">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="#">Home</a>
                  </li>
                  <li class="breadcrumb-item"><a href="#">Report</a>
                  </li>
                  <li class="breadcrumb-item active">Excel Report
                  </li>
                </ol>
              </div>
            </div>
          </div>
          
        </div>
        <div class="content-body"><!-- Basic form layout section start -->
<section id="basic-form-layouts">
	<div class="row justify-content-md-center">
		<div class="col-md-12">
			<div class="card">
				<!--<div class="card-header">
					<h4 class="card-title" id="basic-layout-form-center">Stock Update</h4>
					<a class="heading-elements-toggle"><i class="la la-ellipsis-v font-medium-3"></i></a>
					<div class="heading-elements">
						<ul class="list-inline mb-0">
							<li><a data-action="collapse"><i class="ft-minus"></i></a></li>
							<li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
							<li><a data-action="expand"><i class="ft-maximize"></i></a></li>
							<li><a data-action="close"><i class="ft-x"></i></a></li>
						</ul>
					</div>
				</div>-->
				<div class="card-content collapse show">
					<div class="card-body">
					
					<form method="post" autocomplete="off" action="<?php echo site_url('ExcelReport/exportReport/');?>" method="POST">
                        	<div class="row justify-content-md-center">
							
								<div class="col-md-3">
									<div class="form-group">
										<input class="form-control pickadate datepicker picker__input picker__input--active" type="text" name="from_date"  id="from_date" required data-uk-datepicker="{format:'DD-MM-YYYY'}" placeholder="From Date">
									</div>
								</div>
								<div class="col-md-3">
									<div class="form-group">
										<input class="form-control pickadate datepicker picker__input picker__input--active" type="text" name="to_date"  id="to_date" required data-uk-datepicker="{format:'DD-MM-YYYY'}" placeholder="To Date">
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-group">
										<select id="branch" name="branch" class="form-control select2" >
											<option value="">Branch</option>
											<?php  foreach($branch as $row)
												{
											?>
												<option value="<?php echo $row->branch_name; ?>"><?php echo $row->branch_name; ?></option>
											<?php
												} 
											?>
										</select>
									</div>
								</div>
								<div class="col-md-3">
									<div class="form-group">
									    <?php $uname = $_SESSION['username'];
									    if($uname == 'Master')
									    {
									    ?>
									    <select id="report_type" name="report_type" class="select2" >
											<option value="">Select</option>
											<option value="tmdc_price">TM DC Price</option>
											</select>
										<?php } else { ?>
										<select id="report_type" name="report_type" class="select2" >
											<option value="">Select</option>
											<option value="Purchase Order">Purchase Order Report</option>
											<option value="GRN">GRN Report</option>
											<option value="Rejection">Rejection Report</option>
										<!--<option value="Godown Transfer">Godown Transfer Report</option>
											<option value="Damage">Damage Report</option>
										-->
										
											<option value="Direct Issue">Direct Issue Report</option>
											<option value="Indent">Indent Report</option>
										<!--	<option value="Issue">Issue Report</option>-->
											<option value="ProductIssue">Product Issue Report</option>
											<option value="ProductIssueCW">Product Invoice</option>
											<option value="Inward">Inward Report</option>
										<!--	<option value="Pride Inward">Pride Inward Report</option>-->
											<option value="Damage/Wastage">Damage/Wastage Report</option>
											<option value="Month End Stock">Month End Stock Report</option>
											
											<option value="Production">Production Report</option>
    										<option value="A Production">Actual Production Report</option>
    										<option value="Raw Material Consumption - BOM">Raw Material Consumption - BOM</option>
    										<option value="Daily Stock Update">Daily Stock Update Report</option>
    										<option value="PIndent">Product Indent</option>
    										<option value="PInward">Product Inward</option>
										<!--
										    
    										<option value="PIssue">Product Issue</option>
											
											<option value="Transfer">Transfer Report</option>
											<option value="Transfer Inward">Transfer Inward Report</option>-->
											<option value="Raw Material">Raw Material List</option>
											<option value="Raw Material Stock">Raw Material Stock</option>
											<option value="Product_List">Product List</option>
											<option value="Recipe">Recipe</option>
											<option value="dc_price">DC Price</option>
											<option value="tmdc_price">TM DC Price</option>
											<option value="RM Category">RM Category</option>
											<option value="Product Category">Product Category</option>
										</select>
										<?php } ?>
									</div>
								</div>
								<div class="col-md-1">
									<div class="form-group">
										<input type="submit" name="submit" class="btn btn-primary " value="Export">
									</div>
								</div>
							
							</div>
						</form>

					</div>
				</div>
			</div>
		</div>
	</div>

</section>
<!-- // Basic form layout section end -->
        </div>
      </div>
    </div>
    <?php //require('include/theme_customizer.php');?>

   <?php 
  $footer_file=APPPATH.'views/include/footer.php';
	require($footer_file);
	?>

	</body>
</html>