<?php 
	$header_file=APPPATH.'views/include/header.php';
	require($header_file);
	$sidenav_file=APPPATH.'views/include/sidenav.php';
	require($sidenav_file);	?>
  
    <!-- BEGIN: Content-->
    <div class="app-content content">
      <div class="content-overlay"></div>
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-12 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">Material Request</h3>
            <div class="row breadcrumbs-top d-inline-block">
              <div class="breadcrumb-wrapper col-12">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="#">Home</a>
                  </li>
                  <li class="breadcrumb-item"><a href="#">Material Request </a>
                  </li>
                  <li class="breadcrumb-item active">Material Request
                  </li>
                </ol>
              </div>
            </div>
          </div>
          
        </div>
        <div class="content-body"><!-- Basic form layout section start -->
<section id="basic-form-layouts">
	



	<div class="row justify-content-md-center">
		<div class="col-md-12">
			<div class="card">
				<!--<div class="card-header">
					<h4 class="card-title" id="basic-layout-form-center">Material Request</h4>
					<a class="heading-elements-toggle"><i class="la la-ellipsis-v font-medium-3"></i></a>
					<div class="heading-elements">
						<ul class="list-inline mb-0">
							<li><a data-action="collapse"><i class="ft-minus"></i></a></li>
							<li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
							<li><a data-action="expand"><i class="ft-maximize"></i></a></li>
							<li><a data-action="close"><i class="ft-x"></i></a></li>
						</ul>
					</div>
				</div>-->
				<div class="card-content collapse show">
					<div class="card-body">

						<?php foreach($mat_req as $mreq) ?>

						<form class="form" autocomplete="off" action="<?php echo site_url('MaterialRequest/updateRequest');?>" method="post">
							<div class="row justify-content-md-center">
								<div class="col-md-4 mleft">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Request No</label>
											<input class="form-control" type="text" name="req_no" id="req_no" value="<?php echo $mreq->mat_req_no ?>" readonly >
											<input class="form-control" type="hidden" name="req_id" id="req_id" value="<?php echo $mreq->request_id ?>" readonly >
										</div>
									</div>
								</div>
								<div class="col-md-4">
									<div class="form-body">
										<div class="form-group">
										<?php $cur_date = date("d-m-Y"); 
										$branch_id = $_SESSION['branch_id'];
										$branch_name = $_SESSION['branch_name'];
										$full_name = $_SESSION['full_name']; ?>
											<label for="eventInput1">Request Date</label>
											<input class="form-control" type="text" name="req_date" id="req_date" value="<?php echo $mreq->request_date ?>" readonly >
										</div>
									</div>
								</div>
								<div class="col-md-4">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Store</label>
											<input class="form-control" type="text" name="store" id="store" value="<?php echo $mreq->store ?>" readonly >
											
											<input type="hidden" id="branch_id" class="form-control"  name="branch_id" value="<?php echo $branch_id;?>">
											<input type="hidden" id="branch_name" class="form-control"  name="branch_name" value="<?php echo $branch_name;?>">
											<input type="hidden" id="full_name" class="form-control"  name="full_name" value="<?php echo $full_name;?>">
											
										</div>
									</div>
								</div>
							</div>
							
							<?php foreach($mat_req_item as $rqitem) { ?>
							<div class="row">
								<input class="form-control col-md-2 md-col" type="text" name="item_names[]" id="item_names" value="<?php echo $rqitem->item_name; ?>" readonly title="Item" />
								<input class="form-control col-md-2 md-col" type="text" name="uoms[]" id="uoms" value="<?php echo $rqitem->uom; ?>" readonly title="UOM" />
								<input class="form-control col-md-2 md-col quantitys" type="text" name="quantitys[]" id="quantitys" value="<?php echo $rqitem->required_qty; ?>" title="Quantity" />
								<input class="form-control col-md-2 md-col prices" type="hidden" name="prices[]" id="prices" value="<?php echo $rqitem->item_price; ?>" readonly />
								<input class="form-control col-md-2 md-col ttl_prices" type="hidden" name="ttl_prices[]" id="ttl_prices" value="<?php echo $rqitem->total_price; ?>" readonly />
								<input class="form-control col-md-2 md-col taxs" type="hidden" name="taxs[]" id="taxs" value="<?php echo $rqitem->tax; ?>" readonly />
								<input class="form-control col-md-2 md-col tax_amts" type="hidden" name="tax_amts[]" id="tax_amts" value="<?php echo $rqitem->tax_amount; ?>" readonly />
								<input class="form-control col-md-2 md-col totals" type="hidden" name="totals[]" id="totals" value="<?php echo $rqitem->total_amount; ?>" readonly />
								<input class="form-control col-md-2 md-col" type="text" name="remarkss[]" id="remarkss" value="<?php echo $rqitem->remarks; ?>" title="Remarks" />
								<input class="form-control col-md-2 md-col" type="hidden" name="item_ids[]" id="item_ids" value="<?php echo $rqitem->item_id; ?>" readonly />
								<input class="form-control col-md-2 md-col" type="hidden" name="cat_ids[]" id="cat_ids" value="<?php echo $rqitem->category_id; ?>" readonly />
								<input class="form-control col-md-2 md-col" type="hidden" name="itm_ids[]" id="itm_ids" value="<?php echo $rqitem->itm_id; ?>" readonly />
								<input class="form-control col-md-2 md-col" type="hidden" name="req_item_id[]" id="req_item_id" value="<?php echo $rqitem->request_item_id; ?>" />
							</div>
							</br>
							<?php } ?>
							
					<div class="row justify-content-md-center">
						<div class="text_increment">
							<div>
								<div class="row">
									
									<div class="col-md-2">
										<div class="form-group">
											<select name="item_name[]" id="item_name" class="form-control select2" required>
												<option value="0">Select Item</option>
												<?php  foreach($items as $row)
													{
												?>
													<option value="<?php echo $row->item_name ?>"><?php echo $row->item_name ?></option>
												<?php
													} 
												?>
											</select>
											<input class="form-control" type="hidden" name="it_name[]" id="it_name" readonly />
										</div>
									</div>
									<div class="col-md-1">
										<div class="form-group">
											<input class="form-control" type="text" name="uom[]" id="uom"  readonly  placeholder="UOM" />
										</div>
									</div>
									<div class="col-md-1">
										<div class="form-group">
											<input class="form-control" type="text" name="close_stock[]"  id="close_stock" readonly placeholder="CSTK"/>
										</div>
									</div>
									<div class="col-md-1">
										<div class="form-group">
											<input class="form-control quantity" type="text"  name="quantity[]"  id="quantity" required placeholder="QTY" />
											<input class="form-control" type="hidden" name="price[]" id="price" readonly />
											<input class="form-control" type="hidden" name="ttl_price[]" id="ttl_price" readonly />
											<input class="form-control" type="hidden" name="tax[]" id="tax" readonly />
											<input class="form-control" type="hidden" name="tax_amt[]" id="tax_amt" readonly />
											<input class="form-control" type="hidden" name="total[]" id="total" readonly />
										</div>
									</div>
									<div class="col-md-2 col-md-half-three">
										<div class="form-group">
											<input class="form-control" type="text" name="remarks[]" id="remarks" Placeholder="Remarks"/>
											<input class="form-control" type="hidden" name="item_id[]" id="item_id"  readonly />
											<input class="form-control" type="hidden" name="cat_id[]" id="cat_id" readonly />
											<input class="form-control" type="hidden" name="itm_id[]" id="itm_id" readonly />
										</div>
									</div>
								</div>
							</div>	
						</div>
					</div>

							<div class="form-actions text-right">
								<button type="reset" class="btn btn-warning mr-1">
									<i class="ft-x"></i> Cancel
								</button>
								<button type="submit" class="btn btn-primary">
									<i class="la la-check-square-o"></i> Save
								</button>
							</div>
						</form>	

					</div>
				</div>
			</div>
			
			<div class="col-md-12 md-fab-wrapper plus">
				<a href="javascript:void(0);" class="add_button" title="Add field"><i class="la la1 la-plus-circle"></i>
					<!--<img src="<?php //echo base_url(); ?>app-assets/images/add-icon.png" class="image_logo"/>-->
				</a>
			</div>
			
		</div>
	</div>

</section>
<!-- // Basic form layout section end -->
        </div>
      </div>
    </div>
    <?php //require('include/theme_customizer.php');?>

   <?php 
  $footer_file=APPPATH.'views/include/footer.php';
	require($footer_file);
	?>
<script type="text/javascript">
		$(document).ready(function(){
			var maxField = 100; //Input fields increment limitation
			var addButton = $('.add_button'); //Add button selector
			var wrapper = $('.text_increment'); //Input field wrapper
			var x = 1; //Initial field counter is 1
			var counter = 1;
			//$(addButton).click(function(){ 
			$(document).on("click",".add_button",function() {  //Once add button is clicked
				if(x < maxField){ //Check maximum number of input fields
					x++; //Increment field counter
					$(wrapper).append('<div><div class="row"><div class="col-md-2"><div class="form-group"><select name="item_name[]" id="item_name'+counter+'" class="form-control select2" required><option value="0">Select Item</option><?php  foreach($items as $row) { ?><option value="<?php echo $row->item_name ?>"><?php echo $row->item_name ?></option><?php } ?></select><input class="form-control" type="hidden" name="it_name[]" id="it_name'+counter+'" readonly /></div></div><div class="col-md-1"><div class="form-group"><input class="form-control" type="text" name="uom[]" id="uom'+counter+'"  readonly  placeholder="UOM" /></div></div><div class="col-md-1"><div class="form-group"><input class="form-control" type="text" name="close_stock[]"  id="close_stock'+counter+'" readonly placeholder="CSTK"/></div></div><div class="col-md-1"><div class="form-group"><input class="form-control quantity" type="text"  name="quantity[]"  id="quantity'+counter+'" required placeholder="QTY" /><input class="form-control price" type="hidden" name="price[]" id="price'+counter+'" readonly /><input class="form-control" type="hidden" name="ttl_price[]" id="ttl_price'+counter+'" readonly /><input class="form-control" type="hidden" name="tax[]" id="tax'+counter+'" readonly /><input class="form-control" type="hidden" name="tax_amt[]" id="tax_amt'+counter+'" readonly /><input class="form-control" type="hidden" name="total[]" id="total'+counter+'" readonly /></div></div><div class="col-md-2 col-md-half-three"><div class="form-group"><input class="form-control" type="text" name="remarks[]" id="remarks'+counter+'" Placeholder="Remarks"/><input class="form-control" type="hidden" name="item_id[]" id="item_id'+counter+'"  readonly /><input class="form-control" type="hidden" name="cat_id[]" id="cat_id'+counter+'" readonly /><input class="form-control" type="hidden" name="itm_id[]" id="itm_id'+counter+'" readonly /></div></div><div class="col-md-1 remove_button"><a href="javascript:void(0);" class="" title="Remove field"><img src="<?php echo base_url(); ?>app-assets/images/remove-icon.png" class="image_logo"/></a></div></div></div>'); 
					//alert(counter);
					$(function () {
						$(".select2").select2();
						$('#quantity' + counter).keypress(function(e) {
							var a = [];
							var k = e.which;
							for (i = 46; i < 58; i++)
							a.push(i);
							if (!($.inArray(k,a)>=0))
							e.preventDefault();
						});
					});
					
					$('#item_name' + counter).change(function(){
						var id = $(this).attr('id');
						// alert(id);
						id_length = id.length;
						if(id_length == 10) {
							counts = id.substr(-1);
							var i_name = $('#item_name'+counts).val();
							var branch_id = $('#branch_id').val();
							$.ajax({
								type :'POST',
								dataType:'json',
								data : { iname : i_name,br_id : branch_id },
								url : '<?php echo base_url();?>index.php/Master/get_OouItemDetails',
								success: function(data) {
									//alert(data.price);
																											
									$('#uom'+counts).val(data.uom);
									$('#item_id'+counts).val(data.item_id);
									$('#cat_id'+counts).val(data.category_id);
									$('#price'+counts).val(data.item_price);
									$('#tax'+counts).val(data.item_tax);
									$('#close_stock'+counts).val(data.stock_item);
									$('#itm_id'+counts).val(data.itm_id);
									
								}
							});
							//$("#item_name"+ counts).attr('disabled', 'disabled');
						}
						else{
							counts = id.substr(-2);
							var i_name = $('#item_name'+counts).val();
							var branch_id = $('#branch_id').val();
							//alert(i_name);
							//alert(brname);
							$.ajax({
								type :'POST',
								dataType:'json',
								data : { iname : i_name,br_id : branch_id },
								url : '<?php echo base_url();?>index.php/Master/get_OouItemDetails',
								success: function(data) {
									//alert(data.price);
									$('#uom'+counts).val(data.uom);
									$('#item_id'+counts).val(data.item_id);
									$('#cat_id'+counts).val(data.category_id);
									$('#price'+counts).val(data.item_price);
									$('#tax'+counts).val(data.item_tax);
									$('#close_stock'+counts).val(data.stock_item);
									$('#itm_id'+counts).val(data.itm_id);
								}
							});
							//$("#item_name"+ counts).attr('disabled', 'disabled');
						}
					});
					
					$('#quantity'+counter).on('keyup',function() {
						var id = $(this).attr('id');
						id_length = id.length;
						//alert(id_length);
						if(id_length == 9) {
							//alert(id1);
							counts = id.substr(-1);
							var qty = $('#quantity'+ counts).val();
							var price = $('#price'+ counts).val();
							var tax = $('#tax'+ counts).val();
							var result = (parseFloat(qty) * parseFloat(price)).toFixed(2);
							var tax_amt = ((parseFloat(result) * parseFloat(tax)) / 100).toFixed(2);
							var total = (parseFloat(result) + parseFloat(tax_amt)).toFixed(2);
							$('#ttl_price'+ counts).val(result);
							$('#tax_amt'+ counts).val(tax_amt);
							$('#total'+ counts).val(total);
						}
						else{
							counts = id.substr(-1);
							var qty = $('#quantity'+ counts).val();
							var price = $('#price'+ counts).val();
							var tax = $('#tax'+ counts).val();
							var result = (parseFloat(qty) * parseFloat(price)).toFixed(2);
							var tax_amt = ((parseFloat(result) * parseFloat(tax)) / 100).toFixed(2);
							var total = (parseFloat(result) + parseFloat(tax_amt)).toFixed(2);
							$('#ttl_price'+ counts).val(result);
							$('#tax_amt'+ counts).val(tax_amt);
							$('#total'+ counts).val(total);
						}
					});
				}
				//alert(counter);
				counter++;
			});
			$(wrapper).on('click', '.remove_button', function(e){ //Once remove button is clicked
				e.preventDefault();
				$(this).parent('div').remove(); //Remove field html
				x--; //Decrement field counter
				counter--;
			});
		});
	</script>
	<script>
		$("#item_name").change(function(){
			var i_name = $('#item_name').val();
			var branch_id = $('#branch_id').val();
			//alert(i_name);
			//alert(brname);
			$.ajax({
				type :'POST',
				dataType:'json',
				data : { iname : i_name,br_id : branch_id },
				url : '<?php echo base_url();?>index.php/Master/get_OouItemDetails',
				success: function(data) {
					//alert(data.price);
					$('#uom').val(data.uom);
					$('#item_id').val(data.item_id);
					$('#cat_id').val(data.category_id);
				    $('#price').val(data.item_price);
					$('#tax').val(data.item_tax);
					$('#close_stock').val(data.stock_item);
					$('#itm_id').val(data.itm_id);
				}
			});
			//$("#item_name").attr('disabled', 'disabled');
		});
	</script>
	<script>
		$('.quantitys').each(function() { $(this).on( {'keyup': function() {
			var qty = $(this).parent().find('.quantitys').val();
			var price = $(this).parent().find('.prices').val();
			var tax = $(this).parent().find('.taxs').val();
					
			var result = (parseFloat(qty) * parseFloat(price)).toFixed(2);
			var tax_amt = ((parseFloat(result) * parseFloat(tax)) / 100).toFixed(2);
			var total = (parseFloat(result) + parseFloat(tax_amt)).toFixed(2);
			
			$(this).parent().find('.ttl_prices').val(result);
			$(this).parent().find('.tax_amts').val(tax_amt);
			$(this).parent().find('.totals').val(total);
		}
		})
		})
		
		$('#quantity').on('keyup',function() {
			var qty = $('#quantity').val();
			var price = $('#price').val();
			var tax = $('#tax').val();
			var result = (parseFloat(qty) * parseFloat(price)).toFixed(2);
			var tax_amt = ((parseFloat(result) * parseFloat(tax)) / 100).toFixed(2);
			var total = (parseFloat(result) + parseFloat(tax_amt)).toFixed(2);
			$('#ttl_price').val(result);
			$('#tax_amt').val(tax_amt);
			$('#total').val(total);
		});
	</script>
	<script>
		$(window).on('beforeunload', function () {
			//$("input[type=submit], input[type=button]").prop("disabled", "disabled");
			$("input[type=submit]").prop("disabled", "disabled");
			$("#submit").css("background-color","#dcdcdc");
		});
	</script>
	
  </body>
  <!-- END: Body-->

<!-- Mirrored from pixinvent.com/modern-admin-clean-bootstrap-4-dashboard-html-template/html/ltr/vertical-modern-menu-template/form-layout-basic.html by HTTrack Website Copier/3.x [XR&CO'2014], Mon, 27 Apr 2020 09:38:02 GMT -->
</html>