<?php 
	$header_file=APPPATH.'views/include/header.php';
	require($header_file);
	$sidenav_file=APPPATH.'views/include/sidenav.php';
	require($sidenav_file);	?>
<!-- BEGIN: Content-->
    <div class="app-content content">
      <div class="content-overlay"></div>
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-6 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">Product Request</h3>
            <div class="row breadcrumbs-top d-inline-block">
              <div class="breadcrumb-wrapper col-12">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="#">Home</a>
                  </li>
                  <li class="breadcrumb-item"><a href="#">Product Request</a>
                  </li>
                  <li class="breadcrumb-item active">Product Request View
                  </li>
                </ol>
              </div>
            </div>
          </div>
         
        </div>
        <div class="content-body"><section class="card">
  <div id="invoice-template" class="card-body p-4">
    <!-- Invoice Items Details -->
    <div id="invoice-items-details" class="pt-2">
      <div class="row">
        <div class="table-responsive col-12">
          <table class="table table-bordered table-responsive-lg">
            <thead>
				<?php
					foreach($prd_req as $req)
				?>
				<tr class="main_heading">
					<th colspan="11"><?php echo $req->branchname; ?> - Request View</span></th>
								</tr>
				 <tr class="data_details">
					<th colspan="2">REQ No: <?php echo $req->pr_req_no; ?></th>
					<th>REQ Date: <?php echo $req->request_date; ?></th>
					<th>Department: <?php echo $req->dept; ?></th>
					<th>Order: <?php echo $req->orders; ?></th>
					<!--<th>Delivery Time: <?php //echo $req->delivery_time; ?></th>-->
				</tr>
				<tr class="data_heading">
					<th>Sl.No</th>
					<th>Product Name</th>
					<th>UOM</th>
					<th>Quantity</th>
					<th>Remarks</th>
				</tr>
            </thead>
            <tbody>
             <?php
			 $count=1;
				foreach($prd_req_item as $rqitem){
			?>
				<tr class="data_list">
					<td><?php echo $count; ?></td>
					<td><?php echo $rqitem->item_name; ?></td>
					<td><?php echo $rqitem->uom; ?></td>
					<td><?php echo $rqitem->required_qty; ?></td>
					<td><?php echo $rqitem->remarks; ?></td>
				</tr>
			<?php 
				$count++; 
				} 
			?>
			</tbody>
          </table>
        </div>
      </div>
  
    </div>

    <!-- Invoice Footer -->
    <div id="invoice-footer">
      <div class="row">
        <div class="col-sm-7 col-12 text-center text-sm-left">
          <!--<h6>Terms & Condition</h6>
          <p>Test pilot isn't always the healthiest business.</p>-->
        </div>
        <div class="col-sm-5 col-12 text-right">
          <button type="button" id="print_receipt" class="btn btn-info print_receipt  btn-lg my-1"><i class="fa ft-printer"></i></button>
        </div>
      </div>
    </div>
    <!-- Invoice Footer -->

  </div>
</section>
</section>
<!-- // Basic form layout section end -->
        </div>
      </div>
    </div>
    <?php //require('include/theme_customizer.php');?>

   <?php 
  $footer_file=APPPATH.'views/include/footer.php';
	require($footer_file);
	?>
<script>
	$("#print_receipt").click(function() {
		window.print();
		setTimeout("closePrintView()", 50);
	});
	function closePrintView() {
		window.location = '<?php echo site_url('ProductRequest/requestList');?>';
	} 
</script>
	