<?php 
	$header_file=APPPATH.'views/include/header.php';
	require($header_file);
	//$sidenav_file=APPPATH.'views/include/sidenav.php';
	//require($sidenav_file);	?>
    <!-- BEGIN: Content-->
    <div class="app-content content">
      <div class="content-overlay"></div>
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-12 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">Recipe Category</h3>
            <div class="row breadcrumbs-top d-inline-block">
              <div class="breadcrumb-wrapper col-12">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="index-2.html">Home</a>
                  </li>
                  <li class="breadcrumb-item"><a href="#">Recipe Category</a>
                  </li>
                  <li class="breadcrumb-item active">Recipe Category Updation
                  </li>
                </ol>
              </div>
            </div>
          </div>
          
        </div>
        <div class="content-body"><!-- Basic form layout section start -->
<section id="basic-form-layouts">
	



	<div class="row justify-content-md-center">
		<div class="col-md-12">
			<div class="card">
				<div class="card-header">
					<h4 class="card-title" id="basic-layout-form-center">Recipe Category Updation</h4>
					<a class="heading-elements-toggle"><i class="la la-ellipsis-v font-medium-3"></i></a>
					<div class="heading-elements">
						<ul class="list-inline mb-0">
							<li><a data-action="collapse"><i class="ft-minus"></i></a></li>
							<li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
							<li><a data-action="expand"><i class="ft-maximize"></i></a></li>
							<li><a data-action="close"><i class="ft-x"></i></a></li>
						</ul>
					</div>
				</div>
				<div class="card-content collapse show">
					<div class="card-body">

						 <?php 	foreach($cat_view as $key => $data) ?>

						<form class="form" action="<?php echo site_url('Master/prCat_update/'.$data->pr_cat_id.'');?>" method="post">
							<div class="row justify-content-md-center">
								<div class="col-md-3">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Category Name</label>
											<input type="text" id="pr_cat_name" class="form-control"  name="pr_cat_name" value="<?php echo $data->pr_cat_name; ?>">
											<input type="hidden" class="sub_mod_id" name="sub_mod_id" id="submod_id" value="<?php echo $submod_id; ?>" >
										</div>

									</div>
								</div>
								<div class="col-md-3">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Effective From</label>
											<input type="text" class="form-control pickadate datepicker" id="effective" name="effective" value="<?php echo $data->effective_from; ?>" >
										</div>

									</div>
								</div>
								<div class="col-md-4">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Combination</label>
											<select name="combination[]" id="combination" class="form-control select2" required multiple="multiple" >
												<?php
												$comb_name = array();
												$comb_id = array();
												foreach($combination as $cmb)
												{
													$comb_name[] = $cmb->combination;
													$comb_id[] = $cmb->comb_id;
												}
												$cm = $data->combination;
												$cmb = explode(",", $cm);
												$cb_count = count($cmb);
												for($j=0;$j<count($comb_name);$j++)
												{
													if(in_array($comb_id[$j],$cmb))
													{
														?>
														<option value="<?php echo $comb_id[$j]?>" selected="selected" ><?php echo $comb_name[$j]?></option>
														<?php
													}
													else
													{
												?>
														<option value="<?php echo $comb_id[$j]?>"><?php echo $comb_name[$j]?></option>
												<?php
													}
												}
											?>
											</select>
										</div>
									</div>
								</div>
								<div class="col-md-2">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Qty Limit</label>
											<input type="text" class="form-control" id="qty_limit" name="qty_limit" value="<?php echo $data->combo_qty_limit; ?>" >
										</div>

									</div>
								</div>
							</div>
							<div class="row">
							    <div class="col-md-4">
									<div class="form-body">
										<div class="form-group" style="margin-top:35px;">
											<label for="eventInput1">Applicable for Sales</label>
											
									<input type="radio" class="icheck_minimal" name="applicable" id="yes" value="Yes" <?php if($data->applicable_for == 'Yes') echo 'checked="checked"'; ?> />Yes
								
									<input type="radio" name="applicable" id="no" value="No" <?php if($data->applicable_for == 'No') echo 'checked="checked"'; ?> />No 
										</div>
									</div>
								</div>
								<div class="col-md-4">
									<div class="form-body">
										<div class="form-group" style="margin-top:35px;">
											<label for="eventInput1">Applicable for Food Delivery</label>
											
									<input type="radio" class="icheck_minimal" name="fdelivery" id="tyes" value="1" <?php if($data->social_order == '1') echo 'checked="checked"'; ?> />Yes
								
									<input type="radio" name="fdelivery" id="tno" value="0" <?php if($data->social_order == '0') echo 'checked="checked"'; ?> />No 
										</div>
									</div>
								</div>
							</div>

							<div class="form-actions text-center">
								<button type="button" class="btn btn-warning mr-1">
									<i class="ft-x"></i> Cancel
								</button>
								<button type="submit" class="btn btn-primary">
									<i class="la la-check-square-o"></i> Save
								</button>
							</div>
						</form>	

					</div>
				</div>
			</div>
		</div>
	</div>

</section>
<!-- // Basic form layout section end -->
        </div>
      </div>
    </div>
    <!-- END: Content-->


   <?php //require('include/theme_customizer.php');?>

  <?php 
  $footer_file=APPPATH.'views/include/footer.php';
	require($footer_file);
	?>
  </body>
  <!-- END: Body-->

<!-- Mirrored from pixinvent.com/modern-admin-clean-bootstrap-4-dashboard-html-template/html/ltr/vertical-modern-menu-template/form-layout-basic.html by HTTrack Website Copier/3.x [XR&CO'2014], Mon, 27 Apr 2020 09:38:02 GMT -->
</html>